<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.website.bean.SchoolCtrl"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import="com.intel.tcserver.tool.BackupUtil"%>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ include file="../include/check/checktimeout_c.jsp"%>
<%@ include file="../include/head.jsp"%>
<%@ include file="../js/function.jsp"%>

<%
	boolean isDeployed = SchoolCtrl.getDeployedFlag();
	int schoolStatus = SchoolCtrl.checkSchoolStatus();
%>
<script language="javascript">
	
	function backAction()
	{
		
		if (document.getElementById("localback").checked)
		{
			document.getElementById("kpcheckid").disabled = false;
			document.getElementById("scftr").style.display = "";
		}
		else
		{
			document.getElementById("kpcheckid").disabled = true;
			document.getElementById("scftr").style.display = "none";
		}
	}
	
	function handleBackup()
	{
		if (document.getElementById("localback").checked)
		{
			if ( document.getElementById("databasecheckid").checked == false && 
				document.getElementById("kpcheckid").checked == false )
			{
				alert("<i18n:message key='backup_should_select'/>");
			}
			else
			{
				document.getElementById("backupform").submit();
			}
			
		}
		else
		{
			if ( document.getElementById("databasecheckid").checked == false )
			{
				alert("<i18n:message key='backup_should_select'/>");
			}
			
			else
			{
				document.getElementById("backupform").submit();
			}
		}
	}

	function initPage()
	{
		document.getElementById("localback").checked = "checked";
		document.getElementById("scftr").style.display = "";
		document.getElementById("kpcheckid").disabled = false;
	}
	
</script>

<body onload="initPage();">
	<br>
<br>
<br>
<center>
<form id="backupform" action="backup_deal.jsp" method="post">
<table width="700" cellpadding="0" cellspacing="0"  bordercolorlight="#46599C" bordercolordark="#ffffff" border="1">
<tr height="30">
<td bgcolor="#AEB9E7" align="center" valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key='backup_option'/></font></td>

</tr>

<tr>
<td align="left">
<table width="100%">
<tr>
<td>
<font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:16px; vertical-align:middle">
<i18n:message key='backup_select_title'/></font>
</td>
</tr>

<%if ( isDeployed && schoolStatus == SchoolCtrl.SCHOOL_UPDATE ) {%>
<tr>
<td>
<input style="vertical-align:middle" id="databasecheckid" type="checkbox" name="backupitem" value="<%=BackupUtil.DBBACK_CHOICE %>" checked class="radio">&nbsp;<i18n:message key='backup_db'/>
</td></tr>
<tr id="scftr" >
<td>
<input style="vertical-align:middle" id="kpcheckid" type="checkbox" name="backupitem" value="<%=BackupUtil.TDSKEY_CHOICE %>" class="radio">&nbsp;<i18n:message key='backup_serverfile'/>
</td></tr>
</table>

</td>
</tr>

<tr height="60">
<td align="left" valign="middle">

<input class="radio" style="vertical-align:middle" value="local" type="radio" id="localback" name="backupconfig" onclick="backAction();" />
	<font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:16px; vertical-align:middle"><i18n:message key='backup_savelocal'/></font>
	<br/>
	<input type="radio" style="vertical-align:middle" value="remote" class="radio" name="backupconfig" id="remoteback" checked="checked" onclick="backAction();" />
	<font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:16px; vertical-align:middle"><i18n:message key='backup_savecs'/></font>

	</td>

</tr>
<%} else { %>

<tr>
<td>
<input style="vertical-align:middle" id="databasecheckid" type="checkbox" name="backupitem" value="<%=BackupUtil.DBBACK_CHOICE %>" checked class="radio">&nbsp;<i18n:message key='backup_db'/>
</td></tr>
<tr id="scftr" >
<td>
<input style="vertical-align:middle" id="kpcheckid" type="checkbox" name="backupitem" value="<%=BackupUtil.TDSKEY_CHOICE %>" class="radio">&nbsp;<i18n:message key='backup_serverfile'/>
</td></tr>
</table>

</td>
</tr>
<tr height="30">
	<td style="vertical-align:middle">
	<input style="vertical-align:middle; display:none" checked value="local" type="radio" id="localback" name="backupconfig" />
	&nbsp;&nbsp;<font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:16px; vertical-align:middle"><i18n:message key='backup_savelocal'/></font>
	
	</td>

</tr>
<%} %>
<tr height="30">
<td align="center" bgcolor="#E1E5FE" valign="middle">
<input name="OK" type="button" class="bt1" onClick="handleBackup();" value="<i18n:message key='button_ok'/>" alt="<i18n:message key='button_ok'/>" border=0 >
</td>
</tr>
</table>
</form>
</center>
</body>
</html>