<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ include file="../include/check/checktimeout.jsp"%>
<%@ include file="../include/head.jsp"%>
<%@ include file="../js/function.jsp"%>

<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.tool.BackupUtil" %>
<%@ page import="com.intel.tcserver.website.bean.MessageCtrl"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import = "com.intel.tcserver.util.constant.CertificateCtrlConstants"%>

<script language="JavaScript">

	function importPage()
	{
	  if (document.all.importhwid.alt !="")
	  {
	   openWindow("import.jsp", '500', '700');
	   return true;
	   }
	}
   function SaveAsAccount()
   {
 		 //openWindow("export_device_deal.jsp", '500', '700');
 		 openWindow("ExportStreamFile?type=devicexml", '500', '700');
   }
   
    function SaveAsKeyFile()
   {
         // window.open("export_keyfile_deal.jsp");   
      	openWindow("export_keyfile_deal.jsp", '500', '700');
   }
   
   function importKeyFile()
  {
	  if (document.all.importhwid.alt !="")
	  {
	   openWindow("import_keyfile_cert.jsp", '500', '700');
	   return true;
	   }
  }

   function backupAction()
   {
	   openWindow("backup_config.jsp", '500', '800');
   }

   function restoreAction()
   {
	   var btn = document.getElementById("restoreButton");
	   if ( btn )
	   {
		   btn.disabled = "1";
		   btn.style.color = "#FFF";
	   }
	   openWindow("restore_config.jsp", '500', '800');
   }

   function loadPage()
   {
	   var par = document.getElementById("isRestoreAvailable");
	var isRqUpd = document.getElementById("isRequestUpdate");
	   if ( par  && isRqUpd)
	   {
		  if (( par.value.toUpperCase() == "FALSE" && isRqUpd.value == "1")
			|| ( par.value.toUpperCase() != "FALSE" && isRqUpd.value != "1"))
		  {
			  var btn = document.getElementById("restoreButton");
			  if ( btn )
			  {
			 	 btn.disabled = false;
			  }
		  }
		else
		{
			  var btn = document.getElementById("UpdateCert");
			  if ( btn )
			  {

			 	 btn.disabled = false;//true;
			  }
		}
	   }
   }

</script>

<%
	OperatorEntity sessionInfo = (OperatorEntity)session.getAttribute("sessionInfo");
	String adminType = sessionInfo.getOperateType();
	int flag = 8;
%>
<body class="bg" leftMargin="0" topMargin="0" marginheight="0"
	marginwidth="0" onLoad="loadPage()">
	
<table width="1000" border="0" cols="3" cellpadding="0" cellspacing="0">
<tr>
<td colspan="3">
<%@ include file="../top.jsp"%>
	</td>
</tr>
<tr>
<td align="right" width="200"  valign="top">

<%@ include file="../menu.jsp"%>
	</td>
	<td width="35" valign="top">
		<table width="100%">
			<tr><td>&nbsp;</td></tr>
		</table>
	</td><!-- end left-->
<td align="left" width="710" valign="top">
<table width="100%" border="0">
<tr>
<td>
<form action="#" method="post" name="form_show">
<table border="0" cellpadding="0" cellspacing="0" width="690" bordercolorlight="#46599C" bordercolordark="#ffffff" class="tb1">
 <tr>
    <th height="22" colspan=2 align="left" valign="middle">&nbsp;&nbsp;<font style="color:#1C258B" ><i18n:message key="account_data_sec"/><!--<i18n:message key="data_import"/>--></font></th>
 </tr>
 
  <TR bgcolor="#FFFFFF" style="vertical-align:middle" height="40">
  	<TD width="85%"  align="left" valign="middle">
	<font color="#8184D1">&nbsp;&nbsp;<i18n:message key="data_import_note"/></font>
      </TD>
    <TD width="15%"  align="right" valign="middle">
	<%
msg.setReadAutoBackupFailedMessage();
		//check if the operator is at server 
		if(((request.getRemoteAddr()).equals(request.getLocalAddr()) || request.getRemoteAddr()=="127.0.0.1" ) 
		//add by wup 2011-01-11
			|| (request.getRemoteAddr().equals("0:0:0:0:0:0:0:1") && request.getLocalAddr().equals("0.0.0.0")))
		{// the pc is at server
		%>
		<input type="button" class="bt3" id="importhwid"  onClick="importPage()"  value="<i18n:message key='log_type_import'/>" alt="<i18n:message key='log_type_import'/>"  border="0">
	<%
		}
		else
		{
		%>
		<input type="button" class="bt3" id="importhwid" disabled="1" style="color:#FFFFFF;vertical-align:middle "  onClick="importPage()"  value="<i18n:message key='log_type_import'/>" alt="<i18n:message key='log_type_import'/>"  border="0">
		<%
		}
		%>
	</TD>
    
   </TR>
   
   <TR bgcolor="#FFFFFF" style="vertical-align:middle" height="40">
  	<TD width="85%"  align="left" valign="middle">
	<font color="#8184D1">&nbsp;&nbsp;<i18n:message key="data_export_note"/></font>
      </TD>
    <TD width="15%"  align="right" valign="middle">
	<input type="button" class="bt3" id="importhwid"  onClick="SaveAsAccount()" value="<i18n:message key='log_type_export'/>"  alt="<i18n:message key='log_type_export'/>" src="../images/ButtonReset.gif" border="0">
	</TD>
    
   </TR>
   
   </table>

</td></tr>
<tr><td>&nbsp;</td></tr>

  
  <!--Backup and restore-->
  <tr><td>

    <table border="0" cellpadding="0" cellspacing="0" width="690" bordercolorlight="#46599C" bordercolordark="#ffffff" class="tb1">
 <tr>
    <th height="22" colspan=2 align="left" valign="middle">&nbsp;&nbsp;<font style="color:#1C258B"><i18n:message key='data_op_title_dr'/></font></th>
 </tr>
 
 
  <TR bgcolor="#FFFFFF"  style="vertical-align:middle" height="40">
  	<TD width="85%"  align="left" valign="middle">
	<font color="#8184D1">&nbsp;&nbsp;<i18n:message key='backup_note'/></font>
      </TD>
    <TD width="15%"  align="right" valign="middle">

	<input type="button" class="bt3" id="backup"   onClick="backupAction();" style="vertical-align:middle"  value="<i18n:message key='backup_choice'/>" alt="<i18n:message key='backup_choice'/>"  border="0">
	
	</TD>
    
   </TR>
   
   <TR bgcolor="#FFFFFF" style="vertical-align:middle" height="40">
  	<TD width="85%"  align="left" valign="middle">
	<font color="#8184D1">&nbsp;&nbsp;<i18n:message key='restore_note'/></font>
      </TD>
    <TD width="15%"  align="right" valign="middle">
	
	<% 
		boolean isRestoreAvailable = BackupUtil.checkRestoreAvailability();
		AccountCtrl accountDeal = new AccountCtrl();
		int isUpdatePK = accountDeal.getPublicRequestFlag();
	%>
	
	<input type="button" id="restoreButton" class="bt3" id="restore" 
	<% if (!isRestoreAvailable || isUpdatePK == CertificateCtrlConstants.REQUEST_FOR_UPDATEPK) {%> disabled="disabled" style="color:#FFF" <%} else{%> <%} %>
	onClick="restoreAction();" style="vertical-align:middle"  value="<i18n:message key='restore_choice'/>" alt="<i18n:message key='restore_choice'/>"  border="0">
	
	<input type="hidden" id="isRestoreAvailable" value="<%= isRestoreAvailable%>"/>
<input type="hidden" id="isRequestUpdate" value="<%=isUpdatePK%>"/>
	
	</TD>
    
   </TR>
   </table></td></tr>
<tr><td>&nbsp;</td></tr>
</td></tr>



   </form>
   
<tr>
<td>
<div style="width:710; height:100; overflow-x:hidden;overflow-y:hidden; SCROLLBAR-FACE-COLOR: #D0D7F4; margin-left:-3px" align="left">
</div><!--In order to  prevent left navigation menu moving rightward-->
</td></tr>
   
   </table>
   </td></tr></table>
   

</body>
</html>
