<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>           
<%@ include file="../include/comment_len.jsp" %>
<%@ include file="../include/check/checktimeout_c.jsp" %>
<%@ include file="../js/check.jsp" %>

<%@ page import="com.intel.tcserver.entity.*"%>
<%@ page import = "com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import="java.util.*" %>

<html>
<head>
<title><i18n:message key="edit_information"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
<script type="text/javascript">
function checkstupsw(frm)
{
	 ifnull = checkifnull("Password", frm.stuPassword.value, "input");
        if (ifnull != true)
        {
          return false;
        }
        ifconfirm = checkconfirm(frm.confirmpwd.value, frm.stuPassword.value)
        if (ifconfirm != true)
        {
          return false;
        }
	//restrict rule
        illegal = checkPassword(frm.stuPassword.value);			
        if (illegal != true)
        {
          return false;
        }			
		return true;
}
</script>
</head>

<body onLoad="document.form_modify.stuPassword.focus()" bgcolor="#ffffff">
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<center>
<jsp:useBean id="accountDeal" scope="page" class="com.intel.tcserver.website.bean.AccountCtrl">
		<% accountDeal.processRequest(request,accountDeal.OPERATION_UPDATE_ACCOUNT, session.getAttribute("sessionInfo"));
		   DeviceAccountEntity accountEntity = new DeviceAccountEntity();
		   if(accountDeal.queryAccount() == null)
		   {
		   		int result = -57;
			   %>
				<jsp:forward page="../popwin_result.jsp">
					<jsp:param name="resultInfo" value="<%=result%>"></jsp:param>
				</jsp:forward>
				<%
		   }
		    accountEntity = accountDeal.queryAccount();
		   %>
		 
<form name="form_modify" method="post" action="modify_stu_psw_deal.jsp" onSubmit="return checkstupsw(form_modify);" autocomplete=off>
 
<table width="650" cellpadding="0" cellspacing="0" bordercolorlight="#46599C" bordercolordark="#ffffff" border="1" cols="2">
<tr height="30">
<td bgcolor="#AEB9E7" align="center" valign="middle" colspan="2"><font style="font-weight:bold; color:#000687; font-family:Arial, Helvetica, sans-serif; font-size:16px"><i18n:message key="login_modify"/></font></td>

</tr>
<tr>
<td align="left" width="40%">&nbsp;&nbsp;<b><i18n:message key="modify_newpwd"/><i18n:message key="query_colon"/></b></td>
<td>&nbsp;&nbsp;&nbsp;<input name="stuPassword" type="password"  style="width:300 " maxlength="30"/>*</td>

</tr>
<tr >
<td align="left">&nbsp;&nbsp;<b><i18n:message key="modify_confirm"/><i18n:message key="query_colon"/></b></td>
<td>&nbsp;&nbsp;&nbsp;<input name="confirmpwd" type="password"  style="width:300 " maxlength="30"/>*</td>
</tr>

<tr height="30">
<td align="center" bgcolor="#E1E5FE" valign="middle" colspan="2">
<input  type="button" class="bt1" onClick="if(checkstupsw(form_modify)){document.form_modify.submit();}" value="<i18n:message key='bt_save'/>" alt="<i18n:message key='bt_save'/>" border=0  >&nbsp;&nbsp;<input type="reset" class="bt1" value="<i18n:message key='bt_reset'/>" alt="<i18n:message key='bt_reset'/>" border=0>
</td>
</tr>
</table>
<%
	String ownerBirthday = "";
		   if(accountEntity.getOwnerBirthday() == null)
		   {
		   		ownerBirthday = "";
		   }
		   else
		   {
			   String tempStr = accountEntity.getOwnerBirthday().toString();
			   if(tempStr.indexOf(" ") >= 0)
			   {
					tempStr = tempStr.substring(0,tempStr.indexOf(" "));
			   }
			   String[] temp = tempStr.split("-");
			   if(temp.length == 3)
			   {
				   ownerBirthday = temp[1]+"-"+temp[2]+"-"+temp[0];
			   }
		   }
%>
<INPUT name="HWID" type="hidden" value="<%=accountEntity.getDeviceHWID()%>"/>
<input type="hidden" name="stolenFlag" value="<%=accountEntity.getStolenFlag()%>"/>
<INPUT type="hidden" name="ownerID" value="<%=accountEntity.getOwnerID()%>"/>
<input type="hidden" name="ownerName" value="<%=accountEntity.getOwnerName()%>"/>
<input type="hidden" name="deviceComment" value="<%=accountEntity.getDeviceComment()%>"/>
<input name="operatorName" type="hidden" value="<%=accountEntity.getDeviceHWID()%>"/>
<input type="hidden" name="adminType"  value="<%=OperatorConstants.IS_STUDENT%>"/>
<input  name="ownerBirthday" type="hidden" value="<%=ownerBirthday%>"/>
<input name="operatorType" type="hidden" value="student"/>
</form>
</center>
</jsp:useBean>
</body>
</html>
