<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%
response.setHeader("Pragma","No-cache");
response.setHeader("Cache-Control","no-cache");
response.setDateHeader("Expires", 0);
%>
<%@ include file="../include/check/checktimeout_c.jsp"%>
<%@ include file="../include/show_info.jsp"%>
<%@ include file="../include/head.jsp"%>


<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>
<%@ page import="com.intel.tcserver.tool.BackupUtil"%>
<%@ page import="com.intel.tcserver.tool.ArrayUtil"%>
<%@ page import="java.text.SimpleDateFormat, java.util.*"%>
<%@ page import="com.intel.tcserver.website.bean.LogCtrl"%>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%
if (session.getAttribute("sessionInfo") == null)
	{
	%>
	<script language="JavaScript">   
    window.location.href = "../index.jsp";
    </script>
	<%
	out.close();
	}
%>
<body bgcolor="#ffffff" topmargin=0 leftmargin=0>

<br/>
	<br/>
	<center>
	<span id="doimport"><font style='font-size:12pt;'>
	<strong>
	<i18n:message key="process_restore"/>
	</strong>
	</font></span>
	</center>
<%
	String restoreType = request.getParameter("restorechoice");

	int iRet = ErrorConstants.ERROR_SUCCESS;
	String[] items = request.getParameterValues("restoreconfig");
	String info = "";
	String clearQueue = request.getParameter("clearqueue");
	boolean isClearQueue = false;
	
	
	OperatorEntity operEntity = (OperatorEntity)session.getAttribute("sessionInfo");
	
	if ( items == null || items.length <= 0)
	{
		iRet = ErrorConstants.ILLEGAL_ARGUMENT;
		info = LogCtrl.getResource(LogCtrl.RES_KEY_RESTORE_FAILED);
	}
	else
	{
		if ( BackupUtil.CLEAR_QUEUE_YES.equalsIgnoreCase(clearQueue) &&
				ArrayUtil.contains(items, BackupUtil.DBBACK_CHOICE))
		{
			isClearQueue = true;
		}
		else
		{
			isClearQueue = false;
		}
		
		if ( "remote".equalsIgnoreCase(restoreType) )
		{
			String fileDate = request.getParameter("remotefileChoice");
			
			iRet = BackupUtil.restoreFromCS(operEntity, fileDate, items, isClearQueue);
		
			info = LogCtrl.getResource(LogCtrl.RES_KEY_RESTORE_CS);
			
		}
		else if ( "local".equalsIgnoreCase(restoreType) )
		{
			
			String filePath = request.getParameter("backupfilepath");
			
			iRet = BackupUtil.restoreFromLocal(operEntity,
					request.getParameter("backupfileDate"), items, isClearQueue);
			info = LogCtrl.getResource(LogCtrl.RES_KEY_RESTORE_LOCAL);
			
			
		}
	}
	
	if ( null != operEntity )
	{
		LogCtrl.Record(operEntity.getOperatorName(), LogCtrl.TYPE_RESTORE, info, iRet);
	}
%>
<jsp:forward page="backup_result.jsp">
<jsp:param value="restore" name="type"/>
<jsp:param value="<%=iRet%>" name="result"/>
</jsp:forward>
</body>
</html>