<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%@ include file="../include/head.jsp" %>
<%@ include file="../include/check/checktimeout.jsp" %>
<%@ include file="../include/comment_len.jsp"%>

<%@ page import="com.intel.tcserver.entity.*"%>
<%@ page import="java.util.*"%>


<html>
<head>
<title><i18n:message key="login_titlebar"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
<!--forbidden F11-->
<script language="javascript">
function keyDown(e){
  if(event.keyCode==122){
	  event.keyCode=0;
	  return false;
	}
}
document.onkeydown = keyDown;
</script>
</head>



<body bgcolor="#ffffff" topmargin=0 leftmargin=0>
<%
		String name = ((OperatorEntity)(session.getAttribute("sessionInfo"))).getOperatorName();
%>

<table border='0' cellpadding='0' cellspacing='0' width=100% >
	<tr><td class='title'>
		<table  background='/tdserver/images/TitleBak.gif' border=0 cellpadding=0 cellspacing=0 width=100% >
			<TR><TD valign=bottom height=25>
				<table border=0 cellpadding=0 cellspacing=0 >
					<tr>
						<td align=center width=280 height=25 valign=middle><img border=0 src='/tdserver/images/icon_group.gif'>
							<font style='font-size:10pt;font-weight:bold;font-family:arial,self;color: #0000ff'>
								<i18n:message key="account_view_device"/>
							</font>
						</td>
						
						<td width=1 bgcolor=#656565></td>
						<td  width=570 height=15 valign=middle align=right>
							
					</tr></table></td></tr></table></td></tr>
	<TR><TD height=1 bgcolor=#434343></td></tr>
	<TR><TD height=5 bgcolor=#ffffff></td></tr>
</table>

<br>
<center>
<table border="1" cellpadding="0" cellspacing="0" width="510" bordercolorlight="#656565" bordercolordark="#ffffff" style="WIDTH: 510px; HEIGHT: 192px">
 <tr>
    <th height="16" colspan=2><i18n:message key="account_detail"/></th>
 </tr>
<form action="view_export_deal.jsp" method="post" name = "form1" onSubmit="return checkform();">

<jsp:useBean id="accountDeal" scope="page" class="com.intel.tcserver.website.bean.AccountCtrl">
<%
    accountDeal.processRequest(request, accountDeal.OPERATION_GET_DEVICE_STATUS, session.getAttribute("sessionInfo"));
    DeviceAccountEntity accountEntity = new DeviceAccountEntity();
    if(accountDeal.queryAccount() == null)
    {
    	int result = -57; //Datebase error
    	%>
        <jsp:forward page="../popwin_result.jsp">
		<jsp:param  name="resultInfo"  value="<%=result%>"/>
		</jsp:forward>
        <%
    }
    accountEntity = accountDeal.queryAccount();
    //reverse dateformat
    String birthdayShow = "";
    String tempStr = accountEntity.getOwnerBirthday().toString();
    if(tempStr.indexOf(" ") >= 0)
    {
          tempStr = tempStr.substring(0,tempStr.indexOf(" "));
    }
    String[] temp = tempStr.split("-");
    if(temp.length == 3)
    {
         birthdayShow = temp[1]+"-"+temp[2]+"-"+temp[0];
    }
    
    String expDate = "";
    tempStr = accountEntity.getExpirationDate().toString();
    if(tempStr.indexOf(" ") >= 0)
    {
        tempStr = tempStr.substring(0,tempStr.indexOf(" "));
    }
    temp = tempStr.split("-");
    if(temp.length == 3)
    {
        expDate = temp[1]+"-"+temp[2]+"-"+temp[0];
    }
    
    String stolenFlag = accountEntity.getStolenFlag();
    if(stolenFlag != null && stolenFlag.compareToIgnoreCase("1") == 0)
    {
    	stolenFlag = "Yes";
    }
    else
    {
    	stolenFlag = "No";
    }
%>
  <TR>
    <TD width="25%" class=name><i18n:message key="account_hwid"/><i18n:message key="query_colon"/></TD>
    <TD width="75%" class=name_right><INPUT class=noborder name="HWID"
      style="COLOR: #000000" readOnly maxLength=12 size=35 value="<%=accountEntity.getDeviceHWID()%>">
      </TD>
   </TR>
     
      		
   <tr>
   <td class="name"><i18n:message key="account_stuid"/><i18n:message key="query_colon"/></td>
   <td class="name_right"><INPUT class=noborder
      style="COLOR: #000000" readOnly maxLength=12 size=65 value="<%=accountEntity.getOwnerID()%>"></td>

               </tr>
               <tr>
               	
      <td class="name"><i18n:message key="account_name"/><i18n:message key="query_colon"/></td>
                
      <td><span class="name_right"><INPUT class=noborder
      style="COLOR: #000000" readOnly maxLength=12 size=65 value="<%=accountEntity.getOwnerName()%>"></span></td>

              </tr>
               <TR>
                 <TD class=name><i18n:message key="account_birthday"/><i18n:message key="query_colon"/></TD>
                 <TD align=left><span class="name_right">
                   <INPUT class=noborder name="ownerBirthday"
      style="COLOR: #000000" readOnly maxLength=12 size=35 value="<%=birthdayShow%>">
                 </span></TD>
               </TR>
      <TR>
    <TD class=name><i18n:message key="account_tick"/><i18n:message key="query_colon"/></TD>
    <TD align=left><span class="name_right">
      <!-- parse string to int -->
      <%
      if(accountEntity.getBootTick() == null || (accountEntity.getBootTick()).equals(""))
      {
      %>
      <INPUT class=noborder style="COLOR: #000000" readOnly name="bootTick"
      maxLength=12 size=35 value="0">
      <%
      }
    else
    	{
      %>
      <INPUT class=noborder style="COLOR: #000000" readOnly name="bootTick"
      maxLength=12 size=35 value=<%=Integer.parseInt(accountEntity.getBootTick())%>>
      <%
      }%>
    </span></TD>
      </TR>
  <TR>
    <TD class=name> <i18n:message key="account_counter"/><i18n:message key="query_colon"/></TD>
    <TD align=left><span class="name_right">
      <!-- parse string to int -->
      <%
      if(accountEntity.getBootCounters() == null || (accountEntity.getBootCounters()).equals(""))
      {
      %>
      <INPUT class=noborder name="bootCounter" style="COLOR: #000000" readOnly maxLength=12 size=35 value="0">
      <%
      }
    else
    	{
      %>
      <INPUT class=noborder style="COLOR: #000000" readOnly name="bootCounter" 
      maxLength=12 size=35 value=<%=Integer.parseInt(accountEntity.getBootCounters())%>>
      <%
      }%>
    </span></TD>
  </TR>
  <TR>
    <TD class=name><i18n:message key="account_expdate"/><i18n:message key="query_colon"/></TD>
    <TD align=left><span class="name_right">
      <INPUT class=noborder name="expirationDate"
      style="COLOR: #000000" readOnly maxLength=12 size=35 value="<%=expDate%>"> 
    </span></TD>
  </TR>
  <TR>
    <TD class=name><i18n:message key="account_days"/><i18n:message key="query_colon"/></TD>
    <TD align=left><span class="name_right">
      <!-- parse string to int -->
      <%
      if(accountEntity.getExpirationDays() == null || (accountEntity.getExpirationDays()).equals(""))
      {
      %>
      <INPUT class=noborder id=text2 style="COLOR: #000000" readOnly maxLength=12 size=35 value="0" name="expirationDays">
      <%
      }
    else
    	{
      %>
      <INPUT class=noborder id=text2 style="COLOR: #000000" readOnly name="expirationDays"
      maxLength=12 size=35 value="<%=Integer.parseInt(accountEntity.getExpirationDays())%>">
      <%
      }%>
    </span></TD>
  </TR>
  <TR>
    <TD class=name><i18n:message key="account_stolen"/><i18n:message key="query_colon"/></TD>
    <TD align=left><span class="name_right">
	<%
	if(stolenFlag.compareToIgnoreCase("Yes") == 0)
	{
	%>
	<INPUT class=noborder name="stolenFlag"
      style="COLOR: #000000" readOnly maxLength=12 size=35 value="<i18n:message key='account_yes'/>">
	<%
	}
	else if(stolenFlag.compareToIgnoreCase("No") == 0)
	{
	%>
	<INPUT class=noborder name="stolenFlag"
      style="COLOR: #000000" readOnly maxLength=12 size=35 value="<i18n:message key='account_no'/>">
	<%
	}
	else
	{
	%>
	<INPUT class=noborder name="stolenFlag"
      style="COLOR: #000000" readOnly maxLength=12 size=35 value="">
	<%
	}
	%>
      
    </span></TD>
  </TR>
    <tr>
               
      <td class="name">
	 	 <table height="100%" cellspacing="0">
			   <tr><td class="name" height="15px"><i18n:message key="account_comment" /><i18n:message key="query_colon"/></td></tr>
			   <tr><td>&nbsp;</td></tr>
			</table>
	  </td>
               	
      <td align="left" ><span class="name_right">
	 <%
			if (accountEntity.getDeviceComment() == null || accountEntity.getDeviceComment().equals("[object]"))
           {
          %>
		  <TEXTAREA name="deviceComment" rows="4" cols="32" maxlength="<%=commentLen%>" style="width:294px; height:104px" readonly></TEXTAREA>
			<%
			}
			else
			{
			%>
			<TEXTAREA name="deviceComment" rows="4" cols="32" maxlength="<%=commentLen%>" style="width:294px; height:104px"  readonly><%=accountEntity.getDeviceComment()%></TEXTAREA>
			<%}%>
      </span></td>
    </tr>
     
</jsp:useBean>
			  <tr>
      			<td align="right" colspan="2" ><A onclick=javascript:self.close(); href="#"><i18n:message key="popwin_close"/></A></td>
    		  </tr>
            </form>
          </table>
</center>
<p style="MARGIN-TOP: 0px; MARGIN-BOTTOM: 0px; LINE-HEIGHT: 100%" align="center">&nbsp; <input type="button" class="button1" id=track style="CURSOR: hand; HEIGHT: 19px; width:80px;"   
onclick="{document.form1.submit()};" value="<i18n:message key='bt_export'/>"
 height=19 alt="<i18n:message key='bt_export'/>"  width=60 border=0 >
</p>
</body>
</html>
