﻿<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%@ include file="../../include/check/checktimeout_c.jsp"%>
<%@ include file="../../include/comment_len.jsp"%>
<%@ include file="../../js/check.jsp"%>
<%@ include file="../../js/function.jsp"%>
<%@ include file="../../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.entity.*"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="java.util.*"%>
<%@ page import="com.intel.tcserver.tool.*"%>
<%@ page import="com.intel.csserver.dao.xsd.School"%>
<%@ page import="com.intel.tcserver.util.constant.*"%>

<html>
<head>
<title><i18n:message key="migrate_add_request_th"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>



<br><br><br>
<script type="text/javascript" src="../../lib/jquery.js"></script>
<script type="text/javascript" src="../../lib/jquery.bgiframe.min.js"></script>
<script type="text/javascript" src="../../lib/jquery.ajaxQueue.js"></script>
<script type="text/javascript" src="../../lib/jquery.autocomplete.js"></script>
<script type="text/javascript" src="../../lib/localdata.js"></script>
<link rel="stylesheet" type="text/css" href="../../css/jquery.autocomplete.css"/>
<script type="text/javascript" language="javascript">
$().ready(function() {


//	$("#schoolList").autocomplete(cities, {
//		matchContains: true,
//		minChars: 0
//	});	

});

</script>

<body  bgcolor="#ffffff" topmargin=0 leftmargin=0>
<script type="text/javascript" language="javascript">

$().ready(function() {


	$("#schoolList").autocomplete(cities, {
		matchContains: true,
		minChars: 0
	});	

});
</script>

 <script language="javascript">
 	setTimeout("hidepromt()", 0);
 	function hidepromt()
 	{
	//document.all.doimport.style.visibility = "hidden";
	document.all.reqtable.style.visibility = "visible";
	}
function checkifSchoolNull()
{
	var schoolList = parent.document.getElementById('schoolList');
	if(schoolList == null || schoolList.value == null || schoolList.value == "")
	{
		alert("<i18n:message key="migrate_out_schoolempty"/>");
		return false;
	}
	return true;
}
 </script>
<center>
<%
String HWID = request.getParameter("HWID");
%>

<table  id="reqtable" border="1" cellpadding="0" cellspacing="0" width="690" bordercolorlight="#46599C" style="visibility:visible" bordercolordark="#ffffff" bgcolor="#FFFFFF">
    <tr height="30">
      <th bgcolor="#AEB9E7" align="center" valign="middle" colspan="2"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="migrate_add_request_th"/></font></th>
    </tr>
<jsp:useBean id="accountDeal" scope="page"
		class="com.intel.tcserver.website.bean.AccountCtrl">
<%
	MigrateUtil mgUtil = new MigrateUtil();
School[] lit = new School[]{};
try{
	lit = mgUtil.getSchoolList("");
	if (lit == null || lit.length <= 0)
	{
		//out.println("empty");
	}
	else
	{
		//out.println("size:"+lit.length);
	}
}catch(Exception e)
{
	//out.println("empty111");
}
%>
    <form  name="form1" action="add_mig_request_deal.jsp?HWID=<%=HWID%>" method="post" onSubmit="return checkifSchoolNull()" >
      <input type="hidden" name="HWID" value="<%=HWID%>">
     
      <!--Choose restore point -->
      <tr height="35">
      	<td align="left" valign="middle">
      		<font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:16px; vertical-align:middle">&nbsp;&nbsp;<i18n:message key="migrate_add_request_title1"/></font><br/>
      		
      	<div id="csres" width="100%" style="margin-left:50px; display:block">
					<table width="500px" style="table-layout:fixed;word-break:break-word;word-wrap:break-word">
			       <tr>
				  	<td align="left" width="60%" valign="middle"><i18n:message key="account_hwid"/><i18n:message key="query_colon"/><br><%=HWID%>&nbsp;
<i18n:message key="migrate_add_willmigto"/>
					</td>
<td align="left" width="40%" valign="middle">&nbsp;&nbsp;
<!--Option--->
<SELECT style="width:160;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="schoolList" id="schoolList">
	  <OPTION value="" selected>&nbsp;</OPTION>
<%
String schoolName = "";
int schoolid;
if (lit != null && lit.length > 0)
{
	for (int i = 0; i < lit.length; i++)
	{
		schoolid = lit[i].getSchoolid();
		schoolName = lit[i].getSchoolname();
		if (schoolName != null && !schoolName.equals(""))
		{
			%>
			<OPTION value="<%=schoolid%>"><%=schoolName%></OPTION>
			<%
		}
	}
}
%>
</SELECT><input type="hidden" name="schoolName" id="schoolName" value="<%=schoolName%>"
<!--Option--->
</td>
						</tr>
					</table>
				</div>
      		</td>
      </tr>
      
      
      
      <!--Button--->
      <tr height="30">
        <td colspan = 2 align="center" bgcolor="#E1E5FE" valign="middle">
<input
		 type="button" class="bt1" alt="<i18n:message key="button_ok"/>" value="<i18n:message key="button_ok"/>" border=0 onClick="if(checkifSchoolNull()){document.form1.submit();}"> 
        </tr>  


    </form>
  </table>
</center>

</jsp:useBean>
</body>

