<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ include file="../../include/head.jsp"%>
<%@ include file="../../include/check/checktimeout.jsp" %>
<%@ include file="../../include/check/cannotcommon.jsp" %>
<%@ include file="../../include/show_info.jsp"%>

<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import = "com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>

<body bgcolor="#ffffff">
<jsp:useBean id="logDeal" scope="page"  class="com.intel.tcserver.website.bean.LogCtrl">
  <%
  logDeal.processRequest(request, false);
  int result = logDeal.deleteLog();

  if (result <= 0)
  {
	
    String erroInfo = ErrorConstants.getInstance().getError(result);
  	%>
  	<script language="JavaScript">
    alert(showInfo(<%=result%>));
    window.location.href = "log_management.jsp";
    </script>
  	<%
  }
  else
  {
    %>
    <script language="JavaScript">
    alert(showInfo(<%=result%>));
    window.location.href = "log_management.jsp";
    </script>
    <%
  }
  %>
</jsp:useBean>
</body>
</html>
