﻿<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%@ include file="../../include/check/checktimeout_c.jsp"%>
<%@ include file="../../include/check/cannotcommon.jsp"%>
<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>
<%@ page import="java.sql.Timestamp"%>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>

<html>
<head>
<title><i18n:message key="nvbar_log"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>
<body bgcolor="#ffffff" topmargin=0 leftmargin=0>
<!--forbidden F11-->
<script language="javascript">
function keyDown(e){
  if(event.keyCode==122){
	  event.keyCode=0;
	  return false;
	}
}
document.onkeydown = keyDown;
</script>
<table border='0' cellpadding='0' cellspacing='0' width=100% >
	<tr><td class='title'>
		<table  background='/tdserver/images/TitleBak.gif' border=0 cellpadding=0 cellspacing=0 width=100% >
			<TR><TD valign=bottom height=25>
				<table border=0 cellpadding=0 cellspacing=0 >
					<tr>
						<td align=center width=280 height=25 valign=middle><img border=0 src='/tdserver/images/icon_group.gif'>
							<font style='font-size:10pt;font-weight:bold;font-family:arial,self;;color: #0000ff'>
								<i18n:message key='log_export_title'/>
							</font>
						</td>
						<td width=1 bgcolor=#656565>
						</td>
						
						<td  width=570 height=15 valign=middle align=right>
					</tr></table></td></tr></table></td></tr>
	<TR><TD height=1 bgcolor=#434343></td></tr>
	<TR><TD height=5 bgcolor=#ffffff></td></tr>
</table>
<br><br><br><br><br>
<jsp:useBean id="logDeal" scope="page" class="com.intel.tcserver.website.bean.LogCtrl">
	<%

  logDeal.processRequest(request, false);
  //get current date and time
  Timestamp curTime = new Timestamp(System.currentTimeMillis());
  String curDate = curTime.toString();
  //export
  curDate = curDate.substring(0,10);
  
  String opername = ((OperatorEntity)(session.getAttribute("sessionInfo"))).getOperatorName();
  String filename = "../webapps/tdserver/Download/" + opername + "_log" + ".xml";

  int result = logDeal.exportLog(filename);
  if (result != 1)
  {
    //check(result);
    String erroInfo = ErrorConstants.getInstance().getError(result);
  	%>
	<script language="JavaScript">
	parent.window.location.href = "../../popwin_result.jsp?resultInfo=<%=result%>";
    </script>
	<%

  }
  else
  {
	String newfilename = "../../Download/" + opername + "_log" + ".xml";
%>
<br>
<center><font style='font-size:12pt;'><strong><i18n:message key='log_export_note1'/></strong></font></center>
<center><font style='font-size:12pt;'><strong><i18n:message key='log_export_note3'/></strong></font></center>
<br>
<center><FONT color=#0000ff>
<a href="<%=newfilename%>" style="color:#000000; text-decoration:underline"><font style='font-size:10pt;'><i18n:message key='log_export_note2'/></font></a></FONT></center>
	<script language="JavaScript">
	//alert("OK");
	//window.location.href = 'export_log_download.jsp';
    </script>
	
	<%
	
  }
  %>
</jsp:useBean>
</body>
</html>
