<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<script language="javascript">
function showInfo(result)
{
	var ret;
	switch(result)
	{
			case 1:
				ret = "<i18n:message key='error_succ'/>";
				break;
			case 2:
				ret = "<i18n:message key='shared_update_succ'/>";
				break;
			case 0:
				ret = "<i18n:message key='error_fail'/>";
				break;
			case -11:
				ret = "<i18n:message key='error_fail'/>";
				break;
			case -12:
				ret = "<i18n:message key='error_valuenull'/>";
				break;
			case -13:
				ret = "<i18n:message key='error_valueuninput'/>";
				break;
			case -14:
				ret = "<i18n:message key='error_boundover'/>";
				break;
			case -15:
				ret = "<i18n:message key='error_dbdiscnt'/>";
				break;
			case -16:
				ret = "<i18n:message key='error_closingdbfail'/>";
				break;
			case -17:
				ret = "<i18n:message key='error_rollbackfail'/>";
				break;
			case -18:
				ret = "<i18n:message key='error_commitfail'/>";
				break;
			case -19:
				ret = "<i18n:message key='error_opendbfail'/>";
				break;
			case -20:
				ret = "<i18n:message key='error_closingdbfail'/>";
				break;
			case -21:
				ret = "<i18n:message key='error_exeupdatefail'/>";
				break;
			case -22:
				ret = "<i18n:message key='error_exedelfail'/>";
				break;
			case -23:
				ret = "<i18n:message key='error_exeinsfail'/>";
				break;
			case -24:
				ret = "<i18n:message key='error_exequeryfail'/>";
				break;
			case -25:
				ret = "<i18n:message key='error_deviceinvalid'/>";
				break;
			case -26:
				ret = "<i18n:message key='error_hwidinvalid'/>";
				break;
			case -27:
				ret = "<i18n:message key='error_uploadfail'/>";
				break;
			case -28:
				ret = "<i18n:message key='error_pagenumerr'/>";
				break;
			case -29:
				ret = "<i18n:message key='error_startpageerr'/>";
				break;		
			case -30:
				ret = "<i18n:message key='error_dblognull'/>";
				break;
			case -31:
				ret = "<i18n:message key='error_nullspecialflag'/>";
				break;
			case -32:
				ret = "<i18n:message key='error_stolenflagerr'/>";
				break;
			case -33:
				ret = "<i18n:message key='error_setaccountfail'/>";
				break;
			case -34:
				ret = "<i18n:message key='error_dateerr'/>";
				break;
			case -35:
				ret = "<i18n:message key='error_exist'/>";
				break;
			case -36:
				ret = "<i18n:message key='error_loginerr'/>";
				break;
			case -37:
				ret = "<i18n:message key='error_notexist'/>";
				break;
			case -38:
				ret = "<i18n:message key='error_oldpwderr'/>";
				break;
			case -39:
				ret = "<i18n:message key='error_gensharedkey'/>";
				break;
			case -40:
				ret = "<i18n:message key='error_nulloper'/>";
				break;		
			case -41:
				ret = "<i18n:message key='error_opernotexist'/>";
				break;
			case -42:
				ret = "<i18n:message key='error_opernamenull'/>";
				break;
			case -43:
				ret = "<i18n:message key='error_modifypwd'/>";
				break;
			case -44:
				ret = "<i18n:message key='error_gettotalcnt'/>";
				break;
			case -45:
				ret = "<i18n:message key='error_hwidlen'/>";
				break;
			case -46:
				ret = "<i18n:message key='error_stuidlen'/>";
				break;
			case -47:
				ret = "<i18n:message key='error_namelen'/>";
				break;
			case -48:
				ret = "<i18n:message key='error_ticklen'/>";
				break;
			case -50:
				ret = "<i18n:message key='error_comment'/>";
				break;
			case -51:
				ret = "<i18n:message key='error_hwidinvalid'/>";
				break;
			case -52:
				ret = "<i18n:message key='error_stuidinvalid'/>";
				break;
			case -53:
				ret = "<i18n:message key='error_tickinvalid'/>";
				break;
			case -54:
				ret = "<i18n:message key='error_nameinvalid'/>";
				break;
			case -55:
				ret = "<i18n:message key='error_exportxml'/>";
				break;
			case -56:
				ret = "<i18n:message key='error_xmlinvalid'/>";
				break;
			case -57:
				ret = "<i18n:message key='page_error'/>";
				break;
			case -58:
				ret = "<i18n:message key='xml_toobig'/>";
				break;
			case -59:
				ret = "<i18n:message key='update_succ'/>";
				break;
			case -60:
			  ret = "<i18n:message key='error_sharedkey_bad'/>";
			  break;
			default:
			  ret = "<i18n:message key='page_error'/>";
				break;
				
	}
	return ret;
}
</script>