<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>	
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>	
<%@ include file="../include/check/checktimeout_s.jsp"%>
<%@ include file="../include/head.jsp"%>
<%@ include file="../js/function.jsp"%>
<%@ include file="../js/check.jsp"%>


<%
	 OperatorEntity student = (OperatorEntity)session.getAttribute("studentInfo");
	 String HWID = student.getOperatorName();
	 String version = request.getParameter("version");
	 if (version == null || version.equals("null"))
	{
			version = "";
	}
	 AccountCtrl account = new AccountCtrl();
	account.processRequest(request, account.OPERATION_LIST_CONDITION, student);
	DeviceAccountEntity device = account.queryAccount();
	if (device == null)
	{
	
	%>
	<jsp:forward page="../popwin_result.jsp">
    <jsp:param name="resultInfo" value="-61"/>
    </jsp:forward>
	<%
	}
	else
	{

	String bFlag = device.getActivationflag();
	
	if (bFlag == null || bFlag.equals("0"))
	{
	
		%>
	<jsp:forward page="../popwin_result.jsp">
    <jsp:param name="resultInfo" value="-61"/>
    </jsp:forward>
	<%
	}
	}
%>
 

<style type="text/css">

<!--

BODY {

background: url(../images/main.jpg) no-repeat; 

background-color:#D9DFFF;

} 

--> 

</style>


<body topmargin=0 leftmargin=0 marginwidth=0 marginheight=0 onLoad="">
<script language=javascript>
function exportXml()
{
	var hwid = document.form1.hwid.value;
	openWindow("../Device Admin/ExportStreamFile?type=studentxml&HWID=" + hwid, '300', '500');
}
</script>
<table width="783" cellpadding="0" cellspacing="0" border="0" cols="2">
<tr>
	<td colspan="2" height="85">
		<%@ include file="student_top.jsp"%>
	</td>
</tr>
<tr>
	<td align="right" width="210"  valign="top">
		<table width="183" cellspacing="1" cellpadding="0" border="0"> 
		<tr style="background:url(../images/4.jpg); height:35; vertical-align:middle"> 
			<td align="left"><font style="font-size:15px; font-family:Arial, Helvetica, sans-serif" color="#FFFFFF">&nbsp;&nbsp;&nbsp;&nbsp;<b><i18n:message key="student_account"/></b></font></td> 
		</tr>
		<tr style="background:url(../images/5.jpg); height:29; vertical-align:middle"> 
			<td align="left" >&nbsp;&nbsp;&nbsp;<a href="student_main.jsp?HWID=<%=HWID%>&version=<%=version%>"><font style="font-size:12px; font-family:Arial, Helvetica, sans-serif" color="#4953A8"><b><i18n:message key="student_profile"/></b></font></a></td> 
		</tr> 
		<tr style="background:url(../images/5.jpg); height:29; vertical-align:middle"> 
			<td align="left" >&nbsp;&nbsp;&nbsp;<a href="unlock_code_creation.jsp?HWID=<%=HWID%>&version=<%=version%>"><font style="font-size:12px; font-family:Arial, Helvetica, sans-serif" color="#4953A8"><b><i18n:message key="nvbar_unlock"/></b></font></a></td> 
		</tr> 	
<!--Export navigator-->
<tr style="background:url(../images/6.jpg); height:33; vertical-align:middle"> 
			<td align="left" >&nbsp;&nbsp;&nbsp;<font style="font-size:12px; font-family:Arial, Helvetica, sans-serif" color="#B81212"><b><i18n:message key="student_export_nvbar"/>&nbsp;&nbsp;<i18n:message key="nvbar_chosed"/></b></font></td> 
		</tr>
		</table>	
				
	</td>
	
	<td align="center" valign="top">
<center>
<!-- begin--->
<form name="form1" action="#" method="post" onSubmit="return validate();">
<table width="500" border="0" cols="1" class="tb1">

<input type="hidden" name="hwid" value="<%=HWID%>"/>
<TR bgcolor="#AEB9E9" height="30">
		<Td align="left" colspan="2" valign="middle"><font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:16px">&nbsp;&nbsp;<i18n:message key="student_export_th"/></font></Td>
		
	</TR>
<tr>
<td>
<table width="100%" bgcolor="#FFFFFF" border="0" cols="2">
<tr>
<td><br>
<font style="color:#041681"><i18n:message key="student_export_note"/></font>
</td>
</tr>
<tr>
<td align="center"><br><input type="button" class="bt9" value="<i18n:message key="bt_export"/>" 
onClick="exportXml();" alt="Export" border=0 >
</td>
</tr>
</table>
</td>
</tr>

</table>
</form>
</center>
</td>

</tr>
</table>
</body>
</html>
