<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>

<%@ include file="../include/check/checktimeout_s.jsp"%>			 

<%
	AccountCtrl account = new AccountCtrl();
	OperatorEntity student = (OperatorEntity)session.getAttribute("studentInfo");
	account.processRequest(request, account.OPERATION_UPDATE_ACCOUNT, student);
	DeviceAccountEntity device = account.queryAccount();
	if (device == null)
	{
		%>
	<jsp:forward page="../popwin_result.jsp">
    <jsp:param name="resultInfo" value="-61"/>
    </jsp:forward>
	<%
	}
	else
	{
	String flag = device.getActivationflag();
	if (flag == null || flag.equals("0"))
	{
		%>
	<jsp:forward page="../popwin_result.jsp">
    <jsp:param name="resultInfo" value="-61"/>
    </jsp:forward>
	<%
	}
	}
	
	String HWID = student.getOperatorName();
	String version = request.getParameter("version");
	if (version == null || version.equals("null"))
	{
		version = "";
	}
	
%>
<%@ include file="../include/head.jsp"%>
<%@ include file="../js/check.jsp"%>
<%@ include file="../js/function.jsp"%>	
<%@ include file="../js/popcalendar.jsp"%>




<style type="text/css">

<!--

BODY {

background: url('../images/main.jpg') no-repeat; 

background-color:#D9DFFF;

} 

--> 

</style>

<script type="text/javascript" language="javascript">
function validate()
{
	//var hwid = document.form_validate.hwid.value;
	var psw = document.form1.password.value;
	var newpsw = document.form1.newPassword.value;
	var conpsw = document.form1.confirmpwd.value;
	var student_name = trim(document.form1.ownerID.value);
	var old = document.form1.password.value;
	var birthday = document.form1.ownerBirthday.value;
	
	
	if(student_name == null || student_name == "")
	{
		alert("<i18n:message key='check_ownername_null'/>");
		return false;
	}
	else if(!checkpercent("Student ID", student_name))
	{
		return false;
	}
	else if(!checkBirthday(birthday))
	{
		return false;
	}
	else if((psw == null || psw == "") && (newpsw != null && newpsw != ""))
	{
		alert("<i18n:message key='check_pwd_null'/>");
		return false;
	}
	
	else if((psw != null && psw !== "") && (newpsw == null || newpsw == ""))
	{
		alert("<i18n:message key='check_newpwd_null'/>");
		return false;
	}
	else if(newpsw != null && newpsw != "" && !checkPassword(newpsw))
	{
		return false;
		
	}
	else if(newpsw != conpsw)
	{
		alert("<i18n:message key='check_pwd_inconsistent'/>");
		return false;
	}
	
	return true;
}

function resetValidate(frm)
{
	frm.reset();
}
</script>


<body topmargin=0 leftmargin=0 marginwidth=0 marginheight=0>
<table width="783" cellpadding="0" cellspacing="0" border="0" cols="2">
<tr>

	<td colspan="2" height="85">	
		<%@ include file="student_top.jsp"%>
	</td>
</tr>

<tr>
	<td align="right" width="210"  valign="top">
		<table width="183" cellspacing="1" cellpadding="0" border="0"> 
		<tr style="background:url(../images/4.jpg); height:35; vertical-align:middle"> 
			<td align="left"><font style="font-size:15px; font-family:Arial, Helvetica, sans-serif" color="#FFFFFF">&nbsp;&nbsp;&nbsp;&nbsp;<b><i18n:message key="student_account"/></b></font></td> 
		</tr>
		<tr style="background:url(../images/1.jpg); height:29; vertical-align:middle"> 
			<td align="left" >&nbsp;&nbsp;&nbsp;<font style="font-size:12px; font-family:Arial, Helvetica, sans-serif" color="#B81212"><b><i18n:message key="student_profile"/>&nbsp;&nbsp;<i18n:message key="nvbar_chosed"/></b></font></td> 
		</tr> 
		<tr style="background:url(../images/5.jpg); height:29; vertical-align:middle"> 
			<td align="left" >&nbsp;&nbsp;&nbsp;<a href="unlock_code_creation.jsp?HWID=<%=HWID%>&version=<%=version%>" ><font style="font-size:12px; font-family:Arial, Helvetica, sans-serif" color="#4953A8"><b><i18n:message key="nvbar_unlock"/></b></font></a></td> 
		</tr>
<!--Export navigator-->
<tr style="background:url(../images/2.jpg); height:33; vertical-align:middle"> 
			<td align="left" >&nbsp;&nbsp;&nbsp;<a href="export_stu_info.jsp?HWID=<%=HWID%>&version=<%=version%>" ><font style="font-size:12px; font-family:Arial, Helvetica, sans-serif" color="#4953A8"><b><i18n:message key="student_export_nvbar"/></b></font></a></td> 
		</tr>
		</table>	
				
	</td>

<td align="center" valign="top">

<form name="form1" action="modify_information.jsp?version=<%=version%>" method="post" onSubmit="return validate();">
<table width="500" border="0" cols="1" class="tb1">

<TR bgcolor="#AEB9E9" height="30">
		<Td align="left" colspan="2" valign="middle"><font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:16px">&nbsp;&nbsp;<i18n:message key="student_profile_th"/></font></Td>
		
	</TR>
<tr>
<td>
<table width="100%" bgcolor="#FFFFFF" border="0" cols="2">
<tr>
<Td align="right" width="35%"><font style="font-weight:bold; color:#041681"><i18n:message key="student_personal"/></font></Td>
<td>&nbsp;</td>
</tr>
<tr>
<td align="right"><font style="color:#041681"><i18n:message key="account_name"/><i18n:message key="query_colon"/></font>
</td>
<td align="left">&nbsp;&nbsp;&nbsp;<input type="text" name="ownerID" style="width:200" value="<%=name%>" maxlength="30"/><font style="color:#041681">*</font></td>
</tr>
<tr>
<td align="right"><font style="color:#041681"><i18n:message key="account_birthday"/><i18n:message key="query_colon"/></font>
</td>
	<%
	
		String birthdayShow = "";
		if (device.getOwnerBirthday() != null)
		{
			String tempStr = device.getOwnerBirthday().toString();
			if(tempStr.indexOf(" ") >= 0)
			{
				tempStr = tempStr.substring(0,tempStr.indexOf(" "));
			}
			
			String[] temp = tempStr.split("-");
			if(temp.length == 3)
			{
				birthdayShow = temp[1]+"-"+temp[2] + "-" + temp[0];
			}
		}
	%>
<input type="hidden" value="<%=HWID%>" name="HWID"/>
<input type="hidden" value="<%=HWID%>" name="operatorName"/>
<input type="hidden" value="<%=name%>" name="default_ownerID"/>
<input type="hidden" value="<%=birthdayShow%>" name="default_birthday"/>
<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<%if (birthdayShow.equals("")){%><input type="text" id="ownerBirthday" name="ownerBirthday" style="width:200" value="<i18n:message key='date_format'/>" maxlength="10" onFocus="this.select();"/>
<%}else{%><input type="text" id="ownerBirthday" name="ownerBirthday" style="width:200" value="<%=birthdayShow%>" maxlength="10" onFocus="this.select();"/><%}%>&nbsp;&nbsp;<img align="baseline"   name = "clock" src="../images/time.jpg" width="20" 
onClick="popUpCalendar( this, ownerBirthday, 'mm-dd-yyyy', -1, -1);" style="vertical-align:middle"><font style="color:#041681"> *</font>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td>
<table width="100%" bgcolor="#FFFFFF" border="0" cols="2" >
<tr>
<Td align="right" width="35%"><font style="font-weight:bold; color:#041681"><i18n:message key="login_modify"/></font></Td>
<td><font style="color:#041681"><i18n:message key="student_change_pwd"/></font></td>
</tr>
<tr>
<td align="right"><font style="color:#041681"><i18n:message key="modify_oldpwd"/><i18n:message key="query_colon"/></font></td>
<td align="left">&nbsp;&nbsp;&nbsp;<input type="password" name="password" style="width:200" value=""  maxlength="30"/></td>
</tr>
<tr>
<td align="right"><font style="color:#041681"><i18n:message key="modify_newpwd"/><i18n:message key="query_colon"/></font></td>
<td align="left">&nbsp;&nbsp;&nbsp;<input type="password" name="newPassword" style="width:200" value=""  maxlength="30"/></td>
</tr>
<tr>
<td align="right"><font style="color:#041681"><i18n:message key="modify_confirm"/><i18n:message key="query_colon"/></font></td>
<td align="left">&nbsp;&nbsp;&nbsp;<input type="password" name="confirmpwd" style="width:200" value="" maxlength="30" /></td>
</tr>
<tr>
<td align="center" colspan="2">
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="bt8" value="<i18n:message key='bt_save'/>" onClick="if(validate()){document.form1.submit()};" alt="<i18n:message key='bt_save'/>" border=0 >
	  &nbsp;&nbsp;
	  <input type="button" class="bt8" value="<i18n:message key='bt_reset'/>" onClick="resetValidate(form1);" alt="<i18n:message key='bt_reset'/>" border=0 >
</td>
</tr>
</table>
</td>
</tr>
</table>
</form>


</td>
</tr>
</table>

</body>
</html>
