<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>	
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>	
<%@ include file="../include/check/checktimeout_s.jsp"%>
<%@ include file="../include/head.jsp"%>
<%@ include file="../js/function.jsp"%>
<%@ include file="../js/check.jsp"%>


<%
	 OperatorEntity student = (OperatorEntity)session.getAttribute("studentInfo");
	 String HWID = student.getOperatorName();
	 String version = request.getParameter("version");
	 if (version == null || version.equals("null"))
	{
		version = "";
	}
	 AccountCtrl account = new AccountCtrl();
	account.processRequest(request, account.OPERATION_LIST_CONDITION, student);
	DeviceAccountEntity device = account.queryAccount();
	if (device == null)
	{
	
	%>
	<jsp:forward page="../popwin_result.jsp">
    <jsp:param name="resultInfo" value="-61"/>
    </jsp:forward>
	<%
	}
	else
	{

	String bFlag = device.getActivationflag();
	
	if (bFlag == null || bFlag.equals("0"))
	{
	
		%>
	<jsp:forward page="../popwin_result.jsp">
    <jsp:param name="resultInfo" value="-61"/>
    </jsp:forward>
	<%
	}
	}
%>
 

<%@ include file="../js/function.jsp"%>	

<style type="text/css">

<!--

BODY {

background: url(../images/main.jpg) no-repeat; 

background-color:#D9DFFF;

} 

--> 

</style>
<script type="text/javascript">

function isDigit(frm)   
{   
	var s = trim(frm.bootTick.value);
	if(s == null || s == "")
	{
		alert("<i18n:message key='key_input_boottick'/>");
		return false;
	}
	var patrn=/^[0-9]*$/;   
	if (!patrn.exec(s))
	{
		alert("<i18n:message key='check_tick_digit'/>");
		return false ; 
	}
	return true ; 
}   
	function genCode()
	{
		var hwid = document.form1.hwid.value;
		var bootTick = trim(document.form1.bootTick.value);
		if(bootTick == null || bootTick == "")
		{
			alert("<i18n:message key='check_tick_null'/>");
			return false;
		}
		openWindow("unlock_code_deal.jsp?hwid=" + hwid + "&bootTick=" + bootTick, '300', '500');
	}

function isHex(frm)   
{   
	var s = frm.bootTick.value;
	if(s == null || s == "")
	{
		alert("<i18n:message key='key_input_boottick'/>");
		return false;
	}
	var patrn=/^[0-9A-Fa-f]{1,5}$/;   
	if (!patrn.exec(s))
	{
		alert("<i18n:message key='check_tick_hex'/>");
		return false ; 
	}
	return true ; 
}   
</script>


<body topmargin=0 leftmargin=0 marginwidth=0 marginheight=0 onLoad=document.form1.bootTick.focus()>

<table width="783" cellpadding="0" cellspacing="0" border="0" cols="2">
<tr>
	<td colspan="2" height="85">
		<%@ include file="student_top.jsp"%>
	</td>
</tr>
<tr>
	<td align="right" width="210"  valign="top">
		<table width="183" cellspacing="1" cellpadding="0" border="0"> 
		<tr style="background:url(../images/4.jpg); height:35; vertical-align:middle"> 
			<td align="left"><font style="font-size:15px; font-family:Arial, Helvetica, sans-serif" color="#FFFFFF">&nbsp;&nbsp;&nbsp;&nbsp;<b><i18n:message key="student_account"/></b></font></td> 
		</tr>
		<tr style="background:url(../images/5.jpg); height:29; vertical-align:middle"> 
			<td align="left" >&nbsp;&nbsp;&nbsp;<a href="student_main.jsp?HWID=<%=HWID%>&version=<%=version%>"><font style="font-size:12px; font-family:Arial, Helvetica, sans-serif" color="#4953A8"><b><i18n:message key="student_profile"/></b></font></a></td> 
		</tr> 
		<tr style="background:url(../images/6.jpg); height:29; vertical-align:middle"> 
			<td align="left" >&nbsp;&nbsp;&nbsp;<font style="font-size:12px; font-family:Arial, Helvetica, sans-serif" color="#B81212"><b><i18n:message key="nvbar_unlock"/>&nbsp;&nbsp;<i18n:message key="nvbar_chosed"/></b></font></a></td> 
		</tr>
<!--Export navigator-->
<tr style="background:url(../images/2.jpg); height:33; vertical-align:middle"> 
			<td align="left" >&nbsp;&nbsp;&nbsp;<a href="export_stu_info.jsp?HWID=<%=HWID%>&version=<%=version%>" ><font style="font-size:12px; font-family:Arial, Helvetica, sans-serif" color="#4953A8"><b><i18n:message key="student_export_nvbar"/></b></font></a></td> 
		</tr>
		</table>	
				
	</td>
	
	<td align="center" valign="top">
<center>
<table width="500" border="0" cols="1" class="tb1">

<TR bgcolor="#AEB9E9" height="30">
		<Td align="left" colspan="2" valign="middle"><font style="font-weight:bold; color:#041681; font-size:16px">&nbsp;&nbsp;<i18n:message key="nvbar_unlock"/></font></Td>
		
  </TR>
<tr>
<td>
<table width="100%" bgcolor="#FFFFFF" border="0" cols="2" >
<form name="form1" action="#" method="post">
<tr><td>&nbsp;</td></tr>
<tr>
<Td align="left" width="25%">&nbsp;&nbsp;<font style="font-weight:bold; color:#041681"><i18n:message key="account_hwid"/><i18n:message key="query_colon"/></font></Td>
<td align="left"><font style="font-weight:bold; color:#041681"><%=HWID%></font></td>
<input type="hidden" name="hwid" value="<%=HWID%>"/>
</tr>
<tr>
<%
	boolean flag = false;
	if (device.getStolenFlag().equalsIgnoreCase("1") || device.getActivationflag().equalsIgnoreCase("0"))
	{
		flag = true;
	}
	
%>
<td align="left">&nbsp;&nbsp;<font style="font-weight:bold; color:#041681"><i18n:message key="account_tick"/><i18n:message key="query_colon"/></font></td>
<td align="left"><input type="text" name="bootTick" style="width:80" maxlength="5" value=""/><font style="font-weight:bold; color:#041681">*</font>
  <font style="color:#041681"><i18n:message key="student_tick"/></font>
  </td>
</tr>
<tr>
<td align="left" colspan="2">&nbsp;&nbsp;<input type="button" class="bt13" value="<i18n:message key='button_generate_code'/>" onClick="if(isHex(form1)){genCode()};" alt="<i18n:message key='button_generate_code'/>" <%if(flag) {%> disabled style="color:#FFFFFF" <%}%> border=0 ></td>
</tr>
</form>
</table>
</td>
</tr>

</table>
</center>
</td>

</tr>
</table>
</body>
</html>
