<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%
response.setHeader("Pragma","No-cache");
response.setHeader("Cache-Control","no-cache");
response.setDateHeader("Expires", 0);
%>

<%@ include file="../include/head.jsp"%>
<%@ include file="../include/check/checktimeout_c.jsp"%>
<%@ include file="../include/show_info.jsp"%>
<%@ include file="../js/function.jsp"%>

<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>
<%@ page import="com.intel.tcserver.util.constant.ToolConstants"%>
<%@ page import="com.intel.tcserver.certificate.CertificateCtrl"%>

<%@ page import="java.util.*"%>
<%@ page import="java.sql.Timestamp"%>



<form name="" action="import.jsp" method="post">

<body  bgcolor="#ffffff" topmargin=0 leftmargin=0>

<jsp:useBean id="accountDeal" scope="page" class="com.intel.tcserver.website.bean.AccountCtrl">
<%
  Timestamp date = new Timestamp(System.currentTimeMillis());
  String strDate = date.toString().replace(':', '-');
  accountDeal.processRequest(request,accountDeal.OPERATION_IMPORT_ACCOUNT ,session.getAttribute("sessionInfo"));  
  String opername = ((OperatorEntity)(session.getAttribute("sessionInfo"))).getOperatorName() + " " + strDate;
String importPath = CertificateCtrl.getConfig(ToolConstants.IMPORT_PATH_ID);
String importFileName=importPath + "/" + request.getParameter("Pathfile");

  int result = accountDeal.importServerKeyFile(importFileName);
  String serverInfo = request.getLocalAddr();

  if(result != 1)//failed
  {
    String errReportFilename = "../Download/"+opername+" ServerKeyerrReport.xml";
	
   %>
    <script language="javascript">
	alert("<i18n:message key="error_fail"/>");
window.close();
    </script>
   
 <%   
  }
  else//success
  {
  String errReportFilename = "../Download/"+opername+" errReport.xml";
  %>
  <script language="javascript">
    alert("<i18n:message key='keyfile_import_finish'/>");
window.close();
  </script>

  <%
  }
  %>
 
</jsp:useBean>
</body>

