<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.website.bean.SchoolCtrl"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import="java.text.SimpleDateFormat, java.util.*"%>
<%@ page import="com.intel.tcserver.tool.BackupUtil"%>
<%@ page import="com.intel.tcserver.tool.ArrayUtil"%>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ include file="../include/check/checktimeout_c.jsp"%>
<%@ include file="../include/head.jsp"%>
<%@ include file="../js/function.jsp"%>

<%
	String type = request.getParameter("restorechoice");
	String remoteFileChoice = request.getParameter("remotefileChoice");
	String[] items = request.getParameterValues("restoreconfig");
	String clearQueue = request.getParameter("clearqueue");

	List localFileList = BackupUtil.getFileListByTime("");

	
	//List remoteFileList = null;
	List remoteFileList = BackupUtil.getFileListFromCS();
	
%>

<script language="javascript">
	
	function restoreAction()
	{
		
		if (!document.getElementById("lorestore").checked)
		{
			document.getElementById("csres").style.display="";
			document.getElementById("lores").style.display="none";
		}
		else
		{
			document.getElementById("csres").style.display="none";
			document.getElementById("lores").style.display="";
		}

		
	}

	function submitRestore()
	{
		
		
		if ( document.getElementById("csrestore") && document.getElementById("csrestore").checked )
		{
			if ( document.getElementById("databasecheckid").checked )
			{
				if ( !document.getElementById("remotefileselect") ||
						(document.getElementById("remotefileselect") &&
						document.getElementById("remotefileselect").value == "") )
				{
					alert("<i18n:message key='restore_nofileselect_error'/>");
					return;
				}
			}
			
			
			if ( document.getElementById("databasecheckid").checked == false && 
					document.getElementById("kpcheckid").checked == false )
			{
				alert("<i18n:message key='restore_needfile'/>");
				return;
			}
			
			if ( document.getElementById("cspwd").value == "" )
			{
				alert("<i18n:message key='restore_needpwd'/>");
				return;
			}
		}
		
		if ( document.getElementById("lorestore") && document.getElementById("lorestore").checked )
		{
			
			if ( !document.getElementById("fileselect") ||
					(document.getElementById("fileselect") &&
					document.getElementById("fileselect").value == "") )
			{
				alert("<i18n:message key='restore_nofileselect_error'/>");
				return;
			}

		}
		document.getElementById("restoreform").submit();
	}

	function initialPage()
	{
		restoreAction();
		remoteRestoreChoice();
		
	}

	function remoteRestoreChoice()
	{
		var select = document.getElementById("remotefileselect");
		var clqueue = document.getElementById("clearqueuetr");
		if ( document.getElementById("databasecheckid") )
		{
			if ( document.getElementById("databasecheckid").checked )
			{
				if ( select )
				{
					select.disabled = false;
				}

				if ( clqueue )
				{
					clqueue.style.display="";
				}
			}
			else
			{
				if ( select )
				{
					select.disabled = true;
				}

				if ( clqueue )
				{
					clqueue.style.display="none";
				}
			}
		}
	}

	
</script>


<body onload="initialPage()">

<br>
<br>
<br>
<br>
<br>
<center>
<form  id="restoreform" action="restore_confirm.jsp" method="post" autocomplete=off>
  <table border="1" cellpadding="0" cellspacing="0" width="690" bordercolorlight="#46599C" bordercolordark="#ffffff">
    <tr height="30">
      <th bgcolor="#AEB9E7" align="center" valign="middle" colspan="2"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key='restore_option'/></font></th>
    </tr>
	<tr height="60">
      	<td align="left" valign="middle">
		<%
			boolean isDeployed = SchoolCtrl.getDeployedFlag();
			int schoolStatus = SchoolCtrl.checkSchoolStatus();
			
			if ( isDeployed && schoolStatus == SchoolCtrl.SCHOOL_UPDATE ) {
		%>
		
		 
      	
      	<input type="radio" value="local" <%if (type == null || type.equalsIgnoreCase("local") ) {%>checked <%} %>style="vertical-align:middle" class="radio" name="restorechoice" id="lorestore" onClick="restoreAction();">
      		<font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:16px; vertical-align:middle"><i18n:message key='restore_local'/></font><br/>
      		
      	<div id="lores" width="100%" style="margin-left:50px; display:''">
					<table width="600px">
						<tr>
							<td align="left" width="40%" valign="middle">&nbsp;&nbsp;<i18n:message key='restore_point_label'/>
					</td>
			        <td align="left" valign="middle">&nbsp;&nbsp;
			        <%if ( localFileList == null || localFileList.size() <= 0 ) {%>
			        <i18n:message key='restore_nofile_local'/>
			        <%}else{ %>
			        <SELECT style="WIDTH: 180px;" id="fileselect" size=1 name="fileChoice" >
			        <%
			        	for ( int i = 0; i < localFileList.size(); i++ )
			        	{
			        %>
								   <OPTION value="<%=(String)localFileList.get(i) %>" <%if ( 0 == i ){ %>selected <%} %>><%=(String)localFileList.get(i) %></OPTION>
					 <%
			        	}
			        	}
					 %>
							</SELECT></td>
			      </tr>
			      
					</table>
				</div>
				
				<br/>
      	<input type="radio" value="remote" <%if (type != null && type.equalsIgnoreCase("remote") ) {%>checked <%} %> style="vertical-align:middle" class="radio" name="restorechoice" id="csrestore" onClick="restoreAction();">
      		<font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:16px; vertical-align:middle"><i18n:message key='restore_cs'/></font><br/>
      		
      	<div id="csres" width="100%" style="margin-left:50px; display:none">
					<table width="600px">
						<tr>
							<td align="left" width="40%" valign="middle">&nbsp;&nbsp;<i18n:message key='restore_point_label'/>
					</td>
			        <td align="left" valign="middle">
			        <%if ( remoteFileList == null ) {%>
			        <i18n:message key='network_error'/>
			        <%}else if ( remoteFileList.size() <= 0 ) { %>
			        <i18n:message key='restore_nofile_cs'/>
			        <%}else{ %>
			        <SELECT style="Z-INDEX: -1; WIDTH: 180px; margin-left:2px;" id="remotefileselect" size=1 name="remotefileChoice">
			        <%
			        	for ( int i = 0; i < remoteFileList.size(); i++ )
			        	{
			        %>
								   <OPTION value="<%=(String)remoteFileList.get(i) %>" 
								   <%if ( remoteFileChoice != null && remoteFileChoice.equals((String)remoteFileList.get(i)) )
								   {
									   %>selected <%
								   }
								   else if ( 0 == i )
								   {
									   %>selected <%
								   }
								   
								   %> 
								   ><%=(String)remoteFileList.get(i) %></OPTION>
					 <%
			        	}
			        	}
					 %>
							</SELECT></td>
			      </tr>
			      <tr>
			      <td align="left" rowspan="2">&nbsp;&nbsp;<i18n:message key='restore_choice_lable'/>
			      </td>
			      
					<td>
					<input style="vertical-align:middle; margin-left:2px;" onclick="remoteRestoreChoice();" id="databasecheckid" type="checkbox" name="restoreconfig" value="<%=BackupUtil.DBBACK_CHOICE %>"
					 <%if ( items == null || items.length <= 0 ){ %>
					 checked 
					 <%} else if ( ArrayUtil.contains(items, BackupUtil.DBBACK_CHOICE) ) { %>
					 checked
					 <%} %>
					 
					 class="radio">&nbsp;<i18n:message key='backup_db'/>
					</td>
					
			      </tr>
			      <tr>
			      <td align="left">
			      	
					<input style="vertical-align:middle; margin-left:2px;" onclick="remoteRestoreChoice();" id="kpcheckid" type="checkbox" name="restoreconfig"
					
					 <%if ( items != null && items.length > 0 && ArrayUtil.contains(items, BackupUtil.TDSKEY_CHOICE) ) { %>
					 checked
					 <%} %>
					
					 value="<%=BackupUtil.TDSKEY_CHOICE %>" class="radio">&nbsp;<i18n:message key='backup_serverfile'/>
					 
					
				
			      </td>
			      </tr>
			      
			      <tr id="clearqueuetr" style="display:''">
			      		<td align="left" width="40%" valign="middle">&nbsp;&nbsp;<i18n:message key='restore_clearqueue'/>
					</td>
					<td align="left" width="60%" valign="middle">
					<input type="radio"  class="radio"  style="vertical-align:middle; margin-left:2px;" name="clearqueue" checked value="<%=BackupUtil.CLEAR_QUEUE_YES %>"><i18n:message key='account_yes'/>
					<input type="radio" class="radio" style="vertical-align:middle; margin-left:2px;"  name="clearqueue" value="<%=BackupUtil.CLEAR_QUEUE_NO %>"><i18n:message key='account_no'/>
					</td>
			      </tr>
			      
			       <tr>
				  	<td align="left" width="40%" valign="middle">&nbsp;&nbsp;<i18n:message key='restore_login_pwd'/>
					</td>
					<td align="left" width="60%" valign="middle">
					<input id="cspwd" type="password" name="pwdofcs" style="width:180px; margin-left:2px;" value="" onFocus="this.select()"></td>
						</tr>
					</table>
				</div>
				
				 <%} else {%>
				  
			      	
			      	<input type="radio" value="local" checked style="vertical-align:middle; display:none"  class="radio" name="restorechoice" id="lorestore" >
			      		<font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:16px; vertical-align:middle">&nbsp;&nbsp;<i18n:message key='restore_local'/></font><br/>
			      		
			      	<div id="lores" width="100%" style="margin-left:50px; display:''">
								<table width="600px">
									<tr>
										<td align="left" width="40%" valign="middle">&nbsp;&nbsp;<i18n:message key='restore_point_label'/>
								</td>
						        <td align="left" valign="middle">
						        <%if ( localFileList == null || localFileList.size() <= 0 ) {%>
						        <i18n:message key='restore_nofile_local'/>
						        <%}else{ %>
						        <SELECT style="WIDTH: 180px;  margin-left:2px;" id="fileselect" size=1 name="fileChoice" >
						        <%
						        	for ( int i = 0; i < localFileList.size(); i++ )
						        	{
						        %>
											   <OPTION value="<%=(String)localFileList.get(i) %>" <%if ( 0 == i ){ %>selected <%} %>><%=(String)localFileList.get(i) %></OPTION>
								 <%
						        	}
						        	}
								 %>
										</SELECT></td>
						      </tr>
						      
								</table>
					</div>
				 <% }%>
      		</td>
      </tr>
      
      <!--Button--->
      <tr height="30">
        <td colspan = 2 align="center" bgcolor="#E1E5FE" valign="middle">
<input
		 type="button" id="restorebt" class="bt1" alt="<i18n:message key='restore_choice'/>" value="<i18n:message key='restore_choice'/>" border=0 onClick="submitRestore();">     
        </tr>  
    </form>
  </table>
  
</center>
</body>

<%
  	String strError = (String)request.getAttribute("pwdCheck");
  	if ( strError != null || "pwderror".equalsIgnoreCase(strError) )
  	{
%>
	<script language="javascript">
	function pwdError()
	{
		alert("<i18n:message key='restore_pwderror'/>");
	}
	pwdError();
	</script>
<%
	request.removeAttribute("pwdCheck");
  	}
  %>
</html>