<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>
<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ include file="../include/check/checktimeout_c.jsp"%>
<%@ include file="../include/head.jsp"%>

<%@ page import="com.intel.tcserver.tool.BackupUtil"%>
<%@ page import="com.intel.tcserver.website.bean.LoginCtrl"%>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>
<%@ page import="java.util.*"%>
<%
	String type = request.getParameter("restorechoice");
	String path = (String)session.getAttribute("backupfilepath");
	
%>
<script language="javascript">
	function submitRestore()
	{
		

		var checkchoice = document.getElementsByName("restoreconfig");
		var uncheck = 0;

		if ( checkchoice.length == 0 )
		{
			alert("<i18n:message key='restore_confirm_nofile'/>");
			return;
		}
		
		for ( var i = 0; i < checkchoice.length; i++ )
		{
			if ( !checkchoice[i].checked )
			{
				uncheck++;
			}
		}

		if ( uncheck == checkchoice.length )
		{
			alert("<i18n:message key='restore_confirm_needfile'/>");
			return;
		}

		document.getElementById("restoreform").submit();
		
	}

	function changeChoice()
	{
		var dbcheck = document.getElementById("dbcheck");
		var keycheck = document.getElementById("keycheck");
		var clearqueue = document.getElementById("clearqueuediv");

		if ( dbcheck && dbcheck.checked )
		{
			if ( clearqueue )
			{
				clearqueue.style.display="";
			}
		}
		else
		{
			if ( clearqueue )
			{
				clearqueue.style.display="none";
			}
		}
		
	}

	function initialPage()
	{
		changeChoice();
	}
</script>

<body onload="initialPage()">
<br/>
<br/>
<br/>
<br/>
<center>
<form action="restore_deal.jsp" id="restoreform">
<table width="700" cellpadding="0" cellspacing="0"  bordercolorlight="#46599C" bordercolordark="#ffffff" border="1">
<tr height="30">
<td bgcolor="#AEB9E7" align="center" valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px">
<i18n:message key='restore_confirm'/>
</font></td>

</tr>
<tr height="60">
<td align="left" valign="middle">

<input type = "hidden" name="restorechoice" value="<%=type%>"/>
<%
	if ( "local".equalsIgnoreCase(type) )
	{
%>
<font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:16px; vertical-align:middle">
<i18n:message key='restore_confirm_title'/></font><br/>
<%
		List list = BackupUtil.getZipFileList(path, request.getParameter("fileChoice"));
%>
			
			<%if (list != null && list.contains(BackupUtil.DBBACK_CHOICE)){ %>
			<input type="checkbox" style="vertical-align:middle; margin-left:2px;" id="dbcheck" onclick="changeChoice();" class="radio" name="restoreconfig" 
			
			 checked value="<%=BackupUtil.DBBACK_CHOICE %>"/>&nbsp;<i18n:message key='backup_db'/><br/>
			 
			 <div id="clearqueuediv" style="display:''">
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i18n:message key='restore_clearqueue'/>		 
				 <input type="radio"  class="radio"  style="vertical-align:middle; margin-left:2px;" name="clearqueue" checked value="<%=BackupUtil.CLEAR_QUEUE_YES %>"><i18n:message key='account_yes'/>
					<input type="radio" class="radio" style="vertical-align:middle; margin-left:2px;"  name="clearqueue" value="<%=BackupUtil.CLEAR_QUEUE_NO %>"><i18n:message key='account_no'/>
			 </div>
			 
			 <%}%>
			 
			 <%if (list != null && list.contains(BackupUtil.TDSKEY_CHOICE)){ %>
			<input type="checkbox" style="vertical-align:middle; margin-left:2px;" id="keycheck"  onclick="changeChoice();" class="radio" name="restoreconfig" 
			 checked  value="<%=BackupUtil.TDSKEY_CHOICE %>"/>&nbsp;<i18n:message key='backup_serverfile'/><br/>
			 <%}%>
			 

			 
			<input type = "hidden" name="backupfileDir" value="<%=path%>"/>
			<input type = "hidden" name="backupfileDate" value="<%=request.getParameter("fileChoice")%>"/>
			
<%	
	}
	else if ( "remote".equalsIgnoreCase(type) )
	{
		LoginCtrl logCtrl = new LoginCtrl();
		OperatorEntity operEntity = (OperatorEntity)session.getAttribute("sessionInfo");
		if ( operEntity == null )
		{
			  %>
		      <script language="JavaScript" >
		      window.location.href = "../index.jsp";
		      </script>
		      <%
		}
		else
		{
			int iRet = logCtrl.judgeRoleEx(operEntity.getOperatorName(), request.getParameter("pwdofcs"));
			if ( iRet < 0 )
			{
				request.setAttribute("pwdCheck", "pwderror");
				request.getRequestDispatcher("restore_config.jsp").forward(request, response);
			}
			else
			{
				request.getRequestDispatcher("restore_deal.jsp").forward(request, response);
			}
		}
	}
%>

</td>

</tr>
<tr height="30">
<td align="center" bgcolor="#E1E5FE" valign="middle">
<input name="restorebtn" type="button" class="bt1" onClick="submitRestore()" value="<i18n:message key='restore_choice'/>" alt="<i18n:message key='restore_choice'/>" border=0 >
</td>
</tr>
</table>
</form>
</center>
</body>
</html>
