<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%@ include file="../include/head.jsp"%>
<%@ include file="../include/check/checktimeout.jsp"%>
<%@ include file="../include/check/cannotcommon.jsp" %>
<%@ include file="../js/check.jsp"%>
<%@ include file="../js/function.jsp"%>	
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import="com.intel.tcserver.website.bean.ConfigCtrl" %>

<script language="javascript">

	function isDigit(s)
	{
		var patrn=/^[1-9][0-9]?$/;
		if (!patrn.exec(s)) 
		{
			return false;
		}
		else
		{
			return true;
		}
	} 

	
	
	function updateHeartbeat()
	{
		var heartbeatinterval = document.getElementById("heartbeatid");
		if ( heartbeatinterval )
		{
			if ( !isDigit(heartbeatinterval.value) || 
					heartbeatinterval.value < 5 ||
					heartbeatinterval.value > 60 )
			{
				alert("<i18n:message key='heart_period_check'/>");
				return false;
			}
			else
			{
				document.getElementById("heartbeatform").submit();
			}
		}
		else
		{
			return false;
		}
	}
</script>

<body class="bg" leftMargin="0" topMargin="0" marginheight="0"
	marginwidth="0">
<% 			int flag = 10;
			AccountCtrl accountDeal = new AccountCtrl();
			String adminType = sessionInfo.getOperateType();
			String bFlag = accountDeal.getSwithBroadcast();

			if (bFlag == null)
			{
				bFlag = "";
			}
			
			boolean autoBackup = ConfigCtrl.isAutoBackup();
			int heartbeatInterval = ConfigCtrl.getHeartbeatInterval();
			
%>
<table width="1000" border="0" cols="3" cellpadding="0" cellspacing="0">
<tr>
	<td colspan="3">
		<%@ include file="../top.jsp"%>
	</td>
</tr>
<tr>
	<td align="right" width="217"  valign="top">

		<%@ include file="../../menu.jsp"%>
	</td><!-- end left-->
	<td width="35" valign="top">
		<table width="100%">
			<tr><td>&nbsp;</td></tr>
		</table>
	</td>
	
	<td align="left" width="710" valign="top">

	<table width="100%" border="0">
<tr>
<td>

		<table width="690" border="0" cellpadding="1" cellspacing="1" bgcolor="#fffdd6" bordercolordark="#DDE1FE" class="tb1">
			<tr>
				<td rowspan="3" width="30">&nbsp;&nbsp;<img src="/tdserver/images/warning3.jpg" border="0"></td>
				<td align="left"><font style=" font-weight:bold;"><i18n:message key="service_node"/>&nbsp;</font></td>
				<td align="left"><i18n:message key="service_info1"/>&nbsp;<i18n:message key="service_info2"/></td>
			</tr>
			
		</table>

		<br/>

		<form action="ConfigServlet" method="post" id="heartbeatform" onsubmit="return false;">
		<input type="hidden" name="configType" value="heartbeat"/>
		<table width="690" border="0" cellpadding="1" cellspacing="1" class="tb1">
			<tr bgcolor="#AEB9E9" height="25">
				<td align="left" valign="middle">&nbsp;<font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:12pt"><i18n:message key="service_th"/></font></td>
			</tr>
			<tr>
				<td>
					<TABLE width="100%" border="0" cellpadding="1" cellpadding="1" bgcolor="#FFFFFF" >
					<tr height="30">
						<td width="50%" style="vertical-align:middle" align="left">&nbsp;&nbsp;<font color="#5F69B1"><b><i18n:message key="service_td"/></b></font></td>
					
						<td colspan="2" align="left" style="vertical-align:middle">
						<input style="vertical-align:middle" type="radio" class="radio" name="service" <%if (bFlag.equals(AccountCtrl.BROADCAST_ON )){%>checked <%}%> value="On"><font style="font-weight:bold; color:#041681" style="font-family:Arial, Helvetica, sans-serif; font-size:14px; vertical-align:middle"><i18n:message key="service_on"/></font>
					
						&nbsp;&nbsp;&nbsp;&nbsp;<input style="vertical-align:middle" class="radio" type="radio" name="service" <%if (bFlag.equals(AccountCtrl.BROADCAST_OFF )){%>checked <%}%> value="Off"><font style="font-weight:bold; color:#041681" style="font-family:Arial, Helvetica, sans-serif; font-size:14px; vertical-align:middle" ><i18n:message key="service_off"/></font></td>
						
					</tr>
					 <tr height="30">
					 	<td style="vertical-align:middle" align="left">&nbsp;&nbsp;<font color="#5F69B1"><b><i18n:message key='heart_period_label'/></b></font></td>
					 	<td align="left" valign="middle" style="vertical-align:middle"><input style="vertical-align:middle" type="text" name="heartbeatinterval" id="heartbeatid" maxlength="2"  value="<%=heartbeatInterval %>"></td>
					 </tr>
					 <tr height = "30">
					 	<td align="right" colspan="2"><input type="button"  class="bt3" onClick="updateHeartbeat();" value="<i18n:message key='save'/>"  id="save"  alt="<i18n:message key='save'/>" border=0>&nbsp;&nbsp;&nbsp;</td>
					 </tr>
					</TABLE></td>
			</tr>
		</table></form>
		
		<br/>
		
		<table width="690" border="0" cellpadding="1" cellspacing="1" bgcolor="#fffdd6" bordercolordark="#DDE1FE" class="tb1">
			<tr>
				<td rowspan="2" width="30">&nbsp;&nbsp;<img src="../images/warning3.jpg" border="0"></td>
				<td align="left" valign="middle"><font style=" font-weight:bold;"><i18n:message key='service_node'/>&nbsp;</font><i18n:message key='autoback_note'/></td>
			</tr>
			
		</table>
		<br>
		<form action="ConfigServlet" method="post" id="backupform">
		<input type="hidden" name="configType" value="backup"/>
		<table width="690" border="0" cellpadding="1" cellspacing="1" class="tb1">
			<tr bgcolor="#AEB9E9" height="25">
				<td align="left" valign="middle">&nbsp;<font style="font-weight:bold; color:#041681; font-family:Arial, Helvetica, sans-serif; font-size:12pt"><i18n:message key='autoback_title'/></font></td>
			</tr>
			<tr>
				<td>
					<TABLE width="100%" border="0" cellpadding="1" cellpadding="1" bgcolor="#FFFFFF" >
					<tr height="30">
						<td  width="50%" style="vertical-align:middle">&nbsp;&nbsp;<font color="#5F69B1"><b><i18n:message key='autoback_label'/></b></font></td>
						<td  align="left" style="vertical-align:middle">
						<input style="vertical-align:middle" type="radio" class="radio" name="autobackup" <%if ( autoBackup ){ %>checked <%} %> value="On"><font style="font-weight:bold; color:#041681" style="font-family:Arial, Helvetica, sans-serif; font-size:14px; vertical-align:middle"><i18n:message key="service_on"/></font>
						&nbsp;&nbsp;&nbsp;&nbsp;<input style="vertical-align:middle" class="radio" type="radio" name="autobackup"  <%if ( !autoBackup ){ %>checked <%} %> value="Off"><font style="font-weight:bold; color:#041681" style="font-family:Arial, Helvetica, sans-serif; font-size:14px; vertical-align:middle" ><i18n:message key="service_off"/></font></td>
						<td align="right">
					</tr>
					<tr height="30">
						<td align="right" colspan="2"><input type="button"  class="bt3" onClick="document.getElementById('backupform').submit();" value="<i18n:message key='save'/>"  id="save"  alt="<i18n:message key='save'/>" border=0>&nbsp;&nbsp;&nbsp;</td>
					</tr>
					</TABLE></td>
			</tr>
		</table>
		</form>
		
		
		</td></tr>
		
		<tr>
<td>
<div style="width:710; height:100; overflow-x:hidden;overflow-y:hidden; SCROLLBAR-FACE-COLOR: #D0D7F4; margin-left:-3px" align="left">
</div><!--In order to  prevent left navigation menu moving rightward-->
</td></tr>
		
		</table>
		</td>
		</tr>
		</table>

<%
	String errorInfo = (String)request.getAttribute("errorinfo");
	
	if ( "success".equalsIgnoreCase(errorInfo) )
	{
%>
		<script language="javascript">
			alert("<i18n:message key='key_update_success'/>");
		</script>
<%	
	}
	else if ( "failed".equalsIgnoreCase(errorInfo) )
	{
%>
		<script language="javascript">
			alert("<i18n:message key='key_update_failed'/>");
		</script>
<%				
	}
	request.removeAttribute("errorinfo");
%>

</body>
</html>
