<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<!-- check if the device has been deleted---->
<html>
<head>
<title><i18n:message key="nvbar_message"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>

<%@ include file="../../include/check/checktimeout_c.jsp"%>
<%@ include file="../../include/comment_len.jsp"%>
<%@ include file="../../js/check.jsp"%>
<%@ include file="../../js/function.jsp"%>
<%@ include file="../../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.entity.*"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.website.bean.MessageCtrl"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import="com.intel.tcserver.common.MessageConstants"%>
<%@ page import="java.util.*"%>


<script language="javascript">
function keyDown(e){
  if(event.keyCode==122){
	  event.keyCode=0;
	  return false;
	}
}
document.onkeydown = keyDown;
</script>


<body bgcolor="#ffffff" topmargin=0 leftmargin=0>

<%
	String name = ((OperatorEntity)(session.getAttribute("sessionInfo"))).getOperatorName();
%>

<center>
<br>
<br>
<br>
<br>
<br>
<table border="1" cellpadding="0" cellspacing="0" width="650" bordercolorlight="#46599C" bordercolordark="#ffffff" bgcolor="#FFFFFF">
 <tr height="30">
    <th height="30" colspan=2 valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="message_title_detail"/></font></th>
 </tr>
<form name="form1" action="" method="post" onSubmit=""><jsp:useBean
		id="msgDeal" scope="page"
		class="com.intel.tcserver.website.bean.MessageCtrl">
		<% msgDeal.processRequest(request, session.getAttribute("sessionInfo"), MessageCtrl.QUERY_MESSAGE);
String requestMsgID = request.getParameter("recordID");
int recordID = 0;

if (requestMsgID != null && !requestMsgID.equals(""))
{
	recordID = Integer.parseInt(requestMsgID);
}
//msgDeal.messageDate = requestMsgDate;
		   MessageEntity msgEntity = msgDeal.queryAccount() ;

		   if(msgEntity == null)
		   {
		   		int result = -57;
			   %>
				<jsp:forward page="../../popwin_result.jsp">
					<jsp:param name="resultInfo"
						value="<%=result%>" />
				</jsp:forward>
				<%
		   }
		   int msgType = msgEntity.getMessageType();
		   String msgDate = msgEntity.getMessageDate();
		   String msgInfo = msgEntity.getMessageInfo();

		msgDeal.setMessageReaded(recordID, msgDate);

String dateShow = msgDate;
if (dateShow.indexOf(" ") > 0)
{
	int pointPos = dateShow.indexOf(".");
	int spacePos = dateShow.indexOf(" ");
	String curTime = "";
	if (pointPos > 0 && pointPos > spacePos)
	{
		curTime = dateShow.substring(spacePos, pointPos);
	}
	else if (spacePos > 0)
	{
		curTime = dateShow.substring(spacePos, dateShow.length());
	}
	String tempDate = dateShow.substring(0, dateShow.indexOf(" "));
	String[] temp = tempDate.split("-");
	if (temp != null && temp.length == 3)
	{
		dateShow = temp[2] + "-" + temp[1] + "-" + temp[0] + curTime;
	}
}
else if(dateShow != null && !dateShow.equals(""))
{
	String[] temp = dateShow.split("-");
	if(temp != null && temp.length == 3)
	{
		dateShow = temp[2]+"-"+temp[1]+"-"+temp[0];
	}
}
%>
  <tr valign="middle" bgcolor="#FFFFFF"><TD width="40%" valign="middle" align="left">&nbsp;&nbsp;<b><i18n:message key="message_type"/><i18n:message key="query_colon"/></b></TD>
<TD width="60%" valign="middle" align="left">
<%
switch(msgType)
{
	case MessageConstants.MESSAGE_TYPE_NOTIFICATION:
	case MessageConstants.MESSAGE_TYPE_EMAILANDNOTIFY:
		%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='message_type_notification'/>" style=" width:370 ;COLOR: #000000" readOnly border="0" class="noborder">
		<%
		break;
	case MessageConstants.MESSAGE_TYPE_TRANSFER:
		%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='message_type_transfer'/>" style=" width:370 ;COLOR: #000000" readOnly border="0" class="noborder">
		<%
		break;
	case MessageConstants.MESSAGE_TYPE_BACKUP:
		%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='message_type_backup'/>" style=" width:370 ;COLOR: #000000" readOnly border="0" class="noborder">
		<%
		break;
	case MessageConstants.MESSAGE_TYPE_UPDATE_CERT:
	case MessageConstants.MESSAGE_TYPE_REFUSE_PK_UPDATE:
		%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='bt_update'/>" style=" width:370 ;COLOR: #000000" readOnly border="0" class="noborder">
		<%
		break;
	case MessageConstants.MESSAGE_TYPE_UPLOAD:
		%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='message_type_upload'/>" style=" width:370 ;COLOR: #000000" readOnly border="0" class="noborder">
		<%
		break;
	case MessageConstants.MESSAGE_TYPE_ACTIVATION:
	case MessageConstants.MESSAGE_TYPE_REFUSE:
	case MessageConstants.MESSAGE_TYPE_ACCEPT:
		%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='message_type_register'/>" style=" width:370 ;COLOR: #000000" readOnly border="0" class="noborder">
		<%
		break;
	default:
		%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='message_type_other'/>" style=" width:370 ;COLOR: #000000" readOnly border="0" class="noborder">
		<%
		break;
}
%>
   </TD></tr>
     
    <tr align="left" valign="middle" bgcolor="#FFFFFF">
		<td valign="middle">&nbsp;&nbsp;<b><i18n:message key="message_title_date"/><i18n:message key="query_colon"/></b></td>
		<td valign="middle" align="left">&nbsp;&nbsp;&nbsp;<INPUT class=noborder style=" width:370; COLOR: #000000; background-color:#FFFFFF; border-color:#FFFFFF" readOnly maxLength=30 value="<%=dateShow%>"></td></tr>
              
	  <TR align="left" valign="middle" bgcolor="#FFFFFF">
           <TD valign="middle">&nbsp;&nbsp;<b><i18n:message key="message_title_info"/><i18n:message key="query_colon"/></b></TD>
            <td valign="middle" align="left"><%
			%>&nbsp;&nbsp;&nbsp;<TEXTAREA name="deviceComment" rows="4" cols="32" style="width:300; vertical-align:text-top; text-align:left"><%=msgInfo%></TEXTAREA></td>              
       </TR>

      <tr height="30">
	 <td colspan="2" align="center" valign="middle" bgcolor="#E1E5FE">
	 <input type="submit" class="bt1" onclick="self.close();" value="<i18n:message key='button_ok'/>" alt="<i18n:message key='bt_ok'/>" border=0></td>
	 </tr>
            </form>
          </table>
		  
</center>
</jsp:useBean>

</body>
</html>
