<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%
response.setHeader("Pragma","No-cache");
response.setHeader("Cache-Control","no-cache");
response.setDateHeader("Expires", 0);
%>
<%@ include file="../../include/head.jsp" %>
<%@ include file="../../include/check/checktimeout_c.jsp"%>
<%@ include file="../../include/check/cannotcommon.jsp" %>
<%@ include file="../../include/show_info.jsp"%>

<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>


<body bgcolor="#ffffff">

<jsp:useBean id="operDeal" scope="page" class="com.intel.tcserver.website.bean.OperatorCtrl">
  <%
  operDeal.processRequest(request, session.getAttribute("sessionInfo"));
  //add this record
  int result = operDeal.addOperator();
  if(result <= 0)
  {//if erro
      String erroInfo = ErrorConstants.getInstance().getError(result);
      %>
      <script language="JavaScript">
		alert(showInfo(<%=result%>));
    	//alert("<%=erroInfo%>");
    	//window.location.href = "add_operator.jsp";
		window.close();
    	</script>
      <%
  //  }
  }
  else
  {//if add succeeds
    %>
     <script language="JavaScript">
		alert("<i18n:message key='add_succ'/>");
		 parent.parent.opener.document.query.query_name.value="";
  parent.parent.opener.document.query.submit();
    	//alert("Add Successfully!");
    	//window.location.href = "query_operator.jsp";
		window.close();
    	</script>  
    <%
  }
  %>
</jsp:useBean>
</body>
</html>
