<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%@ include file="../../include/head.jsp" %>
<%@ include file="../../include/check/checktimeout.jsp" %>
<%@ include file="../../include/check/cannotcommon.jsp" %>
<%@ include file="../../js/function.jsp"%>
<%@ include file="../../js/check.jsp"%>
<%@ include file="../../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.entity.DBLogEntity"%>
<%@ page import = "com.intel.tcserver.website.bean.LogCtrl"%>
<%@ page import = "com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import="java.util.*"%>


<body class="bg" topmargin=0 leftmargin=0 marginheight="0"
	marginwidth="0" onLoad="document.formsearch.operatorName.focus();changeTrackingStatus('log');">
<% 			int flag = 7;
			String adminType = sessionInfo.getOperateType();
%>
<table width="1000" border="0" cols="3" cellpadding="0" cellspacing="0">
<tr>
<td colspan="3">
<%@ include file="../../top.jsp"%>
</td>
</tr>
<tr>
<td align="right" width="217"  valign="top">

		<%@ include file="../../menu.jsp"%>
	</td><!-- end left-->
	<td width="35" valign="top">
		<table width="100%">
			<tr><td>&nbsp;</td></tr>
		</table>
	</td>

<td align="left" width="710" valign="top" >
<table width="100%" border="0">
<tr>
<td>
<TABLE cellSpacing=0 borderColorDark=#ffffff cellPadding=0 width="690" borderColorLight=#656565 border=0 class="tb1">
  
  <TR>
    <TH colSpan=3 align="left">&nbsp;&nbsp;<font style="color:#2B338E; font-weight:bold"><i18n:message key="account_search"/></font>&nbsp;<a href="#" style="text-decoration:underline" onClick="openWindow('advance_search_log.jsp', '500',  '750');"><font color="#4C59BA"><i18n:message key="account_advanced"/></font></a></TH></TR>
  <FORM name=formsearch  onSubmit="return checklogquery(formsearch);"   action=log_management.jsp method=post><!--set the value of query conditon from request-->
  <TR>
    <TD class=condition width="40%">
    
		  <table width="100%"><tr><td class=condition align="left" valign="middle">&nbsp;&nbsp;<font style="color:#5A52A9; font-family:arial,self; font-weight:bold"><i18n:message key="log_type"/><i18n:message key="query_colon"/></font></td>
		  <td>
		  <%
		  	String type = request.getParameter("operationType");
			if(type == null || type.trim().equals(""))
			{
		  %>
			  <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
					  <OPTION value="" selected>&nbsp;</OPTION>
					  <OPTION value="Create"><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT>
				<%
				}
				else if(type.equals(LogCtrl.TYPE_CREATE))
				{
				%>
					 <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
					  <OPTION value="">&nbsp;</OPTION>
					  <OPTION value="Create" selected="selected"><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT>
				<%
				}
				else if(type.equals(LogCtrl.TYPE_EDIT))
				{
				%>
					 <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
					  <OPTION value="">&nbsp;</OPTION>
					  <OPTION value="Create" ><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit" selected="selected"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT>
				<%
				}
				else if(type.equals(LogCtrl.TYPE_DELETE))
				{
				%>
					 <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
					  <OPTION value="">&nbsp;</OPTION>
					  <OPTION value="Create" ><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete" selected="selected"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT>
				<%
				}
				else if(type.equals(LogCtrl.TYPE_DOWNLOAD))
				{
				%>
					 <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
					  <OPTION value="">&nbsp;</OPTION>
					  <OPTION value="Create"><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download" selected="selected"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT>
				<%
				}
				else if(type.equals(LogCtrl.TYPE_LOGIN))
				{
				%>
					 <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
					  <OPTION value="">&nbsp;</OPTION>
					  <OPTION value="Create"><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login" selected="selected"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT>
				<%
				}
				else if(type.equals(LogCtrl.TYPE_LOGOUT))
				{
				%>
					 <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
					  <OPTION value="">&nbsp;</OPTION>
					  <OPTION value="Create"><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout" selected="selected"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT>
				<%
				}
				else if(type.equals(LogCtrl.TYPE_IMPORT))
				{
				%>
					 <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
					  <OPTION value="">&nbsp;</OPTION>
					  <OPTION value="Create"><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import" selected="selected"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT>
				<%
				}
				else if(type.equals(LogCtrl.TYPE_EXPORT))
				{
				%>
					 <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
					  <OPTION value="">&nbsp;</OPTION>
					  <OPTION value="Create"><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export" selected="selected"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT>
				<%
				} else if(type.equals(LogCtrl.TYPE_BACKUP))
				{
				%>
					 <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
					  <OPTION value="">&nbsp;</OPTION>
					  <OPTION value="Create"><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup" selected="selected"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT>
				<%
				} else if(type.equals(LogCtrl.TYPE_RESTORE))
				{
					%>
						 <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
						  <OPTION value="">&nbsp;</OPTION>
						  <OPTION value="Create"><i18n:message key='log_type_create'/></OPTION>
						  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
						  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
						  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
						  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
						  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
						  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
						  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
						  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
						  <OPTION value="Restore" selected="selected"><i18n:message key='restore_choice'/></OPTION>
						  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
					</SELECT>
					<%
				}else if(type.equals(LogCtrl.TYPE_TRANSFER))
				{
				%>
					 <SELECT style="Z-INDEX: -1; WIDTH: 100px;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType" id="operationType">
					  <OPTION value="">&nbsp;</OPTION>
					  <OPTION value="Create"><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer" selected="selected"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT>
				<%
				}
				%>
			  </td></tr></table>
			   <%
	  boolean isQuery = false;
	  if((request.getParameter("operationType") != null && !(request.getParameter("operationType")).equals(""))
	      || (request.getParameter("operatorName") != null && !(request.getParameter("operatorName")).equals(""))
		  || (request.getParameter("operationResult") != null && !(request.getParameter("operationResult")).equals(""))
		  || (request.getParameter("endDate") != null && !(request.getParameter("endDate")).equals(""))
		  || (request.getParameter("startDate") != null && !(request.getParameter("startDate")).equals("")))
	  {
	  	isQuery = true;
	  %>
	   <input type="hidden" name="query_condition" value="1"/>
	   <%
	   }
	   else
	   {
	   %>
	  <input type="hidden" name="query_condition" value=""/>
	  <%
	  }
	  %>
		  
              </TD>
    <TD class=condition width="40%">
   
		  <table width="100%"><tr>
		  <td class=condition  align="left" valign="middle"><font style="color:#5A52A9; font-family:arial,self; font-weight:bold"><i18n:message key="oper_id"/><i18n:message key="query_colon"/></font></td>
		  <td >
		  <%
		  	String opname = request.getParameter("operatorName");
			if(opname == null || opname == "")
			{
		  %>
		  <INPUT maxLength=30 size=15 name="operatorName" value="" id="operatorID" onKeyDown="if(event.keyCode == 13){ return false;}">
		  <%
		  }
		  else
		  {
		  %>
		  	<INPUT maxLength=30 size=15 name="operatorName" value="<%=opname%>" id="operatorID" onKeyDown="if(event.keyCode == 13){ return false;}">
		  <%
		  	}
		  %>
		  </td>
		  </tr></table></TD>
		  
		  <input type="hidden" value="" id="startDate" name="startDate">
				<input type="hidden" value="" id="endDate" name="endDate">
				<input type="hidden" value="" id="operationResult" name="operationResult"/>
    <TD class=condition align="right" valign="middle">
		 <input type="button" class="bt"
            style="CURSOR: hand; width:100px;" value="&nbsp;&nbsp;<i18n:message key='bt_search'/>"
            onclick="if(checklogquery(formsearch)){document.formsearch.submit()};" 
            alt="<i18n:message key='bt_search'/>" border=0>&nbsp;&nbsp;&nbsp;
			  </TD></TR>
	
</FORM></TABLE>
</td></tr>
<tr><td>&nbsp;</td></tr>
<script language=javascript>
	function exportlog(frm, alertContent, height, width)
	{
     if (!(id = getRadioID(frm)))
     {
		//alert("Please select " + alertContent);
		return false;
      }
      var id = getRadioID(frm);
	   id = id.substring(1);
	   alertContent = alertContent.replace(/\./g,"");
      //openwin(alertContent,pageName, id, height, width);
      openWindow("../../Device Admin/ExportStreamFile?type=exportlog&logID=" + id, '500', '700');

	}
</script>
<%String serverInfo = request.getLocalAddr();%>
<tr><td>
	<table border=0 width="690" style=" margin-left:-3px;">
		<tr>
			<td class="button">
			<input type="button" class="bt2" value="<i18n:message key='bt_del'/>"
				 id=delete1 onClick="subdelete('delete_log_deal.jsp?logID=',form_show,'a PC','log info'); return false;" 
				alt="<i18n:message key='bt_del'/>" border=0 disabled>&nbsp;&nbsp;<input name="button" type="button" style="color:#FFFFFF" disabled class="bt2" id=exporthwid  onClick="exportlog(formsearch, '<%=serverInfo%>','500','700');" value="<i18n:message key='bt_export'/>" alt="<i18n:message key='bt_export'/>" border=0></td>
				<input type="hidden" id="approve" alt="">
		</tr>
	</table>

</td></tr>
<tr><td>
<div style="width:710; height:400;  overflow-x:hidden;overflow-y:auto; SCROLLBAR-FACE-COLOR: #D0D7F4; margin-left:-3px">
<table>
<tr>
<td>
<table border="1" cellpadding="0" cellspacing="0" width="690" bordercolorlight="#46599C" bordercolordark="#ffffff" style="table-layout:fixed;word-wrap:break-word">
    <tr class="head">
		<td align=middle width="8%" style="cursor:hand;vertical-align:middle" onClick="onSelectAllTra('tracking')"><input class="radio"  hidefocus name="all" value="" id="oAll" type=checkbox></td>
		<TD align=middle width="16%"><font style="font-weight:bold; font-family:arial,self"><i18n:message key="log_type"/></font></TD>
		<td align=middle width="18%"><font style="font-weight:bold; font-family:arial,self"><i18n:message key="oper_id"/></font></td>
		<TD align=middle width="17%"><font style="font-weight:bold; font-family:arial,self"><i18n:message key="log_result"/></font></TD>
		<TD align=middle width="19%"><font style="font-weight:bold; font-family:arial,self"><i18n:message key="log_datefrom"/></font></TD>
		<TD align=middle width="22%"><font style="font-weight:bold; font-family:arial,self"><i18n:message key="log_info"/></font></TD>
	</tr>

 <form name="form_show" action="#" method=post>
	 <jsp:useBean id="pageDeal" scope="page" class="com.intel.tcserver.website.bean.PageDivider">
	 	<%
			 int ret=0;
			 pageDeal.processRequest(request);
			 LogCtrl logDeal = new LogCtrl();
			 //submit query condition datas of current page
			 logDeal.processRequest(request, isQuery);

			 //get the values on page, use for next query page
			 String operationType = request.getParameter("operationType");
			 if (operationType == null)
			 {
				operationType = "";
			 }
			 String operName = request.getParameter("operatorName");
			 if(operName == null)
			 {
				 operName = "";
			 }
			 String operResult = request.getParameter("operationResult");
			 if(operResult == null)
			 {
				 operResult = "";
			 }
			 
			 String startDate = request.getParameter("startDate");
			 if(startDate == null)
			 {
			   startDate = "";
			 }
			 String endDate = request.getParameter("endDate");
			 if(endDate == null)
			 {
			   endDate = "";
			 }
			 String query_condition = request.getParameter("query_condition");
			  
			 //initial the varivalbe related to provided page
			 int pageSize = PageConstants.getPageSize();
				
			 //int totalPage = pageDeal.getTotalPage();
			 DBLogEntity logEntity = new DBLogEntity();
			 Vector pageInfo = new Vector();
	
			 //get current page
			 String strPages = request.getParameter("pages");
			 int curpages = 1;
		  
			 if (strPages != null && strPages != "")
			 {
				 curpages = Integer.parseInt(strPages);
				 if (curpages < 1)
				 {
					   curpages = 1;
				 }
			 }
			 //get the records of each page
			 pageInfo = logDeal.eachPageInfo(curpages, pageSize);
				
			 if (pageInfo == null)
			 {
			 %>
				<tr>
					<td colspan="6" align="right"><i18n:message key="page_unexist"/></td>
				</tr>
				<%
				//out.close();
			 }
			 else
			 {
			  
		     //get total size of the devices which meet the condition
		     int totalSize = logDeal.getTotalSize();
		     if (totalSize == 0)
		     {
		     %>
			   <tr>
			   	<td colspan="6" align="right"><br>
			   	<i18n:message key="page_norecord"/></td>
               </tr>
		   	<%
			   //     out.close();
			   }//end if
			   else
			   {
			
			  int result = pageDeal.pageInit(pageSize, totalSize);
			  
			  int totalPage =  pageDeal.getTotalPage();
        int vectorSize = pageInfo.size();
        
        //show all devices that meet the query condition and show on page
        for (int j = 0; j < vectorSize; j++)
        {
            logEntity = (DBLogEntity)(pageInfo.get(j));//get information of a device

            String operTypeShow = logEntity.getOperationType();
			String operNameShow = logEntity.getOperatorName();

//split device id. add by Wu Ping
	int LOG_OPERATOR_LENGTH=8;
	operNameShow = AccountCtrl.splitNamewithLength(LOG_OPERATOR_LENGTH, operNameShow);
//split end

			String operResultShow = logEntity.getOperationResult();
			String addTimeShow = "";
			String tempDate = logEntity.getOperationTime().toString();
			String logSecond = "";
			if(tempDate != null && tempDate.indexOf(" ") >= 0)
			{
				logSecond = tempDate.substring(tempDate.indexOf(" ")+1, tempDate.length());
				if(logSecond.indexOf(".") >= 0)
				{
					logSecond = logSecond.substring(0,logSecond.indexOf("."));
				}
			    tempDate = tempDate.substring(0,tempDate.indexOf(" "));
			}
			String[] temp = tempDate.split("-");
			if(temp.length == 3)
			{
			    int addYear = 0;
				addYear = Integer.parseInt(temp[0]);
			    if(addYear < 2000)
				{
				    addTimeShow = "";
				}
				else
				{
				    addTimeShow = temp[2]+"-"+temp[1]+"-"+temp[0]+" "+logSecond;
				}
			}
			int ilogID = logEntity.getLogID();
			String logID = String.valueOf(ilogID);
            String logInfo = logEntity.getOperationInfo();
			if(logInfo == null)
			{
			    logInfo = "";
			}
			if(logInfo.length() > 16)
			{
			    logInfo = logInfo.substring(0,16) + "...";
			}
		    //show one item in the web page
				%>
			<!-- the first column: check box -->
			<tr onMouseOut="this.className='cursor_out'"
				onMouseOver="this.className='cursor_over'"
				class="cursor_out">
	
				<td class="result1" style="cursor:hand" align="center"  valign="middle" onClick="OnClickTrackingEntry(<%=j%>,'tracking');"><input type=checkbox class="radio" onClick="OnSelectEntry(<%=j%>,'tracking')" name="id" value="<%=logID%>"></td>
				<!-- operation type-->
				<%
				if(operTypeShow.equals("Create"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key="log_type_create"/></td>
				<%
				}
				else if(operTypeShow.equals("Delete"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key="log_type_del"/></td>
				<%
				}
				else if(operTypeShow.equals("Login"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key="log_type_login"/></td>
				<%
				}
				else if(operTypeShow.equals("Logout"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key="log_type_logout"/></td>
				<%
				}
				else if(operTypeShow.equals("Import"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key="log_type_import"/></td>
				<%
				}
				else if(operTypeShow.equals("Export"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key="log_type_export"/></td>
				<%
				}
				else if(operTypeShow.equals("Edit"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key="log_type_edit"/></td>
				<%
				}
				else if(operTypeShow.equals("Download"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key="log_type_download"/></td>
				<%
				}
				else if(operTypeShow.equals("Backup"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key='backup_choice'/></td>
				<%
				}
				else if(operTypeShow.equals("Restore"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key='restore_choice'/></td>
				<%
				}
				else if(operTypeShow.equals("Transfer"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key='message_type_transfer'/></td>
				<%
				}
				else
				{
				%>
				<td align="center">&nbsp;</td>
				<%
				}
				%>
				<!-- operation id -->
				<%
				if(operNameShow == null || operNameShow.equals(""))
				{
				%>
				<td align="center">&nbsp;</td>
				<%
				}
				else
				{
				%>
				<td class="result1" align="center" valign="middle"><%=operNameShow%></td>
				<%
				}
				%>
				<!-- operation result -->
				<%
				if(operResultShow.equals("Success"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key="log_result_succ"/></td>
				<%
				}
				else if(operResultShow.equals("Failure"))
				{
				%>
				<td class="result1" align="center" valign="middle"><i18n:message key="log_result_fail"/></td>
				<%
				}
				else
				{
				%>
				<td align="center">&nbsp;</td>
				<%
				}
				%>
				
				<!-- operation time -->
				<%
				if(addTimeShow == null || addTimeShow.equals(""))
				{
				%>
				<td align="center">&nbsp;</td>
				<%
				}
				else
				{
				%>
				<td class="result1" align="center" valign="middle"><%=addTimeShow%></td>
				<%
				}
				%>
				
				<!-- operation info -->
				<%
				if(logInfo == null || logInfo.equals(""))
				{
				%>
				<td align="center">&nbsp;</td>
				<%
				}
				else
				{
				%>
				<td class="result1" align="center" valign="middle"><a href="#" style="color:black; text-decoration:underline" onClick="openWindow('view_log.jsp?logID=<%=logID%>', '500',  '750');" ><%=logInfo%></a></td>
				<%
				}
				%>
				
		    </tr>
		      <%
        }//end for
     %></form>
	<!--last row of table-->
	</tbody>
</table>
</center>



<form name="form1" action="log_management.jsp" method="post"
	onsubmit="return checkdigital('Page', form1.pages.value);">
<center>
<table cellSpacing="1" cellPadding="0" width="690" align="center"
	 border="0" class="tb2">
	<tr >
		<td align="right"><font color="#46599C"><i18n:message key="account_total"/>&nbsp;<b><%=totalSize%></b>&nbsp;<%if(totalSize > 1){%><i18n:message key="page_records"/><%}else{%><i18n:message key="page_record"/><%}%></font>&nbsp;&nbsp;
		<%
      //get the present page number.
      int onPage = pageDeal.getOnPage();

      if (totalPage != 1)
      {
        if (onPage != 1)
        {
	          if (onPage != totalPage)
	          {
		            String firstPage = "log_management.jsp?pages=" + 1 + "&operatorName=" + operName + "&operationType=" + operationType +"&operationResult="+ operResult
		                                                + "&startDate=" + startDate + "&endDate=" + endDate + "&query_condition=" + query_condition;
		            String prePage = "log_management.jsp?pages=" + (onPage - 1) + "&operatorName=" + operName + "&operationType=" + operationType +"&operationResult="+ operResult
		                                                + "&startDate=" + startDate + "&endDate=" + endDate + "&query_condition=" + query_condition;
		            String nextPage = "log_management.jsp?pages=" + (onPage + 1) + "&operatorName=" + operName + "&operationType=" + operationType +"&operationResult="+ operResult
		                                                + "&startDate=" + startDate + "&endDate=" + endDate + "&query_condition=" + query_condition;
		            String lastPage = "log_management.jsp?pages=" + totalPage + "&operatorName=" + operName + "&operationType=" + operationType +"&operationResult="+ operResult
		                                                + "&startDate=" + startDate + "&endDate=" + endDate + "&query_condition=" + query_condition;
		            %><a href="<%=firstPage%>" style="text-decoration:underline"><font color="#4B4EB3" size=1.9><b><i18n:message key="page_first_signal"/></b></font></a>&nbsp;&nbsp;<a href="<%=prePage%>" style="text-decoration:underline"><font color="#4B4EB3" size=1.9><b><i18n:message key="page_pre_signal"/></b></font></a>&nbsp;&nbsp;<a href="<%=nextPage%>" style="text-decoration:underline"><font color="#4B4EB3" size=1.9><b><i18n:message key="page_next_signal"/></b></font></a>&nbsp;&nbsp;<a href="<%=lastPage%>" style="text-decoration:underline"><font color="#4B4EB3" size=1.9><b><i18n:message key="page_last_signal"/></b></font></a>&nbsp;&nbsp;
		            <%
	          }
	          else
	          {
		            String firstPage = "log_management.jsp?pages=" + 1 + "&operatorName=" + operName + "&operationType=" + operationType +"&operationResult="+ operResult
		                                                + "&startDate=" + startDate + "&endDate=" + endDate + "&query_condition=" + query_condition;
		        	  String prePage = "log_management.jsp?pages=" + (onPage - 1) + "&operatorName=" + operName + "&operationType=" + operationType +"&operationResult="+ operResult
		                                                + "&startDate=" + startDate + "&endDate=" + endDate + "&query_condition=" + query_condition;
		
		            %>  <a href="<%=firstPage%>" style="text-decoration:underline"><font color="#4B4EB3" size=1.9><b><i18n:message key="page_first_signal"/></b></font></a>&nbsp;&nbsp;<a
		            href="<%=prePage%>" style="text-decoration:underline"><font color="#4B4EB3" size=1.9><b><i18n:message key="page_pre_signal"/></b></font></a>&nbsp;&nbsp;<font color="#4B4EB3" size=1><b><i18n:message key="page_next_signal"/></b></font>&nbsp;&nbsp;<font color="#4B4EB3" size=1><b><i18n:message key="page_last_signal"/></b></font>&nbsp;&nbsp;
		            <%
	          }
        }
        else
        {
            String nextPage = "log_management.jsp?pages=" + (onPage + 1) + "&operatorName=" + operName + "&operationType=" + operationType +"&operationResult="+ operResult
		                                                + "&startDate=" + startDate + "&endDate=" + endDate + "&query_condition=" + query_condition;
            String lastPage = "log_management.jsp?pages=" + totalPage + "&operatorName=" + operName + "&operationType=" + operationType +"&operationResult="+ operResult
		                                                + "&startDate=" + startDate + "&endDate=" + endDate + "&query_condition=" + query_condition;
            %>  <font color="#4B4EB3" size=1><b><i18n:message key="page_first_signal"/>&nbsp;&nbsp;<i18n:message key="page_pre_signal"/>&nbsp;&nbsp;</b></font><a
            href="<%=nextPage%>" style="text-decoration:underline"><font color="#4B4EB3" size=1.9><b><i18n:message key="page_next_signal"/></b></font></a>&nbsp;&nbsp;<a href="<%=lastPage%>" style="text-decoration:underline"><font color="#4B4EB3" size=1.5><b><i18n:message key="page_last_signal"/></b></font></a>&nbsp;&nbsp;
            <%
        }
      }// end if(totalPage != 1)

      %>
	   <font color="#7774C1"><%=onPage%>&nbsp;<i18n:message key="page_sep"/>&nbsp;<%=totalPage%></font>&nbsp;<input type="text" size="2" maxlength="9" name="pages" value="<%=onPage%>" style="vertical-align:middle"/><font color="#7774C1" style="font-weight:bold"><a href="#" style="text-decoration:underline; color:#7774C1" onClick="if(checkdigital('Page', form1.pages.value)){submitPage(form1)};"><i18n:message key="account_go"/></a>&nbsp;&nbsp;</font>
		   <input type="hidden" name="operationType" value="<%=operationType%>" />
	    <input type="hidden" name="operatorName" value="<%=operName%>" />
	    <input type="hidden" name="operationResult" value="<%=operResult%>" /> 
	    <input type="hidden" name="startDate" value="<%=startDate%>" /> 
	    <input type="hidden" name="endDate" value="<%=endDate%>" />
	    <input type="hidden" name="query_condition" value="<%=query_condition%>"/>
</jsp:useBean>
       </td></tr></table>
		</center>
		<%
		}//end of else of pageInfo == null
	}//end of else of totalsize = 0
%>
</form>
</td></tr></table></div>
</td></tr></table>
</td></tr></table>
</body>
</html>
