<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ include file="../../include/head.jsp" %>
<%@ include file="../../include/check/checktimeout.jsp" %>
<%@ include file="../../include/check/cannotcommon.jsp" %>
<%@ include file="../../js/function.jsp"%>
<%@ include file="../../js/check.jsp"%>
<%@ page import = "com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.website.bean.SchoolCtrl"%>
<%@ page import = "java.util.TreeMap, java.util.Set" %>
<%@ page import = "com.intel.tcserver.tool.SchoolTypeMgr"%>
<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>
<%@ page import="com.intel.csserver.dao.xsd.School"%>
<% 
	AccountCtrl accountDeal = new AccountCtrl();
	int size = accountDeal.getTotalTempSize();
	int flag = 11;
	String adminType = sessionInfo.getOperateType();
	
	int schoolStatus = SchoolCtrl.checkSchoolStatus();
	
	if ( schoolStatus == SchoolCtrl.SCHOOL_UPDATE )
	{
		%>
		<script type="text/javascript">
			window.location = "school_edit.jsp";
		</script>
		<%
	}
	
	School school = SchoolCtrl.getSchoolFromProperties();
	boolean isRegistered = false;
	if ( school != null )
	{
		isRegistered = true;
	}
%>  

<script language="javascript">
function HandleSchoolRegister(button)
{
	var schoolName = document.getElementById("schoolnameid");
	var schoolLocation = document.getElementById("schoollocationid");
	var schoolPrincipal = document.getElementById("schoolprincipalid");
	var schoolContactName = document.getElementById("schoolcontactnameid");
	var schoolContactPhone = document.getElementById("schoolcontactphoneid");
	var schoolEmail = document.getElementById("schoolemailid");
	var csnetaddr = document.getElementById("csnetaddrid");
	var schoolType = document.getElementById("schooltypeid");

	if ( checkSpace(schoolName) )
	{
		alert("<i18n:message key='regschool_needname'/>");
	}
	else if ( checkSpecialCharactorWithoutAnd(schoolName) )
	{
		alert("<i18n:message key='regschool_illegalchar'/>");
	}
	else if ( checkSpace(schoolLocation) )
	{
		alert("<i18n:message key='regschool_needlocation'/>");
	}
	else if ( checkSpecialCharactorWithoutAnd(schoolLocation) )
	{
		alert("<i18n:message key='regschool_illegalchar'/>");
	}
	else if ( checkSpace(schoolPrincipal) )
	{
		alert("<i18n:message key='regschool_needprincipal'/>");
	}
	else if ( checkSpecialCharactorWithoutAnd(schoolPrincipal) )
	{
		alert("<i18n:message key='regschool_illegalchar'/>");
	}
	else if ( checkSpace(schoolContactName) )
	{
		alert("<i18n:message key='regschool_needcontactname'/>");
	}
	else if ( checkSpecialCharactorWithoutAnd(schoolContactName) )
	{
		alert("<i18n:message key='regschool_illegalchar'/>");
	}
	else if ( checkSpace(schoolContactPhone) )
	{
		alert("<i18n:message key='regschool_needcontactphone'/>");
	}
	else if ( checkSpecialCharactorWithoutAnd(schoolContactPhone) )
	{
		alert("<i18n:message key='regschool_illegalchar'/>");
	}
	else if ( checkSpace(schoolEmail) )
	{
		alert("<i18n:message key='regschool_needemail'/>");
	}
	else if ( !checkEmail(schoolEmail.value) )
	{
		alert("<i18n:message key='regschool_emailerrorformat'/>");
	}
	else if ( checkSpace(schoolType) )
	{
		alert("<i18n:message key='regschool_needtype'/>");
	}
	else
	{
		var form = document.getElementById("schoolregisterform");

		if ( form )
		{
			
			if ( button == document.getElementById("offlinereg") )
			{
				form.action = "school_deal.jsp?offline=yes";
			}
			else if ( button == document.getElementById("updatereg") )
			{
				if ( checkSpace(csnetaddr) )
				{
					alert("<i18n:message key='regschool_needcsnet'/>");
					return;
				}
				form.action = "school_deal.jsp?offline=update";
			}
			else
			{
				if ( checkSpace(csnetaddr) )
				{
					alert("<i18n:message key='regschool_needcsnet'/>");
					return;
				}
				form.action = "school_deal.jsp?offline=no";
			}
			
			form.submit();
		}
	}
}

function clearForm(formid)
{
	var form = document.getElementById(formid);
	if ( form )
	{
		var inputs = form.getElementsByTagName("INPUT");
		for ( var i = 0; i < inputs.length; i++ )
		{
			if ( inputs[i].type == "text" || inputs[i].type == "password" )
			{
				inputs[i].value = "";
			}
		}

		var selects = form.getElementsByTagName("SELECT");
		for ( var i = 0; i < selects.length; i++ )
		{
			selects[i].options[0].selected = true;
		}

		var textareas = form.getElementsByTagName("TEXTAREA");
		for ( var i = 0; i < textareas.length; i++ )
		{
			textareas[i].value = "";
		}
	}
}
</script>

<body class="bg" topmargin=0 leftmargin=0 marginheight="0" marginwidth="0">
	
<table width="1000" border="0" cols="3" cellpadding="0" cellspacing="0">
<tr>
<td colspan="3">
<%@ include file="../../top.jsp"%>
</td>
</tr>
<tr>
<td align="right" width="217"  valign="top">

		<%@ include file="../../menu.jsp"%>
	</td><!-- end left-->
	<td width="35" valign="top">
		<table width="100%">
			<tr><td>&nbsp;</td></tr>
		</table>
	</td>

<td align="left" width="710" valign="top" >
<table width="100%" border="0">
<tr>
<td>
<form id="schoolregisterform" action="school_deal.jsp?offline=no" method="post">
 <table border="1" cellpadding="0" cellspacing="0" width="690" bordercolorlight="#46599C" bordercolordark="#ffffff" style="word-break:break-all;">
			             <tr height="30">
			   							 <th height="30" colspan=2 valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="regschool_title"/></font></th>
			 							</tr>
                                <tr class="cursor_out">
                                    <td style=" width='40%'; font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_name"/>
                                    </td>
                                    <td>
                                    <%
                                    String schoolName = request.getParameter("schoolname");
                                    if ( schoolName == null )
                                    {
                                    	if ( isRegistered )
                                    	{
                                    		schoolName = school.getSchoolname();
                                    	}
                                    	else
                                    	{
                                    		schoolName = "";
                                    	}
                                    }
                                    %>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoolnameid" name="schoolname" maxlength="40" value="<%=schoolName%>" style="width:300px"></td>
                                </tr>
                                <tr class="cursor_out">
                                    <td style=" font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_location"/></td>
                                    <td>
                                     <%
                                    String schoolLocation = request.getParameter("schoollocation");
                                    if ( schoolLocation == null )
                                    {
                                    	if ( isRegistered )
                                    	{
                                    		schoolLocation = school.getSchoollocation();
                                    	}
                                    	else
                                    	{
                                    		schoolLocation = "";
                                    	}
                                    }
                                    %>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoollocationid" name="schoollocation" maxlength="255"  value="<%=schoolLocation%>" style="width:300px" >
                                    </td>
                                </tr>
                                <tr class="cursor_out">
                                    <td style=" font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_principal"/></td>
                                    <td>
                                     <%
                                    String schoolPrincipal = request.getParameter("schoolprincipal");
                                    if ( schoolPrincipal == null )
                                    {
                                    	if ( isRegistered )
                                    	{
                                    		schoolPrincipal = school.getSchoolprincipalname();
                                    	}
                                    	else
                                    	{
                                    		schoolPrincipal = "";
                                    	}
                                    }
                                    %>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoolprincipalid" name="schoolprincipal"  maxlength="50" value="<%=schoolPrincipal%>"  style="width:300px"></td>
                                </tr>
                                <tr class="cursor_out">
                                    <td style=" font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_contactname"/></td>
                                    <td>
                                      <%
                                    String schoolContactName = request.getParameter("schoolcontactname");
                                    if ( schoolContactName == null )
                                    {
                                    	if ( isRegistered )
                                    	{
                                    		schoolContactName = school.getSchoolcontactname();
                                    	}
                                    	else
                                    	{
                                    		schoolContactName = "";
                                    	}
                                    }
                                    %>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoolcontactnameid" name="schoolcontactname"  maxlength="50" value="<%=schoolContactName%>"  style="width:300px"></td>
                                </tr>
                                <tr class="cursor_out">
                                    <td style=" font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_contactphone"/>
                                    </td>
                                    <td class="cursor_out">
                                     <%
                                    String schoolContactPhone = request.getParameter("schoolcontactphone");
                                    if ( schoolContactPhone == null )
                                    {
                                    	if ( isRegistered )
                                    	{
                                    		schoolContactPhone = school.getSchoolcontactphone();
                                    	}
                                    	else
                                    	{
                                    		schoolContactPhone = "";
                                    	}
                                    }
                                    %>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoolcontactphoneid" maxlength="20" name="schoolcontactphone"  value="<%=schoolContactPhone %>" style="width:300px"></td>
                                </tr>
                                <tr class="cursor_out">
                                    <td style=" font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_email"/></td>
                                    <td>
                                     <%
                                    String schoolEmail = request.getParameter("schoolemail");
                                    if ( schoolEmail == null )
                                    {
                                    	if ( isRegistered )
                                    	{
                                    		schoolEmail = school.getSchoolemail();
                                    	}
                                    	else
                                    	{
                                    		schoolEmail = "";
                                    	}
                                    }
                                    %>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoolemailid" name="schoolemail"  maxlength="50" value="<%=schoolEmail %>"  style="width:300px">
                                    </td>
                                </tr>
                               
                                <tr class="cursor_out">
                                    <td style="font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_type"/></td>
                                    <td>
                                        <%
                                    String schoolType = request.getParameter("schooltype");
                                    if ( schoolType == null )
                                    {
                                    	if ( isRegistered )
                                    	{
                                    		schoolType = school.getSchooltype() + "";
                                    	}
                                    	else
                                    	{
                                    		schoolType = "0";
                                    	}
                                    }
                                    %>
                                    	&nbsp;&nbsp;&nbsp;<select style="width:300px" id="schooltypeid" name="schooltype" value="">
                                    	<% 
                                    TreeMap<String, String> schoolTypes = SchoolTypeMgr.getSchoolType();
                                    Set<String> keys = schoolTypes.keySet();
                                    for ( String key : keys )
                                    {
                                    	String value = schoolTypes.get(key);
                                    	%>
                                    	<option value="<%=key %>" <%if ( key.equals("" + schoolType)){ %> selected <%} %> ><%=value %></option>
                                    	<%
                                    }
                                    	%>
                                        </select>
                                </tr>
                                 <tr class="cursor_out">
                                    <td style="font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_csnet"/></td>
                                    <td>
                                     <%
                                    String csnetaddr = request.getParameter("csnetaddr");
                                    if ( csnetaddr == null )
                                    {
                                    	if ( isRegistered )
                                    	{
                                    		csnetaddr = SchoolCtrl.getCSNetworkAddr();
                                    		if ( csnetaddr == null )
                                    		{
                                    			csnetaddr = "";
                                    		}
                                    	}
                                    	else
                                    	{
                                    		csnetaddr = "";
                                    	}
                                    }
                                    %>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="csnetaddrid" name="csnetaddr" value="<%=csnetaddr %>"  style="width:300px">
                                    </td>
                                </tr>
                                <tr align="left">
                        <td align="center" bgcolor="#E1E5FE" colspan="2">
                        <%if (isRegistered){ %>
                        	<input type="button" class="bt10" id="updatereg" value="<i18n:message key='regschool_online_btn'/>" onClick="HandleSchoolRegister(this)">
                        <%}else{ %>
                         	<input type="button" class="bt10" id="onlinereg" value="<i18n:message key='regschool_online_btn'/>" onClick="HandleSchoolRegister(this)">
                        <%} %>
                           
                            <input type="button" class="bt10" id="offlinereg" value="<i18n:message key='regschool_offline_btn'/>" onClick="HandleSchoolRegister(this)">
                            <input type="button" class="bt1" id="activate" value="<i18n:message key='activate_btn'/>" onClick="window.location='school_activate.jsp?reactivate=no'"/>
                            <%boolean isDeployed = SchoolCtrl.getDeployedFlag(); %>
                            <input type="button" class="bt1" value="<i18n:message key='regschool_reactivate_btn'/>" <%if (!isDeployed) {%> disabled style="color:#FFF" <% }%> onClick="window.location='school_activate.jsp?reactivate=yes'">
                            <input type="button" class="bt1" value="<i18n:message key='bt_reset'/>" onClick="clearForm('schoolregisterform');">
                            <input type="hidden" name="operType" value="register"/>
                        </td>
                    </tr>
                   </table>
                   </form>

</td></tr>
<tr>
<td>
<div style="width:710; height:100; overflow-x:hidden;overflow-y:hidden; SCROLLBAR-FACE-COLOR: #D0D7F4; margin-left:-3px" align="left">
</div><!--In order to  prevent left navigation menu moves rightward-->
</td></tr>

</table>
	<%
	if ( request.getAttribute("errorinfo") != null )
	{
		int errorType  = (Integer)request.getAttribute("errorinfo");
		if ( errorType == ErrorConstants.CONNECT_CS_ERROR )
		{
	%>
			<script language="javascript">
			alert("<i18n:message key='network_error'/>");
			</script>
	<%
			
		}
		else if ( errorType == ErrorConstants.SCHOOL_REG_DUPLICATE_MAC )
		{
			%>
			<script language="javascript">
			alert("<i18n:message key='reg_duplicated_mac'/>");
			</script>
			<%
		}
		else
		{
			%>
			<script language="javascript">
			alert("<i18n:message key='regschool_failed'/>");
			</script>
			<%
		}
		request.removeAttribute("errorinfo");
	}
	%>
</body>
</html>
