<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%@ include file="../include/head.jsp"%>

<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<%
response.setHeader("Pragma","No-cache");
response.setHeader("Cache-Control","no-cache");
response.setDateHeader("Expires", 0);
%>
<body>
<%
	String hwid = request.getParameter("HWID");
	String version = request.getParameter("version");
	if (version == null || version.equals("null"))
	{
		version = "";
	}
%>
<jsp:useBean id="loginDeal" scope="page" class="com.intel.tcserver.website.bean.LoginCtrl">
	<%
	OperatorEntity oper = new OperatorEntity();
	AccountCtrl accountDeal = new AccountCtrl();
	accountDeal.processRequest(request, accountDeal.OPERATION_LIST_CONDITION, oper);
	
	DeviceAccountEntity device =accountDeal.queryAccount();
	if (device == null)
	{
		response.sendRedirect("/tdserver/popwin_result.jsp?resultInfo=-61");
	}
	else
	{
	String flag = device.getActivationflag();
	if (flag == null || flag.equals("0"))
	{
		response.sendRedirect("/tdserver/popwin_result.jsp?resultInfo=-61");
	}


 	 loginDeal.processRequest(request);
  	int result = loginDeal.login();
	OperatorEntity student = loginDeal.getSessionInfo();
	
  if (result >= 0)
  {
	   if(student.getOperateType().equals("student"))
	   {
			session.setAttribute("studentInfo", student);
			%>
			<script language="JavaScript">
			window.location.href = "student_main.jsp?HWID=<%=hwid%>&version=<%=version%>";
			</script>
			<%
	   }
	   else
	   {
	   		session.setAttribute("sessionInfo", student);
			%>
			<script language="JavaScript">
			window.location.href = "/tdserver/welcome.jsp";
			</script>
			<%
	   }
  }
  else
  {
    %>
	<script language="JavaScript">
	window.location.href = "student_login.jsp?hwid=<%=hwid%>&status=fail&version=<%=version%>";
    </script>
	
	<%
  }}
  %>
</jsp:useBean>
</body>
</html>
