<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.website.bean.MessageCtrl"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ include file="include/head.jsp" %>
<%@ include file="include/check/checktimeout.jsp"%>
<%@ include file="js/function.jsp"%>
<%@ include file="js/check.jsp"%>
<%@ include file="js/popcalendar.jsp"%>


<%@ page import="com.intel.tcserver.entity.*"%>


<%
	OperatorEntity sessionInfo = (OperatorEntity)session.getAttribute("sessionInfo");
	String adminType = sessionInfo.getOperateType();
%>

<style type="text/css">

<!--

BODY { 

background: url('images/welcome.jpg') no-repeat; 

background-color:#D9DFFF;

} 

--> 

</style> 
<body leftMargin="0" topMargin="0" marginheight="0"
	marginwidth="0" >
	<% int flag = -2;
int size = 0;
AccountCtrl accDeal = new AccountCtrl();
int tempCount = accDeal.getTotalTempSize();
int transferInPending = accDeal.getNotReadMigrateInSize();
MessageCtrl msgDeal = new MessageCtrl();
int notifiNotRead = msgDeal.getNotificationNotReadSize();
int updatePKNotRead = msgDeal.getUpdateMessageNotReadSize();
int backupFail = msgDeal.getbackupFailedMessageNotReadSize();
if (adminType.equals("admin"))
{
	if (tempCount > 0 || transferInPending > 0 || notifiNotRead > 0 || updatePKNotRead > 0 || backupFail > 0)
	{
		size = 1;
	}
}
else if (adminType.equals("operator"))
{
	if (transferInPending > 0 || backupFail > 0)
	{
		size = 1;
	}
}
%>
<table width="1000" border="0" cols="2" cellpadding="0" cellspacing="0">

<tr>
	<td colspan="2">
		<%@ include file="top.jsp"%>
	</td>
</tr>
<tr>
	<td align="right" width="206"  valign="top">

		<%@ include file="menu.jsp"%>
		
	</td><!-- end left-->
	<td align="left" width="710" valign="top">

		<table width="700">
			
			<tr>
			<td>&nbsp;</td>
			</tr>
			
			<%
			 if (adminType.equals("admin") && tempCount > 0)
			 {
			%>
			<tr>
				<td width="15%"></td><td>
				<table style="border:#B4CEFF solid 1px">
					<tr>
					<td rowspan="3" align="right" valign="top"><img src="images/warning.png" border="0" width="18"></td><td>&nbsp;<font style='font-size:12pt; font-weight:bold;  color:#020F7F; vertical-align:top;'><i18n:message key="welcome_inform_newdevice"/></font></td>
					</tr>
					<tr>
				<td rowspan="3" align="left" width="600">
				<table width="90%">
				<tr height="32"><td>
				<font style='font-size:8pt; font-weight:bold;  color:#020F7F;'><i18n:message key="temp_warning_1"/></font><br><a href='Device Admin/tempdevice.jsp?tempFlag=0' style="text-decoration:underline"><font color="#FF0000" style='font-size:8pt;font-weight:bold;font-family:Arial, Helvetica, sans-serif;'><b><i18n:message key="temp_href"/></b></font></a>&nbsp;<font style='font-size:8pt; font-weight:bold;  color:#020F7F;'><i18n:message key="temp_warning_2"/></font>
				</td></tr></table>
						</td>
					</tr>
				</table>
				</td>
			</tr>
<tr height="12">&nbsp;</tr>
			<%
			}
			if ((adminType.equals("admin") || adminType.equals("operator")) && transferInPending > 0)
			{
			%>
<!--Second inform Transfer-->
			<tr>
				<td width="15%"></td><td>
				<table style="border:#B4CEFF solid 1px">
					<tr>
					<td rowspan="3" align="right" valign="top"><img src="images/warning.png" border="0" width="18"></td><td>&nbsp;<font style='font-size:12pt; font-weight:bold;  color:#020F7F; vertical-align:top;'><i18n:message key="welcome_inform_transfer"/></font></td>
					</tr>
					<tr>
				<td rowspan="3" align="left" width="600">
				<table width="90%">
				<tr height="32"><td>
				<font style='font-size:8pt; font-weight:bold;  color:#020F7F;'><i18n:message key="welcome_inform_transfer_1"/></font> <a href='System Admin/Operator Admin/migration_mgmt_in.jsp?migrateFlag=2' style="text-decoration:underline"><font color="#FF0000" style='font-size:8pt;font-weight:bold;font-family:Arial, Helvetica, sans-serif;'><b><i18n:message key="temp_href"/></b></font></a>&nbsp;<font style='font-size:8pt; font-weight:bold;  color:#020F7F;'><i18n:message key="welcome_inform_transfer_2"/></font>
				</td></tr></table>
						</td>
					</tr>
				</table>
				</td>
			</tr>
<tr height="12">&nbsp;</tr>
			<%
			}
			if ((adminType.equals("admin") || adminType.equals("operator")) && backupFailNotRead > 0)
			{
			%>
<!--Third inform Backup failed-->
			<tr>
				<td width="15%"></td><td>
				<table style="border:#B4CEFF solid 1px">
					<tr>
					<td rowspan="3" align="right" valign="top"><img src="images/warning.png" border="0" width="18"></td><td>&nbsp;<font style='font-size:12pt; font-weight:bold;  color:#020F7F; vertical-align:top;'><i18n:message key="welcome_inform_backup_fail"/></font></td>
					</tr>
					<tr>
				<td rowspan="3" align="left" width="600">
				<table width="90%">
				<tr height="32"><td>
				<font style='font-size:8pt; font-weight:bold;  color:#020F7F;'><i18n:message key="welcome_inform_backup_1"/></font> <a href='Device Admin/dataOperation.jsp' style="text-decoration:underline"><font color="#FF0000" style='font-size:8pt;font-weight:bold;font-family:Arial, Helvetica, sans-serif;'><b><i18n:message key="temp_href"/></b></font></a>&nbsp;<font style='font-size:8pt; font-weight:bold;  color:#020F7F;'><i18n:message key="welcome_inform_backup_2"/></font>
				</td></tr></table>
						</td>
					</tr>
				</table>
				</td>
			</tr>
<tr height="12">&nbsp;</tr>
			<%
			}
			if (adminType.equals("admin") && notifiNotRead > 0)
			{
String sNotify = "";
int notifyInfoMax = 50;
if (notifiNotReadSize > 0)
{
	sNotify = msgDeal.getFirstDetailNotReadNotify();
	if (sNotify != null && !sNotify.equals("") && sNotify.length() > notifyInfoMax)
	{
		sNotify = sNotify.substring(0,notifyInfoMax) + "...";
	}
}
			%>
<!--Forth Inform Notification-->
			<tr>
				<td width="15%"></td><td>
				<table style="border:#B4CEFF solid 1px">
					<tr>
					<td rowspan="3" align="right" valign="top"><img src="images/warning.png" border="0" width="18"></td><td>&nbsp;<font style='font-size:12pt; font-weight:bold; color:#020F7F; vertical-align:top;'><i18n:message key="welcome_inform_notification"/>(<%=notifiNotReadSize%>)<i18n:message key="query_colon"/></font></td>
					</tr>
					<tr>
				<td rowspan="3" align="left" width="600">
				<table width="90%">
				<tr height="32"><td>
				<font style='font-size:8pt; font-weight:bold;  color:#020F7F;'><%=sNotify%></font> <br><a href='Device Admin/message.jsp' style="text-decoration:underline;">
<font color="#FF0000" style='font-size:8pt;font-weight:bold;font-family:Arial, Helvetica, sans-serif;'><b><i18n:message key="temp_href"/></b>&nbsp;</font></a><font style='font-size:8pt; font-weight:bold;  color:#020F7F;'><i18n:message key="welcome_inform_notification_2"/></font>
				</td></tr></table>
						</td>
					</tr>
				</table>
				</td>
			</tr>
<tr height="12">&nbsp;</tr>
			<%
			}
			if (adminType.equals("admin") && updatePKNotRead > 0)
			{
			%>
<!--Forth inform Update PK-->
			<tr>
				<td width="15%"></td><td>
				<table style="border:#B4CEFF solid 1px">
					<tr>
					<td rowspan="3" align="right" valign="top"><img src="images/warning.png" border="0" width="18"></td><td>&nbsp;<font style='font-size:12pt; font-weight:bold;  color:#020F7F; vertical-align:top;'><i18n:message key="public_update"/></font></td>
					</tr>
					<tr>
				<td rowspan="3" align="left" width="600">
				<table width="90%">
				<tr height="32"><td>
				<font style='font-size:8pt; font-weight:bold;  color:#020F7F;'><i18n:message key="welcome_inform_update_school_cert_1"/></font><br> <a href='Device Admin/update_publickey_cert.jsp' style="text-decoration:underline"><font color="#FF0000" style='font-size:8pt;font-weight:bold;font-family:Arial, Helvetica, sans-serif;'><b><i18n:message key="temp_href"/></b></font></a>&nbsp;<font style='font-size:8pt; font-weight:bold;  color:#020F7F;'><i18n:message key="welcome_inform_update_school_cert_2"/></font>
				</td></tr></table>
						</td>
					</tr>
				</table>
				</td>
			</tr>
<tr height="12">&nbsp;</tr>
			<%
			}
			%>
		</table>
	</td><!--end right-->
	</tr><!--end second line-->
	</table>
</body>
</html>
