@echo off

:start 
cls 
cd C:\CMPC

@call C:\CMPC\OpenSSL\.etc\setEnv.cmd
@call C:\CMPC\OpenSSL\.etc\ipconf.cmd

@SET JDK_CA_ROOT_ALIAS=%WEBSITE%-CA-ROOT
@SET SERVER_DN_CN=%WEBSITE%

if "%JAVA_HOME%"=="" goto NO_JAVA_HOME


del /q C:\CMPC\index.txt
copy C:\CMPC\index.txt.bnk C:\CMPC\index.txt

del /q C:\CMPC\TempPK\Pub_Key.bin
del /q C:\CMPC\TempPK\TCserver.csr
del /q C:\CMPC\TempPK\TCserver-cert.pem
del /q C:\CMPC\TempPK\TCServer.keystore

@SET $_SERVER_DNAME=CN=%SERVER_DN_CN%, OU=%SERVER_DN_OU%, O=%BASE_DN_O%, L=%BASE_DN_L%, ST=%BASE_DN_ST%, C=%BASE_DN_C%
keytool -genkey -alias %SERVER_ALIAS% -validity %SERVER_KEY_DAYS% -keyalg RSA -keysize 2048 -keypass %SERVER_KEYPASS% -storepass %SERVER_STOREPASS% -dname "%$_SERVER_DNAME%" -keystore C:\CMPC\TempPK\%SERVER_KEYSTORE%

keytool -certreq -alias %SERVER_ALIAS% -sigalg SHA1withRSA -file C:\CMPC\TempPK\TCserver.csr -keypass %SERVER_KEYPASS% -keystore C:\CMPC\TempPK\%SERVER_KEYSTORE% -storepass %SERVER_STOREPASS%

openssl ca -startdate 050801000000Z -enddate 350731235959Z -batch -notext -in C:\CMPC\TempPK\TCServer.csr -out C:\CMPC\TempPK\TCserver-cert.pem -cert C:\CMPC\ca-cert.pem -keyfile C:\CMPC\ca-key.pem -config C:\CMPC\openssl.cnf -outdir C:\CMPC\TempPK


goto END

:NO_JAVA_HOME
@echo Please install JDK and set environment variable "JAVA_HOME" if running the command "generate server certificate".

:END

exit