<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%
response.setHeader("Pragma","No-cache");
response.setHeader("Cache-Control","no-cache");
response.setDateHeader("Expires", 0);
%>
<%@ include file="../include/check/checktimeout_c.jsp"%>
<%@ include file="../include/show_info.jsp"%>
<%@ include file="../include/head.jsp"%>


<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>
<%@ page import="com.intel.tcserver.tool.BackupUtil"%>
<%@ page import="com.intel.tcserver.website.bean.LogCtrl"%>
<%@ page import="java.text.SimpleDateFormat, java.util.*"%>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%
if (session.getAttribute("sessionInfo") == null)
	{
	%>
	<script language="JavaScript">   
    window.location.href = "../index.jsp";
    </script>
	<%
	out.close();
	}
%>
<body bgcolor="#ffffff" topmargin=0 leftmargin=0>

<br/>
	<br/>
	<br/>
	<center>
	<span id="doimport"><font style='font-size:12pt;'>
	<strong>
	<i18n:message key="process_backup"/>
	</strong>
	</font></span>
	</center>
	
<%
	String backType = request.getParameter("backupconfig");
	int iRet = ErrorConstants.ERROR_SUCCESS;
	
	String info = "";
	int result = ErrorConstants.ERROR_FAIL;
	
	if ( "remote".equalsIgnoreCase(backType) )
	{
		String[] items = request.getParameterValues("backupitem");
		iRet = BackupUtil.backup(BackupUtil.REMOTE_BACKUP, items);
		info = LogCtrl.getResource(LogCtrl.RES_KEY_BACKUP_CS);
		if ( iRet == ErrorConstants.ERROR_SUCCESS )
		{
			result = ErrorConstants.ERROR_SUCCESS;
		}
	}
	else if ( "local".equalsIgnoreCase(backType) )
	{
		
		String[] items = request.getParameterValues("backupitem");
			
		iRet = BackupUtil.backup(BackupUtil.LOCAL_BACKUP, items);
		
		info = LogCtrl.getResource(LogCtrl.RES_KEY_BACKUP_LOCAL);
		if ( iRet == ErrorConstants.ERROR_SUCCESS )
		{
			result = ErrorConstants.ERROR_SUCCESS;
		}
		
	}
	OperatorEntity operEntity = (OperatorEntity)session.getAttribute("sessionInfo");
	if ( null != operEntity )
	{
		LogCtrl.Record(operEntity.getOperatorName(), LogCtrl.TYPE_BACKUP, info, result);
	}
	
%>
<jsp:forward page="backup_result.jsp">
<jsp:param value="<%=backType%>" name="type"/>
<jsp:param value="<%=iRet%>" name="result"/>
</jsp:forward>
</body>
</html>