<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0"
	prefix="i18n"%>
<%@ page contentType="text/html; charset=utf-8"%>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc"
	localeRef="userLocale" scope="request" changeResponseLocale="true" />


<%@ include file="../include/check/checktimeout_c.jsp"%>
<%@ include file="../include/comment_len.jsp"%>

<%@ page import="com.intel.tcserver.entity.*"%>
<%@ page import="java.util.*"%>
<html>
<head>
<title><i18n:message key="title_tracking"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>

<!--forbidden F11-->
<script language="javascript">
function keyDown(e){
  if(event.keyCode==122){
	  event.keyCode=0;
	  return false;
	}
}
document.onkeydown = keyDown;
</script>
</head>



<body topmargin=0 leftmargin=0>

<br>
<br>
<br>
<center>
<table border="1" cellpadding="0" cellspacing="0" width="650"
	bordercolorlight="#46599C" bordercolordark="#ffffff"
	bgcolor="#FFFFFF">
	<tr height="30">
		<th height="30" colspan=2 bgcolor="#AEB9E7" valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="tracking_detailedinfo"/></font></th>
	</tr>
	<form action="" method="post" name="form1" onSubmit="">
		<jsp:useBean
		id="trackingDeal" scope="page"
		class="com.intel.tcserver.website.bean.TrackingCtrl">
		<%
    String deviceHWID = request.getParameter("deviceHWID");
	trackingDeal.processRequest(request, false, session.getAttribute("sessionInfo"));
	Vector tracking = trackingDeal.queryTracking();

	if(tracking == null)
    {
    	int result = -57; //Database error
    	%>
		<jsp:forward page="../popwin_result.jsp">
			<jsp:param name="resultInfo"
				value="<%=result%>" />
		</jsp:forward>
		<%
    }
	%>
		<!-- detailed information -->
		<tr>
		<%
		String hwid = ((TrackingEntity)(tracking.get(0))).getDeviceHWID();
			if(hwid == null)
			{
				hwid = "";
		}%>
			<td width="200" align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="account_hwid"/><i18n:message key="query_colon"/></b></TD>
			<td  width="450" valign="middle" align="left">&nbsp;&nbsp;&nbsp;<INPUT class=noborder  style="COLOR: #000000" readOnly size=40 value="<%=hwid%>"></TD>
		</tr>
		<%
			String ownerID = ((TrackingEntity)(tracking.get(0))).getOwnerID();
			if(ownerID == null)
			{
				ownerID = "";
			}
		%> 
		<tr>
			<td align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="account_name"/><i18n:message key="query_colon"/></b></td>
			<td  valign="middle" align="left">&nbsp;&nbsp;&nbsp;<INPUT class=noborder  style="COLOR: #000000" readOnly maxLength=30 size=50 value="<%=ownerID%>"></td>
		<tr>
			<td  align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="account_stolen"/><i18n:message key="query_colon"/></b></td>
			<td valign="middle" align="left">
			<%
				  String stolenFlag = ((TrackingEntity)(tracking.get(0))).getStolenFlag();
				  if(stolenFlag == null)
				  {
				  	stolenFlag = "";
				  	%>&nbsp;&nbsp;&nbsp;<INPUT class=noborder  style="COLOR: #000000" readOnly size=40 value="">
					<%
				  }
				  else if(stolenFlag.equals("0"))
				  {
				    %>&nbsp;&nbsp;&nbsp;<INPUT class=noborder  style="COLOR: #000000" readOnly size=40 value="<i18n:message key='account_no'/>">
					<%
				  }
			      else if(stolenFlag.equals("1"))
				  {
				  	%>&nbsp;&nbsp;&nbsp;<INPUT class=noborder  style="COLOR: #000000" readOnly size=40 value="<i18n:message key='account_yes'/>">
					<%
				  }
				  else
				  {
				  	%>&nbsp;&nbsp;&nbsp;<INPUT class=noborder  style="COLOR: #000000" readOnly size=40 value="">
					<%
				  }
				  %>
					 </td>
		<tr>
			<td valign="middle" align="left"><b>&nbsp;&nbsp;<i18n:message key="account_dateloss"/><i18n:message key="query_colon"/></b></td>
			<%
				  String stolenDate = "";
				  if(!stolenFlag.equals("1"))// not stolen
				  {
				      stolenDate = "";
				  }
				  else
				  {
					  stolenDate = ((TrackingEntity)(tracking.get(0))).getStolenTime().toString();
					  if(stolenDate == null)
					  {
						  stolenFlag = "";
					  }
					  if(stolenDate.indexOf(" ") >= 0)
					  {
						  stolenDate = stolenDate.substring(0,stolenDate.indexOf(" "));
					  }
					  String[] temp = stolenDate.split("-");
					  if(temp.length == 3)
					  {
						  stolenDate = temp[1] + "-" + temp[2] + "-" + temp[0];
					  }
					  else
					  {
						  stolenDate = "";
					  }
				  }
				  %>
			<td  align="left" valign="middle">&nbsp;&nbsp;&nbsp;<INPUT class=noborder  style="COLOR: #000000" readOnly  size=40 value="<%=stolenDate%>"></td>
			<!-- network information -->
			<%
			for(int i = 0; i < tracking.size(); i++)
			{
				//get tracking date
				  TrackingEntity tempEnt = new TrackingEntity();
				  tempEnt = (TrackingEntity)(tracking.get(i));
				  Vector vec1 = trackingDeal.parseTracking(tempEnt);
				  if(vec1.size() > 0)
				  {
////Add OS Version
String OSVersion = ((TrackingEntity)(tracking.get(i))).getOsversion(); 
if (OSVersion == null || OSVersion.equalsIgnoreCase("null"))
{
	OSVersion = "";
}
OSVersion = OSVersion.trim();

if (OSVersion.indexOf("Mandriva") >= 0)
{
	if (OSVersion.length() > 30)
	{
		OSVersion = OSVersion.substring(0, 30);
		if (OSVersion.lastIndexOf(" ") > 0)
		{
			int posOS = OSVersion.lastIndexOf(" ");
			OSVersion = OSVersion.substring(0, posOS);
			OSVersion = OSVersion.trim();
		}
		if (OSVersion.indexOf("Mandriva") < 0)
		{
			OSVersion = "Mandriva";
		}
	}
}
//Add SSID of AP
String SSID = ((TrackingEntity)(tracking.get(i))).getSSID();
if (SSID == null || SSID.equalsIgnoreCase("null"))
{
	SSID = "";
} 
//Add Computer Name
String computerName = ((TrackingEntity)(tracking.get(i))).getComputerName(); 
if (computerName == null || computerName.equalsIgnoreCase("null"))
{
	computerName = "";
}
				  String trackingDate = ((TrackingEntity)(vec1.get(0))).getRegTime().toString();
				  if(trackingDate == null)
				  {
					  trackingDate = "";
				  }
				  
				  //parse date format to mm-dd-yyyy hh:mm:ss
				  String trackingSecond = "";
				  if(trackingDate.indexOf(" ") >= 0)
				  {
				      trackingSecond = trackingDate.substring(trackingDate.indexOf(" ") + 1, trackingDate.length());
					  if(trackingSecond.indexOf(".") >= 0)
					  {
					  	trackingSecond = trackingSecond.substring(0, trackingSecond.indexOf("."));
					 }				 
					  trackingDate = trackingDate.substring(0,trackingDate.indexOf(" "));
				  }
				  String[] tempLocal = trackingDate.split("-");
				  if(tempLocal.length == 3)
				  {
					  trackingDate = tempLocal[1] + "-" + tempLocal[2] + "-" + tempLocal[0] + " " + trackingSecond;
				  }
				  else
				  {
					  trackingDate = "";
				  }
				  
				  //get owner local date
				  String localDate = ((TrackingEntity)(vec1.get(0))).getOwnerLocalTime().toString();
				  if(localDate == null)
				  {
					  localDate = "";
				  }
				  
				  //parse date format to mm-dd-yyyy hh:mm:ss
				  String localSecond = "";
				  if(localDate.indexOf(" ") >= 0)
				  {
				      localSecond = localDate.substring(localDate.indexOf(" ") + 1, localDate.length());
					  if(localSecond.indexOf(".") >= 0)
					  {
					  	localSecond = localSecond.substring(0, localSecond.indexOf("."));
					  }
					  localDate = localDate.substring(0,localDate.indexOf(" "));
				  }
				  String[] temp = localDate.split("-");
				  if(temp.length == 3)
				  {
					  localDate = temp[1] + "-" + temp[2] + "-" + temp[0] + " " + localSecond;
				  }
				  else
				  {
					  localDate = "";
				  }
				  
			%>
	  <tr height="30">
					<th height="30" colspan=2 bgcolor="#AEB9E7" valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="tracking_networkinfo"/>&nbsp;<%=trackingDate%></font></th>
	  </tr>
				<%
						TrackingEntity tempEntity = new TrackingEntity();
						tempEntity = (TrackingEntity)(tracking.get(i));
						Vector vec2 = trackingDeal.parseTracking(tempEntity);
						for(int j = 0; j < vec2.size(); j++)
						{
							String ipAddr = "";
							ipAddr = ((TrackingEntity)(vec2.get(j))).getNetworkIP();
							//if j != 0, draw seperate line
							if(j != 0)
							{
								//Ip Address line								
								if (ipAddr != null && ipAddr.equalsIgnoreCase("127.0.0.1"))
								{
									continue;
								}
							%>
							<TR>
									<TD colspan="2">&nbsp;</TD>
	  </TR>
							<%
							}
%>
<tr>
	<td align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="tracking_detail_os"/><i18n:message key="query_colon"/></b></td>
	<td  align="left" valign="middle"><span>&nbsp;&nbsp;&nbsp;<INPUT class=noborder id=text2 style="COLOR: #000000" readOnly size=40 value="<%=OSVersion%>" name=text2> 
					</span>
	</td>
</tr>
<tr>
	<td align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="tracking_detail_ap"/><i18n:message key="query_colon"/></b></td>
	<td  align="left" valign="middle"><span>&nbsp;&nbsp;&nbsp;<INPUT class=noborder id=text2 style="COLOR: #000000" readOnly size=40 value="<%=SSID%>" name=text2> 
					</span>
	</td>
</tr>
<tr>
	<td align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="tracking_detail_computername"/><i18n:message key="query_colon"/></b></td>
	<td  align="left" valign="middle"><span>&nbsp;&nbsp;&nbsp;<INPUT class=noborder id=text2 style="COLOR: #000000" readOnly size=40 value="<%=computerName%>" name=text2> 
					</span>
	</td>
</tr>
							<tr>
									<td align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="tracking_ip"/><i18n:message key="query_colon"/></b></td>
									<td  align="left" valign="middle"><span> 
										&nbsp;&nbsp;&nbsp;<INPUT class=noborder id=text2 style="COLOR: #000000" readOnly size=40 value="<%=ipAddr%>" name=text2> 
										</span>
									</td>
						
	  </tr>
							<%
							//gateway
							String gateway = ((TrackingEntity)(vec2.get(j))).getGatewayIP();
							if(gateway == null)
							{
								gateway = "";
							}
							%>
							<TR>
									<TD  align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="tracking_gateway"/><i18n:message key="query_colon"/></b></TD>
									<TD align=left valign="middle"><span> 
									<!-- gateway-->
									&nbsp;&nbsp;&nbsp;<INPUT class=noborder id=text2 style="COLOR: #000000" readOnly size=40 value="<%=gateway%>" name=text2>
									</span></TD>
							</TR>
							<%
							//proxy
							String proxy = ((TrackingEntity)(vec2.get(j))).getNetworkProxy();
							if(proxy == null)
							{
								proxy = "";
							}
							%>
							<TR>
									<TD  align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="tracking_proxy"/><i18n:message key="query_colon"/></b></TD>
									<TD align=left valign="middle"><span> 
									<!-- proxy-->
									&nbsp;&nbsp;&nbsp;<INPUT class=noborder id=text2 style="COLOR: #000000" readOnly size=40 value="<%=proxy%>" name=text2> 
									</TD>
	  </TR>
							<%
							//DNS
							String dns = ((TrackingEntity)(vec2.get(j))).getDnsIP();
							if(dns == null)
							{
								dns = "";
							}
							%>
							<TR>
									<TD align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="tracking_dns"/><i18n:message key="query_colon"/></b></TD>
									<TD align=left valign="middle"><span>
									&nbsp;&nbsp;&nbsp;<INPUT class=noborder id=text2 style="COLOR: #000000" readOnly size=40 value="<%=dns%>" name=text2> 
									</TD>
	  </TR>
							<%
							//WINS
							String wins = ((TrackingEntity)(vec2.get(j))).getWinsIP();
							if(wins == null)
							{
								wins = "";
							}
							%>
							<TR>
									<TD  align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="tracking_wins"/><i18n:message key="query_colon"/></b></TD>
									<TD align=left valign="middle"><span>
									 <!-- WINS -->
										&nbsp;&nbsp;&nbsp;<INPUT class=noborder id=text2 style="COLOR: #000000" readOnly size=40 value="<%=wins%>" name=text2> 
							  </TD>
	  </TR>
							<%
							// The last item of vector
							if(j == vec2.size()-1)
							{
								%>
								<!--Tracking Date-->
								<TR>
                                  <TD align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="tracking_date"/><i18n:message key="query_colon"/></b></TD>
                                  <TD align=left valign="middle"><span>
                                    &nbsp;&nbsp;&nbsp;<INPUT class=noborder id=text2 style="COLOR: #000000" readOnly
										size=40 value="<%=trackingDate%>" name=text2>
                                  </span></TD>
	  </TR>
								<TR>
									<TD align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="tracking_ownerdate"/><i18n:message key="query_colon"/></b></TD>
									<TD align=left valign="middle"><span>
									&nbsp;&nbsp;&nbsp;<INPUT class=noborder id=text2 style="COLOR: #000000" readOnly
										size=40 value="<%=localDate%>" name=text2> </span></TD>
								</TR>
								<%
							}
							
						}//end for j
						}
				}//end for i
				%>

		<tr height="30">
<td align="center" bgcolor="#E1E5FE" colspan="2" valign="middle">
<input name="Cancel" type="button" class="bt1"  onClick="javascript:self.close()" value="<i18n:message key='button_ok'/>" src="../../images/ButtonRemove.gif" alt="<i18n:message key='button_ok'/>" border=0 >&nbsp;&nbsp;&nbsp;&nbsp;<input name="Refresh" type="button" class="bt1"  onClick="javascript:window.location.reload();" value="<i18n:message key='tracking_bt_refresh'/>" src="../../images/ButtonRemove.gif" alt="<i18n:message key='tracking_bt_refresh'/>" border=0 >
</td>
</tr>
	</jsp:useBean>
	</form>
</table>
</center>
</body>
</html>
