﻿<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%@ include file="../../include/check/checktimeout_c.jsp"%>
<%@ include file="../../include/comment_len.jsp"%>
<%@ include file="../../js/check.jsp"%>
<%@ include file="../../js/function.jsp"%>
<%@ include file="../../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.entity.*"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="java.util.*"%>
<%@ page import="com.intel.tcserver.tool.*"%>
<%@ page import="com.intel.csserver.dao.xsd.School"%>
<%@ page import="com.intel.tcserver.util.constant.*"%>
<%@ page import="com.intel.csserver.dao.xsd.School"%>
<%@ page import="com.intel.tcserver.common.TDSCSCommon"%>

<html>
<head>
<title><i18n:message key="migrate_add_request_th"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>
<jsp:useBean id="accountDeal" scope="page"
		class="com.intel.tcserver.website.bean.AccountCtrl">
<%
 //get the value of parameters of request
 accountDeal.processRequest(request,accountDeal.OPERATION_UPDATE_ACCOUNT, session.getAttribute("sessionInfo"));
 DeviceAccountEntity accEntity = new DeviceAccountEntity();
String strHwid = request.getParameter("sendHWID");

String schoolName = request.getParameter("schoolName");


	if (schoolName == null)
	{
		schoolName = "";
	}
	
	int schoolID = MigrateUtil.getSchoolIDByName((School[])session.getAttribute("schoolObj"), schoolName);
	if (schoolID <= 0)
	{
		//the school does not exist
	%>
		<script language="JavaScript">
		alert("<i18n:message key='school_notexist'/>");	

		 window.location.href = "migration_management.jsp?tempFlag=1&migrateFlag=1";
	 
    		</script>
	<%	
	}
	else
	{
		String result = accountDeal.addMigrationRequest(strHwid, TDSCSCommon.MIGRATION_OUT_REQUEST, Integer.toString(schoolID), schoolName);

if (result.length() > 0 && result.length() < 12)//(result <= 0)
	  {//if erro

    //String erroInfo = ErrorConstants.getInstance().getError(result);
  	%>
  	<script language="JavaScript">
    alert("<i18n:message key='migrate_addrequest_fail'/>");

   window.location.href = "migration_management.jsp?tempFlag=1&migrateFlag=1";
    </script>
  	<%

	  //  }
	  }
	  else if (result.equals(""))
	  {//if add succeeds
%>
    <script language="JavaScript">
    alert("<i18n:message key='migrate_addrequest_succ'/>");

    window.location.href = "migration_management.jsp?tempFlag=1&migrateFlag=1";
    </script>
    <%

	  }
	else
	{
String shows = "";
String[] arr = result.split(",");
for (int i = 0; i < arr.length; i++)
{
	if (i > 0 && i % 3 == 0)
	{
		shows += ",\\n ";
	}
	else if (i > 0)
	{
		shows += ", ";
	}	
	shows += arr[i];
}
shows += ".\\n";
//out.println("shows:"+shows);
//out.close();
	%>
		<script language="JavaScript">
    //alert(showInfo(<%=result%>));
alert("<%=shows%>" + " " + "<i18n:message key='migrate_add_pending'/>");	
	//subpopwinlog('', '', 'add_migrate_pending.jsp?HWID=<%=result%>', '405','720');
	
	 window.location.href = "migration_management.jsp?tempFlag=1&migrateFlag=1";
	 
    </script>
	<%
	}
	}
	

%>

    </form>
  </table>
</center>

</jsp:useBean>
</body>

