<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<!-- check if the device has been deleted---->
<html>
<head>
<title><i18n:message key="nvbar_transfer"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>

<%@ include file="../../include/check/checktimeout_c.jsp"%>
<%@ include file="../../include/comment_len.jsp"%>
<%@ include file="../../js/check.jsp"%>
<%@ include file="../../js/function.jsp"%>
<%@ include file="../../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.entity.*"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import = "com.intel.tcserver.util.constant.DeviceAccountConstants"%>
<%@ page import="com.intel.tcserver.common.TDSCSCommon"%>
<%@ page import="java.util.*"%>


<script language="javascript">
function keyDown(e){
  if(event.keyCode==122){
	  event.keyCode=0;
	  return false;
	}
}
document.onkeydown = keyDown;
</script>


<body bgcolor="#ffffff" topmargin=0 leftmargin=0>

<%
	String name = ((OperatorEntity)(session.getAttribute("sessionInfo"))).getOperatorName();
%>

<center>
<br>
<br>
<br>
<br>
<br>
<table border="1" cellpadding="0" cellspacing="0" width="650" bordercolorlight="#46599C" bordercolordark="#ffffff" bgcolor="#FFFFFF">
 <tr height="30">
    <th height="30" colspan=2 valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="migrate_detail_title"/></font></th>
 </tr>
<form name="form1" action="modify_student_deal.jsp"
		method="post" onSubmit="return checkstudentform(form1);"><jsp:useBean
		id="accountDeal" scope="page"
		class="com.intel.tcserver.website.bean.AccountCtrl">
		<% accountDeal.processRequest(request,accountDeal.OPERATION_UPDATE_ACCOUNT, session.getAttribute("sessionInfo"));
		   DeviceAccountEntity accountEntity = new DeviceAccountEntity();
		   if(accountDeal.queryTransferAccount() == null)
		   {
		   		int result = -57;
			   %>
				<jsp:forward page="../../popwin_result.jsp">
					<jsp:param name="resultInfo"
						value="<%=result%>" />
				</jsp:forward>
				<%
		   }
		   accountEntity = accountDeal.queryTransferAccount();
		   String HWID = accountEntity.getDeviceHWID();
		   
		   //reverse dateformat 
		   String expDateShow = "";
		   String tempStr = accountEntity.getExpirationDate().toString();
		   if(tempStr.indexOf(" ") >= 0)
		   {
		        tempStr = tempStr.substring(0,tempStr.indexOf(" "));
		   }
		   String[] temp = tempStr.split("-");
		   if(temp.length == 3)
		   {
		        expDateShow = temp[1]+"-"+temp[2]+"-"+temp[0];
		   }
		   
		   //reverse dateformat
		   String ownerBirthday = "";
		   if(accountEntity.getOwnerBirthday() == null)
		   {
		   		ownerBirthday = "";
		   }
		   else
		   {
			   tempStr = accountEntity.getOwnerBirthday().toString();
			   if(tempStr.indexOf(" ") >= 0)
			   {
					tempStr = tempStr.substring(0,tempStr.indexOf(" "));
			   }
			   temp = tempStr.split("-");
			   if(temp.length == 3)
			   {
				   ownerBirthday = temp[1]+"-"+temp[2]+"-"+temp[0];
			   }
		   }
        
%>



  <tr valign="middle" bgcolor="#FFFFFF">
    	<TD width="40%" valign="middle" align="left">&nbsp;&nbsp;<b><i18n:message key="account_hwid"/><i18n:message key="query_colon"/></b></TD>
	
    	<TD width="60%" valign="middle" align="left">&nbsp;&nbsp;&nbsp;<INPUT class=noborder name="HWID"
      style=" width:370; COLOR: #000000; background-color:#FFFFFF; border-color:#FFFFFF" readOnly  value="<%=accountEntity.getDeviceHWID() %>"></TD>
   </tr>
     
    <tr align="left" valign="middle" bgcolor="#FFFFFF">
		<td valign="middle">&nbsp;&nbsp;<b><i18n:message key="account_name"/><i18n:message key="query_colon"/></b></td>
			<%
			String id = accountEntity.getOwnerID();
			if( id== null)
			{
				id = "";
			}
			%>
		<td valign="middle" align="left">&nbsp;&nbsp;&nbsp;<INPUT class=noborder name="ownerID"
      style=" width:370; COLOR: #000000; background-color:#FFFFFF; border-color:#FFFFFF" readOnly maxLength=30 value="<%=id%>"></td></tr>
              
	  <TR align="left" valign="middle" bgcolor="#FFFFFF">
           <TD valign="middle">&nbsp;&nbsp;<b><i18n:message key="account_stuid"/><i18n:message key="query_colon"/></b></TD>
            <td valign="middle" align="left">
			<%
			String ownerName = accountEntity.getOwnerName();
			if( ownerName== null)
			{
				ownerName = "";
			}
			%>&nbsp;&nbsp;&nbsp;<input class=noborder name="ownerName" style=" width:370; COLOR: #000000; background-color:#FFFFFF; border-color:#FFFFFF" readOnly maxlength="30" value="<%=ownerName%>" ></td>              
       </TR>
<!--a row birthday-->	   
       <TR align="left" valign="middle" bgcolor="#FFFFFF">
       <TD valign="middle" align="left">&nbsp;&nbsp;<b><i18n:message key="account_birth"/><i18n:message key="query_colon"/></b></TD>
<%
if( ownerBirthday == null)
{
	ownerBirthday = "";
}
String migrateFlag = accountEntity.getMigrateFlag();
String migSchool = accountEntity.getMigrateSchoolName();
if( migSchool== null)
{
	migSchool = "";
}
if( migrateFlag == null)
{
	migrateFlag = "0";
}
%>
<td valign="middle" align="left">&nbsp;&nbsp;
<input class=noborder id="ownerBirthday" name="ownerBirthday" style="width:370; COLOR: #000000; background-color:#FFFFFF; border-color:#FFFFFF" readOnly maxlength="10" value="<%=ownerBirthday%>"></td>
<!--a row finish-->
<!--a row applied date-->	   
       <TR align="left" valign="middle" bgcolor="#FFFFFF">
       <TD valign="middle" align="left">&nbsp;&nbsp;<b><i18n:message key="migrate_detail_applidate"/><i18n:message key="query_colon"/></b></TD>
<%
// need show migrate info
String migStatus = accountEntity.getMigrateStatus();
if( migStatus== null)
{
	migStatus = "";
}
int iMigStatus = 0;
if (!migStatus.equals(""))
{
	iMigStatus = Integer.parseInt(migStatus);
}

String appliedDate = accountEntity.getAppliedDate();
if (migrateFlag == null || migrateFlag.equals("") || migrateFlag.equals("0"))
{
	appliedDate = "";
}
else
{
	int iPos = appliedDate.indexOf(" ");
	if (iPos > 0)
	{
		appliedDate = appliedDate.substring(0, iPos);
		//date format is "yyyy-mm-dd" format to MM-DD-YYYY
		String[] applieddateArr = appliedDate.split("-");
		if (applieddateArr != null && applieddateArr.length == 3 && !applieddateArr[0].equals("1999"))
		{
			appliedDate = applieddateArr[1] + "-" + applieddateArr[2] + "-" + applieddateArr[0];
		}
		if(applieddateArr[0].equals("1999"))
		{
			appliedDate = "";
		}
	}
}
if (iMigStatus == 0)
{
	appliedDate = "";
}
%>
<td valign="middle" align="left">&nbsp;&nbsp;
<input class=noborder id="appliedDate" name="appliedDate" style="width:370; COLOR: #000000; background-color:#FFFFFF; border-color:#FFFFFF" readOnly maxlength="10" value="<%=appliedDate%>"></td>
<!--a row finish-->

<!--a row migrate from--Get local school-->
<TR align="left" valign="middle" bgcolor="#FFFFFF">
<%
if (migrateFlag != null && migrateFlag.equals(TDSCSCommon.MIGRATION_OUT_REQUEST))
{
%><TD valign="middle" align="left">&nbsp;&nbsp;<b><i18n:message key="migration_destination"/><i18n:message key="query_colon"/></b></TD>
<td valign="middle" align="left">&nbsp;&nbsp;
<input class=noborder id="migrateSchool" name="migrateSchool" style="width:370; COLOR: #000000; background-color:#FFFFFF; border-color:#FFFFFF" readOnly maxlength="10" value="<%=migSchool%>"></td>
<%
}
else if (migrateFlag != null && migrateFlag.equals(TDSCSCommon.MIGRATION_IN_REQUEST))
{
%><TD valign="middle" align="left">&nbsp;&nbsp;<b><i18n:message key="migration_originalschool"/><i18n:message key="query_colon"/></b></TD>
<td valign="middle" align="left">&nbsp;&nbsp;
<input class=noborder id="migrateSchool" name="migrateSchool" style="width:370; COLOR: #000000; background-color:#FFFFFF; border-color:#FFFFFF" readOnly maxlength="10" value="<%=migSchool%>"></td>
<%
}
boolean bShowMigrateInfo = false;
//if(migrateFlag != null && !migrateFlag.equals("") && migrateFlag.equals("1")&& 
%>

</tr>
<!--a row finish-->
<%
String genDate = accountEntity.getGenerateKeyDate();

if (migrateFlag == null || migrateFlag.equals("") || migrateFlag.equals("0"))
{
	genDate = "";
}
else
{
	if (genDate == null)
	{
	genDate = "";
	}
	int iPos = genDate.indexOf(" ");
	if (iPos > 0)
	{
		genDate = genDate.substring(0, iPos);
		//date format is "yyyy-mm-dd" format to MM-DD-YYYY
		String[] genDateArr = genDate.split("-");
		if (genDateArr != null && genDateArr.length == 3 && !genDateArr[0].equals("1999"))
		{
			genDate = genDateArr[1] + "-" + genDateArr[2] + "-" + genDateArr[0];
		}
		if(genDateArr[0].equals("1999"))
		{
			genDate = "";
		}
	}
}
%>
<!--a row gen date-->	   
       <TR align="left" valign="middle" bgcolor="#FFFFFF">
       <TD valign="middle" align="left">&nbsp;&nbsp;<b><i18n:message key="migrate_detail_gendate"/><i18n:message key="query_colon"/></b></TD>
<%
%>
<td valign="middle" align="left">&nbsp;&nbsp;
<input class=noborder id="genDate" name="genDate" style="width:370; COLOR: #000000; background-color:#FFFFFF; border-color:#FFFFFF" readOnly maxlength="10" value="<%=genDate%>"></td>
<!--a row finish-->

<!--a row status-->
       <TR align="left" valign="middle" bgcolor="#FFFFFF">
       <TD valign="middle" align="left">&nbsp;&nbsp;<b><i18n:message key="migration_migstatus"/><i18n:message key="query_colon"/></b></TD>
<td valign="middle" align="left">&nbsp;&nbsp;
<input class=noborder id="migStatus" name="migStatus" style="width:370; COLOR: #000000; background-color:#FFFFFF; border-color:#FFFFFF" readOnly maxlength="10" value="
<%
switch(iMigStatus)
{
	case 0:
%><i18n:message key="migrate_status_normal"/>"><%
	break;
	case 1:
%><i18n:message key="migrate_status_pending"/>"><%
	break;	
	case 2:
%><i18n:message key="migrate_status_approved"/>"><%
	break;	
	case 3:
%><i18n:message key="migrate_status_reject"/>"><%
	break;	
	case 4:
%><i18n:message key="migrate_status_signed"/>"><%
	break;	
	case 5:
%><i18n:message key="migrate_status_complete"/>"><%
	break;	
	default:
%><i18n:message key="migrate_status_normal"/>"><%
	break;
}
%></td>
<!--a row finish-->

<!--a row download date-->	   
       <TR align="left" valign="middle" bgcolor="#FFFFFF">
       <TD valign="middle" align="left">&nbsp;&nbsp;<b><i18n:message key="migrate_detail_downdate"/><i18n:message key="query_colon"/></b></TD>
<%
String downDate = accountEntity.getDownloadDate();
if (migrateFlag == null || migrateFlag.equals("") || migrateFlag.equals("0"))
{
	downDate = "";
}
else
{
	if (downDate == null)
	{
	downDate = "";
	}
	int iPos = downDate.indexOf(" ");
	if (iPos > 0)
	{
		downDate = downDate.substring(0, iPos);
		//date format is "yyyy-mm-dd" format to MM-DD-YYYY
		String[] downDateArr = downDate.split("-");
		if (downDateArr != null && downDateArr.length == 3)
		{
			downDate = downDateArr[1] + "-" + downDateArr[2] + "-" + downDateArr[0];
		}
		if(downDateArr[0].equals("1999"))
		{
			downDate = "";
		}
	}
	
}
%>
<td valign="middle" align="left">&nbsp;&nbsp;
<input class=noborder id="ownerBirthday" name="ownerBirthday" style="width:370; COLOR: #000000; background-color:#FFFFFF; border-color:#FFFFFF" readOnly maxlength="10" value="<%=downDate%>"></td>
<!--a download row finish-->
				<input type="hidden" name="stolenFlag" value="<%=accountEntity.getStolenFlag()%>"/>
				<input type="hidden" name="deviceComment" value="<%=accountEntity.getDeviceComment()%>"/>
           <input name="operatorName" type="hidden" value="<%=accountEntity.getDeviceHWID() %>"/>
		   <input type="hidden" name="stuPassword" value="" id="newPassword"/>
		   <input type="hidden" name="confirmpwd" id="confirmpwd" value=""/>
		    <input type="hidden" name="adminType"  value="<%=OperatorConstants.IS_STUDENT%>"/>
			<input name="operatorType" type="hidden" value="student"/>
        </TR>
      <tr height="30">
	 <td colspan="2" align="center" valign="middle" bgcolor="#E1E5FE">
	 <input type="submit" class="bt1" onclick="self.close();" value="<i18n:message key='button_ok'/>" alt="<i18n:message key='bt_ok'/>" border=0></td>
	 </tr>
            </form>
          </table>
		  
</center>
</jsp:useBean>
<script language="javascript" type="text/javascript">
function checkstudentform(frm)
{
	//check
        var ifnull, illegal;
	//check hardware id's format
        ifnull = checkifnull("Hardware ID", frm.HWID.value, "input");
        if (!ifnull)
        {  
          return false;
        }

        //allow only numbers
        illegal = checkMAC(frm.HWID.value);
        if (!illegal)
        {
          return false;
        }
		
				if (frm.HWID.value.length < 12)
				{
					alert("<i18n:message key='check_hwid'/>");
					return false;
				}
        //check student id, not null
    /*    frm.ownerID.value = trim(frm.ownerID.value);
        ifnull = checkifnull("Student ID", frm.ownerID.value, "input");
        if (!ifnull)
        {
          return false;
        }
        
        if(frm.ownerID.value != "")
		    {
		    	illegal = checkpercent("Student ID", frm.ownerID.value);
		    	if(!illegal)
		    	{
		    		return false;
		    	}
		    }
		*/
        //check nowner name
        frm.ownerName.value = trim(frm.ownerName.value);
        
        
        
		    if(frm.ownerName.value != "")
		    {
		    	illegal = checkpercent("Owner Name", frm.ownerName.value);
		    	if(!illegal)
		    	{
		    		return false;
		    	}
		    }
        
		  frm.ownerBirthday.value = trim(frm.ownerBirthday.value);
        if(frm.ownerBirthday.value == null || frm.ownerBirthday.value == "<i18n:message key='date_format'/>")
		{
			alert("<i18n:message key='check_birthday_null'/>");
			return false;
		}
        else
        {   
        	illegal = checkBirthday(frm.ownerBirthday.value); 
	        if (illegal != true)
	        {
	        	return illegal;
	        }    
        }
        return true;
}
</script>
</body>
</html>
