<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ include file="../../include/head.jsp" %>
<%@ include file="../../include/check/checktimeout.jsp" %>
<%@ include file="../../include/check/cannotcommon.jsp" %>
<%@ include file="../../js/function.jsp"%>
<%@ include file="../../js/check.jsp"%>
<%@ page import = "com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.website.bean.SchoolCtrl"%>
<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>
<% 
	AccountCtrl accountDeal = new AccountCtrl();
	int size = accountDeal.getTotalTempSize();
	int flag = 11;
	String adminType = sessionInfo.getOperateType();
%>  

<script language="javascript">
function HandleSchoolActivation()
{
	
	var activationCode = document.getElementById("activationcodeid");
	var csnetaddr = document.getElementById("csnetaddrid");
	var onlineradio = document.getElementById("onlineradio");
	var offlineradio = document.getElementById("offlineradio");
	
	if ( checkSpace(activationCode) )
	{
		alert("<i18n:message key='activate_needcode'/>");
		return;
	}

	if ( checkSpecialCharactorWithoutAnd(activationCode) )
	{
		alert("<i18n:message key='regschool_illegalchar'/>");
		return;
	}
	
	if ( onlineradio.checked )
	{
		if ( checkSpace(csnetaddr) )
		{
			alert("<i18n:message key='activate_needcsnet'/>");
			return;
		}
	}
	else
	{
		if ( document.getElementById("offpackagefile").value.trim() == "" )
		{
			alert("<i18n:message key='activate_needpackage'/>");
			return;
		}
	}
	
	
	document.getElementById("schoolactiveform").submit();
	
}



function ChooseActivateType()
{
	var onlineradio = document.getElementById("onlineradio");
	var offlineradio = document.getElementById("offlineradio");
	
	if ( onlineradio && offlineradio )
	{
		if ( onlineradio.checked )
		{
			document.getElementById("csnettr").style.display = "";
			document.getElementById("offpackagetr").style.display = "none";
			document.getElementById("offpackagefile").value = "";
			
		}
		else
		{
			document.getElementById("csnettr").style.display = "none";
			document.getElementById("offpackagetr").style.display = "";
		}
	}
}

function InitialPage()
{
	if ( document.getElementById("onlineradio").checked )
	{
		document.getElementById("csnettr").style.display = "";
		document.getElementById("offpackagetr").style.display = "none";
	}
	else if ( document.getElementById("offlineradio").checked )
	{
		document.getElementById("csnettr").style.display = "none";
		document.getElementById("offpackagetr").style.display = "";
	}
		
}

function checkFileType(obj)
{
	if ( obj )
	{
		var value = obj.value.trim();
		if ( value != "" )
		{
			 var ext = value.substr(value.length-3, 3).toLowerCase();
			  if( ext != "zip" )
			  {
				  alert("<i18n:message key='activate_needzip'/>");
				  obj.value = "";
			  }
		}
	}
}
</script>

<%
	String activationCode = (String)request.getAttribute("activationcode");
	if ( activationCode == null )
	{
		activationCode = "";
	}
	String activationType = (String)request.getAttribute("activetype");
	if ( activationType == null )
	{
		activationType = SchoolCtrl.ONLINE_ACTIVATE;
	}
	String csNetAddr = (String)request.getAttribute("csnetaddr");
	
	
	if ( csNetAddr == null )
	{
		csNetAddr = SchoolCtrl.getCSNetworkAddr();
    	if ( csNetAddr == null )
    	{
    		csNetAddr = "";
    	}
    	
	}
	
	String strIsReActivate = request.getParameter("reactivate");
	
	if ( strIsReActivate == null )
	{
		strIsReActivate = "no";
	}
	
	boolean isReactivate = false;
	if ( "no".equalsIgnoreCase(strIsReActivate) )
	{
		isReactivate = false;
	}
	else
	{
		isReactivate = true;
	}
%>

<body class="bg" topmargin=0 leftmargin=0 marginheight="0" marginwidth="0" onload="InitialPage();">
	
<table width="1000" border="0" cols="3" cellpadding="0" cellspacing="0">
<tr>
<td colspan="3">
<%@ include file="../../top.jsp"%>
</td>
</tr>
<tr>
<td align="right" width="200"  valign="top">

		<%@ include file="../../menu.jsp"%>
	</td><!-- end left-->
	<td width="35" valign="top">
		<table width="100%">
			<tr><td>&nbsp;</td></tr>
		</table>
	</td>

<td align="left" width="710" valign="top" >
<table width="100%" border="0">
<tr>
<td>
<table width="690" border="0" cellpadding="1" cellspacing="1" bgcolor="#fffdd6" bordercolordark="#DDE1FE" class="tb1">
	<tr>
	<td rowspan="2" width="30">&nbsp;&nbsp;<img src="../../images/warning3.jpg" border="0"></td>
	<td align="left" valign="middle"><font style=" font-weight:bold;"><i18n:message key='service_node'/>&nbsp;</font><i18n:message key='activate_note'/></td>
	</tr>
										
	</table>
</td>
</tr>
<tr>
<td>

<form id="schoolactiveform" action="SchoolActivationServlet" method="post" enctype="multipart/form-data">
<input type="hidden" name="isReactivate" value="<%=strIsReActivate %>"/>
 <table border="1" cellpadding="0" cellspacing="0" width="690" bordercolorlight="#46599C" bordercolordark="#ffffff" style="word-break:break-all;">

			             <tr height="30">
			   							 <th height="30" colspan=2 valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="activate_title"/></font></th>
			 							</tr>
                                <tr class="cursor_out" height="30" style="vertical-align:middle">
                                    <td style=" font-weight:bold" width="40%">
                                        &nbsp;&nbsp;<i18n:message key='activate_code_label'/>
                                    </td>
                                    <td>
                                    
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="activationcodeid" name="activationcode" value="<%=activationCode %>" style="width:340px"></td>

                                </tr>
                                
                                <tr class="cursor_out" height="30" style="vertical-align:middle">
                                <td style=" font-weight:bold">
                                	&nbsp;&nbsp;<i18n:message key='activate_choose_type_label'/>
                                </td>
                                <td >
                                	&nbsp;&nbsp;<input type="radio" onClick="ChooseActivateType();" class="radio"
                                	<%
                                	if ( activationType.equalsIgnoreCase(SchoolCtrl.ONLINE_ACTIVATE) )
                                	{
                                	%>
                                	checked
                                	<%} %>
                                	  name="activetype" id="onlineradio" value="<%=SchoolCtrl.ONLINE_ACTIVATE %>"/><i18n:message key="online_choice"/>
                                	&nbsp;&nbsp;<input type="radio" onClick="ChooseActivateType();" class="radio" name="activetype"
                                	
                                	<%
                                	if ( activationType.equalsIgnoreCase(SchoolCtrl.OFFLINE_ACTIVATE) )
                                	{
                                	%>
                                	checked
                                	<%} %>
                                	 id="offlineradio" value="<%=SchoolCtrl.OFFLINE_ACTIVATE %>"/><i18n:message key="offline_choice"/>
                                </td>
                                </tr>
                             
                                <tr class="cursor_out" id="csnettr" style="<%if ( activationType.equalsIgnoreCase(SchoolCtrl.OFFLINE_ACTIVATE) )
                            	{ %>display:none; <%} %>vertical-align:middle" height="30">
                                    <td style=" font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="csnetwork_label"/>
                                    </td>
                                    <td>
                                    	
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="csnetaddrid" name="csnetaddr" value="<%=csNetAddr %>" style="width:340px">
                                       </td>
                                </tr>
                                
                                <tr class="cursor_out" style="<%if ( activationType.equalsIgnoreCase(SchoolCtrl.ONLINE_ACTIVATE) )
                            	{  %>display:none; <% }%>vertical-align:middle" id="offpackagetr" height="30">
                                    <td style="font-weight:bold"; width="40%">
                                        &nbsp;&nbsp;<i18n:message key="package_browser"/>
                                    </td>
                                    <td align="left">
                                        &nbsp;&nbsp;&nbsp;<input type="file" accept="application/x-zip-compressed" onchange="checkFileType(this);"  id="offpackagefile" name="offpackagefiledata" value="" size="35">
                                       <div class="note" style="margin-left:10px"><i18n:message key="offline_package_note"/></div>
                                        </td>
                                </tr>

                                
                               <tr >
                        <td align="center" bgcolor="#E1E5FE" colspan="2">
                        	<input type="button" class="bt1" value="<i18n:message key='reg_school_btn'/>" onClick="window.location='school_register.jsp'"/>
                            &nbsp;&nbsp;<input type="button" class="bt1" value="<i18n:message key='activate_btn'/>" onClick="HandleSchoolActivation()"/>
                            <input type="hidden" name="operType" value="activate"/>
                        </td>
                    </tr>
                   </table>
                   </form>
                   
</td></tr>
<tr>
<td>
<div style="width:710; height:100; overflow-x:hidden;overflow-y:hidden; SCROLLBAR-FACE-COLOR: #D0D7F4; margin-left:-3px" align="left">
</div><!--In order to  prevent left navigation menu moves rightward-->
</td></tr>

</table>
<%

if ( request.getAttribute("result") != null )
{
	

	int errorType = (Integer)request.getAttribute("result");
	if ( ErrorConstants.UPLOAD_FILE_FAILED == errorType )
	{
%>
	
			<script language="javascript">
			alert("<i18n:message key='upload_offac_failed'/>");
			</script>
<%
	}
			else if ( ErrorConstants.ERROR_SUCCESS == errorType )
			{ 
%>
	
			<script language="javascript">
			alert("<i18n:message key='activate_success'/>");
			</script>
	<%
			}
			else if ( errorType == ErrorConstants.CONNECT_CS_ERROR )
	{
%>
		<script language="javascript">
		alert("<i18n:message key='network_error'/>");
		</script>
<%
		
	}
			else
			{
				%>
				
				<script language="javascript">
				alert("<i18n:message key='activate_failed'/>");
				</script>
		<%
			}
}
		request.removeAttribute("result");
	%>
</body>
</html>