<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="java.util.*"%>
<%@ include file="../include/head.jsp"%>


<%
response.setHeader("Pragma","No-cache");
response.setHeader("Cache-Control","no-cache");
response.setDateHeader("Expires", 0);
%>
<body>
<%
	String hwid = request.getParameter("HWID");
	String version = request.getParameter("version");
	if (version == null || version.equals("null"))
	{
		version = "";
	}
%>
<jsp:useBean id="operatorDeal" scope="page"
	class="com.intel.tcserver.website.bean.OperatorCtrl">
	<%
	
	AccountCtrl accountDeal  = new AccountCtrl();
	OperatorEntity oper = new OperatorEntity();
	accountDeal.processRequest(request, AccountCtrl.OPERATION_LIST_CONDITION, oper);
	
	DeviceAccountEntity device =accountDeal.queryAccount();

	if (device == null)
	{
		response.sendRedirect("/tdserver/popwin_result.jsp?resultInfo=-61");
	}
	else
	{
		String flag = device.getActivationflag();
		if (flag == null || flag.equals("0"))
		{
			response.sendRedirect("/tdserver/popwin_result.jsp?resultInfo=-61");
		}
		else
		{
			
		  boolean result = operatorDeal.isPwdEmpty(hwid);
		 
		  if (!result)
		  {
			%>
			<script language="JavaScript">
			window.location.href = "student_login.jsp?hwid=<%=hwid%>&version=<%=version%>";
			</script>
			<%
		  }
		  else
		  {
			%>
			<script language="JavaScript">
			window.location.href = "activation.jsp?HWID=<%=hwid%>&version=<%=version%>";
			</script>
			
			<%
		  }
	  }
  }
  %>
</jsp:useBean>
</body>
</html>
