<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>
<%@ include file="../include/head.jsp"%>
<%@ include file="../include/check/checktimeout_s.jsp"%>


<%
response.setHeader("Pragma","No-cache");
response.setHeader("Cache-Control","no-cache");
response.setDateHeader("Expires", 0);
%>
<body>

<%
	OperatorEntity student = (OperatorEntity)session.getAttribute("studentInfo");
	AccountCtrl account = new AccountCtrl();
	account.processRequest(request, 50, student);
	DeviceAccountEntity device = account.queryAccount();

	String pwd = request.getParameter("password");
	String newPwd = request.getParameter("newPassword");
	String HWID = student.getOperatorName();
	String ownerID = request.getParameter("ownerID");
	String ownerBirthday = request.getParameter("ownerBirthday");

	String version = request.getParameter("version");
	if (version == null || version.equals("null"))
	{
		version = "";
	}
%>
<jsp:useBean id="loginDeal" scope="page" class="com.intel.tcserver.website.bean.LoginCtrl">
	<%
	
	 
 	 loginDeal.processRequest(request);
	 
	int result = -1;
    if(pwd != null && !pwd.equals(""))
 	{
		int r = loginDeal.judgeRoleEx(HWID, pwd);

		if(r > 0)
		{
			result = account.updateAccountEx();
		 }

    }
    else 
    {
   		 result = account.updateAccountEx();
	 }
  if (result > 0)
  {
  	%>
	 <script type="text/javascript">
	 	window.alert("<i18n:message key='modify_success'/>");
		window.location.href="student_main.jsp?HWID=<%=HWID%>&version=<%=version%>";
	 </script>
	 <%
  }
  else
  {
    %>
	 <script type="text/javascript">
	 	window.alert("<i18n:message key='modify_fail'/>");
		window.location.href="student_main.jsp?HWID=<%=HWID%>&version=<%=version%>";
	 </script>
	 <%
  }
  %>
</jsp:useBean>
</body>
</html>
