<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%@ include file="../include/check/checktimeout_c.jsp"%>
<%@ include file="../js/function.jsp"%>
<%@ include file="../js/check.jsp"%>
<%@ include file="../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<html>
<head>
<title><i18n:message key="title_tracking"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>
<script language="javascript">
function resetInput()
{
	document.form1.HWID.value="";
	document.form1.startDate.value="<i18n:message key='date_format'/>";
	document.form1.endDate.value="<i18n:message key='date_format'/>";
	document.form1.networkIP.value="";
	document.form1.gatewayIP.value="";
	document.form1.ownerID.value="";
}

function searchOp()
{
	 var parent = window.parent.opener;
	 var HWID = parent.document.getElementsByName('HWID')[0];
	 var startDate = parent.document.getElementsByName('startDate')[0];
	 var endDate = parent.document.getElementsByName('endDate')[0];
	 var networkIP = parent.document.getElementsByName('networkIP')[0];
	 var gatewayIP = parent.document.getElementsByName('gatewayIP')[0];
	 var ownerID = parent.document.getElementsByName('ownerID')[0];
	 
	 if(HWID)
	 {
	 	HWID.value = document.form1.HWID.value;
	 }
	 if(ownerID)
	 {
	 	ownerID.value = document.form1.ownerID.value;
	 }
	 if(startDate)
	 {
	 	startDate.value = document.form1.startDate.value;
	 }
	 if(endDate)
	 {
	 	endDate.value = document.form1.endDate.value;
	 }
	 if(networkIP)
	 {
	 	networkIP.value = document.form1.networkIP.value;
	 }
	 if(gatewayIP)
	 {
	 	gatewayIP.value = document.form1.gatewayIP.value;
	 }
	 parent.document.formsearch.submit();
	 window.close();
}
</script>

<body onLoad="document.form1.HWID.focus();">
<center>
<br>
<br>
<form name="form1" action=# method="post">
<table width="650" cellpadding="0" cellspacing="0" bordercolorlight="#46599C" bordercolordark="#ffffff" border="1">
<tr height="30">
<td bgcolor="#AEB9E7" align="center" valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="advance_title"/></font></td>

</tr>
<tr>
<td valign="middle">
<table width="100%" border="1" bgcolor="#FFFFFF" cellpadding="0" cellspacing="0" bordercolorlight="#46599C" bordercolordark="#ffffff">
<tr>
	<td align="left" valign="middle" width="40%"><font style="font-weight:bold">&nbsp;&nbsp;<i18n:message key="account_hwid"/><i18n:message key="query_colon"/></font></td>
	<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<input type="text" id="HWID" name="HWID" style="width:300" maxlength="12"/></td>
</tr>
<tr>
	<td align="left" valign="middle"><font style="font-weight:bold">&nbsp;&nbsp;<i18n:message key="account_name"/><i18n:message key="query_colon"/></font></td>
	<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<input type="text" id="ownerID" name="ownerID" style="width:300" maxlength="30"/></td>
</tr>
<tr>
	<td align="left" valign="middle"><font style="font-weight:bold">&nbsp;&nbsp;<i18n:message key="tracking_ip"/><i18n:message key="query_colon"/></font></td>
	<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<input type="text" id="networkIP" name="networkIP" style="width:300" maxlength="50"/></td>
</tr>
<tr>
	<td align="left" valign="middle"><font style="font-weight:bold">&nbsp;&nbsp;<i18n:message key="tracking_gateway"/><i18n:message key="query_colon"/></font></td>
	<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<input type="text" id="gatewayIP" name="gatewayIP" style="width:300" maxlength="50"/></td>
</tr>
<tr height="70">
	<td align="left" valign="middle">
	<table height="100%" border="0">
	<tr height="45%"><td valign="bottom">
	&nbsp;<font style="font-weight:bold"><i18n:message key="tracking_date"/><i18n:message key="query_colon"/></font>
	</td></tr>
	<tr><td>&nbsp;</td></tr></table>
	</td>
	<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<input style="width:160" id=startDate name=startDate maxlength="10" value="<i18n:message key='date_format'/>" onFocus="this.select()">
			
			<img onClick="popUpCalendar( this, startDate, 'dd-mm-yyyy', -1, -1);"
				height=19 src="/tdserver/images/time.jpg" width=20 style="vertical-align:middle"> &nbsp;<i18n:message key="account_to"/><br />
				&nbsp;&nbsp;&nbsp;<input style="width:160" id=endDate name=endDate maxlength="10" value="<i18n:message key='date_format'/>"  onFocus="this.select()">
			
			<img onClick="popUpCalendar( this, endDate, 'dd-mm-yyyy', -1, -1);"
				height=19 src="/tdserver/images/time.jpg" width=20 style="vertical-align:middle">
				</td>
</tr>

</table>
</td>

</tr>
<tr height="30">
<td align="center" bgcolor="#E1E5FE" valign="middle">
<input name="Submit" type="button" class="bt1"  onClick="if(checkpcadquery(form1)){searchOp();}" value="<i18n:message key='bt_search'/>"  alt="<i18n:message key='bt_search'/>" border=0 >&nbsp;&nbsp;<input name="Reset" type="button" class="bt1"  onClick="resetInput();" value="<i18n:message key='bt_reset'/>" alt="<i18n:message key='bt_reset'/>" border=0 >&nbsp;&nbsp;
<input name="Cancel" type="button" class="bt1" onClick="javascript:self.close()" value="<i18n:message key='button_cancel'/>" alt="<i18n:message key='button_cancel'/>" border=0 >
</td>
</tr>
</table>
</form>
</center>
<script language="javascript" type="text/javascript">
function checkpcadquery(frm)
{
  	var illegal;
  	frm.HWID.value = trim(frm.HWID.value);
  	if(frm.HWID.value != "")
  	{
				illegal = checkMAC(frm.HWID.value);
				//alert("checkpcquery:"+frm.HWID.value);
				if (!illegal)
				{
				    return false;
				}
    }
    
   
   
    frm.ownerID.value = trim(frm.ownerID.value);
        if(frm.ownerID.value != "" && frm.ownerID.value != null)
		    {
		    	illegal = checkpercent("Student ID", frm.ownerID.value);
		    	if(!illegal)
		    	{
		    		return false;
		    	}
		    }
		
		
		frm.startDate.value = trim(frm.startDate.value);
        if (frm.startDate.value != "")
        {        
        	illegal = checkDate(frm.startDate.value);  
	        if (illegal != true)
	        {
	        	return illegal;
	        }    
        }
       frm.endDate.value = trim(frm.endDate.value);
        if (frm.endDate.value != "")
        {
        	illegal = checkDate(frm.endDate.value);
	        if (illegal != true)
	        {
	        	return illegal;
	        }
        }           
        //check start date early than end date
       if(frm.startDate.value != "<i18n:message key='date_format'/>" && frm.endDate.value !="<i18n:message key='date_format'/>")
		{
			illegal = checkStartBeforeEnd(frm.startDate.value,frm.endDate.value);   
			if(illegal != true)
			{
				return illegal;
			}    
		}         
        return true;
}
</script>
</body>
</html>
