﻿<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%@ include file="../include/check/checktimeout_c.jsp"%>
<%@ include file="../include/comment_len.jsp"%>
<%@ include file="../js/check.jsp"%>
<%@ include file="../js/function.jsp"%>
<%@ include file="../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.entity.*"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="java.util.*"%>
<%@ page import="java.sql.Timestamp"%>

<html>
<head>
<title><i18n:message key="nvbar_device"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>
<script language="javascript">
function keyDown(e){
  if(event.keyCode==122){
	  event.keyCode=0;
	  return false;
	}
}
document.onkeydown = keyDown;
</script>


<body bgcolor="#ffffff" topmargin=0 leftmargin=0
	onload=document.form1.ownerID.focus()>

<%
	String name = ((OperatorEntity)(session.getAttribute("sessionInfo"))).getOperatorName();
%>
<br>
<br>
<br>
<br>
<center>
<table border="1" cellpadding="0" cellspacing="0" width="650" bordercolorlight="#46599C" bordercolordark="#ffffff">
 <tr>
    <th height="30" colspan=2 valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="edit_account_th"/></font></th>
 </tr>
<form name="form1" action="modify_pc_deal.jsp"
		method="post" onSubmit="return checkpcform(form1);"><jsp:useBean
		id="accountDeal" scope="page"
		class="com.intel.tcserver.website.bean.AccountCtrl">
		<% accountDeal.processRequest(request,accountDeal.OPERATION_UPDATE_ACCOUNT, session.getAttribute("sessionInfo"));
		   DeviceAccountEntity accountEntity = new DeviceAccountEntity();
		   if(accountDeal.queryAccount() == null)
		   {
		   		int result = -57;
			   %>
				<jsp:forward page="../popwin_result.jsp">
					<jsp:param name="resultInfo"
						value="<%=result%>" />
				</jsp:forward>
				<%
		   }
		   accountEntity = accountDeal.queryAccount();
		   
		   //reverse dateformat 
		   String expDateShow = "";
		   String tempStr = accountEntity.getExpirationDate().toString();
		   if(tempStr.indexOf(" ") >= 0)
		   {
		        tempStr = tempStr.substring(0,tempStr.indexOf(" "));
		   }
		   String[] temp = tempStr.split("-");
		   if(temp.length == 3)
		   {
		        expDateShow = temp[2]+"-"+temp[1]+"-"+temp[0];
		   }
		   
		   //reverse dateformat
		   String ownerBirthday = "";
		   tempStr = accountEntity.getOwnerBirthday().toString();
		   if(tempStr.indexOf(" ") >= 0)
		   {
		        tempStr = tempStr.substring(0,tempStr.indexOf(" "));
		   }
		   temp = tempStr.split("-");
		   if(temp.length == 3)
		   {
		       ownerBirthday = temp[2]+"-"+temp[1]+"-"+temp[0];
		   }
		String HWID = accountEntity.getDeviceHWID();
%>
  <TR bgcolor="#E3E6F7">
    <TD width="40%" align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="account_hwid"/><i18n:message key="query_colon"/></b></TD>
    <TD width="60%" align="left" valign="middle">&nbsp;&nbsp;&nbsp;<INPUT  class=noborder name="HWID"
      style="COLOR: #000000; background-color:#E3E6F7; border-color:#E3E6F7" readOnly value="<%=HWID%>">
      </TD>
   </TR>
     
      		
   <tr bgcolor="#E3E6F7">
   <td align="left" width="40%" valign="middle">&nbsp;&nbsp;<b><i18n:message key="account_boot_time"/><i18n:message key="query_colon"/></b></td>
   <td align="left" valign="middle">
   <%
Timestamp lastConn = accountEntity.getAgentConnectTime();
boolean earlierConnect = false;
if (lastConn == null)
{
	earlierConnect = false;
}
else
{
	String lastConnectTime = accountEntity.getAgentConnectTime().toString();
	earlierConnect = accountDeal.isEarlierThanToday(lastConnectTime);
}
String earlyInfoStyle = "";
if (earlierConnect)
{
	earlyInfoStyle = "font-style:italic;";
}

String curBootCounter = "";
curBootCounter = accountEntity.getcurBootCounters();
				if(curBootCounter == null || curBootCounter.equals(""))
				{
				%>
				&nbsp;&nbsp;&nbsp;<INPUT  style="COLOR: #000000; background-color:#E3E6F7; border-color:#E3E6F7; <%=earlyInfoStyle%>" readOnly value="0" name=bootCounter>
				<%
				}
        else
				{
				%>
				&nbsp;&nbsp;&nbsp;<INPUT  style="COLOR: #000000; background-color:#E3E6F7; border-color:#E3E6F7; <%=earlyInfoStyle%>" readOnly value="<%=curBootCounter%>" name=bootCounter>
				<%
				}
				%>
				</td>

               </tr>
               <tr bgcolor="#E3E6F7">
               	
          <TD align="left" width="40%" valign="middle">&nbsp;&nbsp;<b><i18n:message key="account_expdate"/><i18n:message key="query_colon"/></b></TD>
    <TD align=left valign="middle">
     <%
				if(accountEntity.getExpirationDays() == null || (accountEntity.getExpirationDays()).equals(""))
				{
				%>
	&nbsp;&nbsp;&nbsp;<INPUT  style="COLOR: #000000; background-color:#E3E6F7; border-color:#E3E6F7; <%=earlyInfoStyle%>" readOnly value="0" name=expirationDays>
				<%
				}
        else
				{
				
				
				%>
	&nbsp;&nbsp;&nbsp;<INPUT  style="COLOR: #000000; background-color:#E3E6F7; border-color:#E3E6F7; <%=earlyInfoStyle%>" readOnly value="<%=expDateShow%>" name=expirationDays>
				<%
				}
				%></TD>

              </tr>
<%
String agentSN = accountEntity.getAgentSerialNumber();
if (null == agentSN)
{
	agentSN = "";
}
else
{
	agentSN = agentSN.trim();
}
%>
              <tr bgcolor="#E3E6F7">
		<TD align="left" width="40%" valign="middle">&nbsp;&nbsp;<b><i18n:message key="agent_sn"/><i18n:message key="query_colon"/></td><td>&nbsp;&nbsp;&nbsp;<INPUT  style="COLOR: #000000; background-color:#E3E6F7; border-color:#E3E6F7;" readOnly value="<%=agentSN%>"></b></td>
		</tr>
      <TR>
			<td align="left" valign="middle">&nbsp;&nbsp;<b><i18n:message key="account_name"/><i18n:message key="query_colon"/></b></td>
			<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<input  name=ownerID maxlength="30"
				value="<%=accountEntity.getOwnerID() %>" style="width:300"></td>
		</tr>
      
	   <TR>
                 <TD align="left" width="40%" valign="middle">&nbsp;&nbsp;<b><i18n:message key="account_stuid"/><i18n:message key="query_colon"/></b></TD>
                <td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<input  name=ownerName maxlength="30"
				value="<%=accountEntity.getOwnerName() %>" style="width:300"></td>
                 </TD>
               </TR>
  <TR>
    <TD align="left" width="40%" valign="middle">&nbsp;&nbsp;<b><i18n:message key="account_stolen"/><i18n:message key="query_colon"/></b></TD>
     <TD align=left >&nbsp;&nbsp;&nbsp;<%
      if((accountEntity.getStolenFlag() != null) && (accountEntity.getStolenFlag().compareToIgnoreCase("1")==0))
      {
    	  %><INPUT  class="radio" name="stolenFlag" value=0 type=radio>
		     <i18n:message key="account_no"/>&nbsp;&nbsp;
			 <INPUT  class="radio" name="stolenFlag" value=1 type=radio CHECKED>
			 <i18n:message key="account_yes"/><%
      }
      else
      {  
      %><INPUT class="radio" name="stolenFlag" value=0 type=radio CHECKED>
	     <i18n:message key="account_no"/>&nbsp;&nbsp;
		 <INPUT class="radio"  name="stolenFlag" value=1 type=radio>
		 <i18n:message key="account_yes"/><%
       }
     %>
    </TD>
	
  </TR>
<!---brithday --->
<TR>
                 <TD align="left" width="40%" valign="middle">&nbsp;&nbsp;<b><i18n:message key="account_birth"/><i18n:message key="query_colon"/></b></TD>
                <td>&nbsp;&nbsp;&nbsp;<%
				if (ownerBirthday !=null && !ownerBirthday.equals(""))
				{
				%><input id="ownerBirthday" name="ownerBirthday" maxlength="10"
				value="<%=ownerBirthday%>" style="width:160" onFocus="this.select();">
				<%
				}
				else
				{
				%><input id="ownerBirthday" name="ownerBirthday" maxlength="10"
				value="<i18n:message key='date_format'/>" style="width:160" onFocus="this.select();">
				<%
				}
				%>
				
         <img align="baseline" style="vertical-align:middle; margin-bottom:3px"  name = "clock" src="../images/time.jpg" width="20" height="19" onClick="popUpCalendar( this, ownerBirthday, 'dd-mm-yyyy', -1, -1);"> *
				</td>
</tr>
<!---Pwd-->
<tr>
      <td align="left" width="40%" valign="middle">
	  	<b>&nbsp;&nbsp;<i18n:message key="oper_pwd"/><i18n:message key="query_colon"/></b></td>
      <td >
	 	&nbsp;&nbsp;&nbsp;<input type="button" class="bt2" value="<i18n:message key='bt_change'/>" alt="<i18n:message key='bt_change'/>" onClick="openWindow('modify_psw_stu.jsp?HWID=<%=HWID%>','500','750');"/></td>
   </tr>
<!------->
  <TR>
    <td align="left" valign="top">&nbsp;&nbsp;<b><i18n:message key="account_comment"/><i18n:message key="query_colon"/></b></td>
			<td align="left">
			<%
			if (accountEntity.getDeviceComment() == null || accountEntity.getDeviceComment().equals("[object]"))
           {
          %>
		  &nbsp;&nbsp;&nbsp;<TEXTAREA name="deviceComment" rows="4" cols="32" style="width:300" onClick="if (this.value.length>commentLen){this.value=this.value.substring(0,commentLen)}"
		   maxlength="<%=commentLen%>" onKeyPress="if (this.value.length>=commentLen){event.returnValue=false}" 
		   onKeyDown="if (this.value.length>commentLen){this.value=this.value.substring(0,commentLen)}"
		   onKeyUp="if (this.value.length>commentLen){this.value=this.value.substring(0,commentLen)}"></TEXTAREA>
			<%
			}
			else
			{
			%>
			&nbsp;&nbsp;&nbsp;<TEXTAREA name="deviceComment" rows="4" cols="32" style="width:300" onClick="if (this.value.length>commentLen){this.value=this.value.substring(0,commentLen)}"
			maxlength="<%=commentLen%>" onKeyPress="if (this.value.length>=commentLen){event.returnValue=false}" 
			onKeyDown="if (this.value.length>commentLen){this.value=this.value.substring(0,commentLen)}"
			onKeyUp="if (this.value.length>commentLen){this.value=this.value.substring(0,commentLen)}"><%=accountEntity.getDeviceComment()%></TEXTAREA>
			<%}%><br>
			&nbsp;&nbsp;&nbsp;<i18n:message key="account_comment_note" /> <%=commentLen%> <i18n:message key="account_characters" /></td>
    </tr>
     <tr height="30">
	 <td colspan="2" align="center" valign="middle" bgcolor="#E1E5FE">
	 <input type="button" class="bt1" value="<i18n:message key='bt_save'/>"
			onclick="if (checkmodifydevice(form1)){document.form1.submit()};"
			alt="<i18n:message key='bt_save'/>" border=0>
&nbsp;&nbsp;<input type="button" class="bt1" id=track
onclick="javascript:window.close();" value="<i18n:message key='button_cancel'/>" height=19 alt="<i18n:message key='button_cancel'/>"  border=0 ></td>
	 </tr>
            </form>
          </table>
		  
</center>
</jsp:useBean>
</body>
</html>
