<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
			 

<%@ include file="../include/check/checktimeout_c.jsp" %>
<%@ include file="../include/show_info.jsp"%>
<%@ include file="../js/check.jsp"%>
<%@ include file="../js/function.jsp"%>
<%@ include file="../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.entity.*"%>
<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>
<%@ page import="com.intel.tcserver.entity.DeviceCommonEntity"%>
<%@ page import="java.util.*"%>

<html>
<head>
<title><i18n:message key="nvbar_provision"/></title>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
<style type="text/css">

</style>
<script language="javascript">
function keyDown(e){
  if(event.keyCode==122){
	  event.keyCode=0;
	  return false;
	}
}
document.onkeydown = keyDown;
</script>

<script type="text/javascript">
	function setKey()
	{
		if(document.form1.checkFlag.checked)
		{
			document.form1.specialFlag.value = 2;
		}
		else
		{
			document.form1.specialFlag.value = 1;
		}
		document.form1.submit();
	}
</script>
</head>


<body  topmargin=0 leftmargin=0>
<%
		String name = ((OperatorEntity)(session.getAttribute("sessionInfo"))).getOperatorName();
%>
<br>
<br>
<br>
<br>
<br>
<center>
  <table border="1" cellpadding="0" cellspacing="0" width="650" bordercolorlight="#46599C" bordercolordark="#ffffff" bgcolor="#FFFFFF">
    <tr height="30"> <!--Title-->
      <th bgcolor="#AEB9E7" align="center" valign="middle" colspan="2"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="one_time_boot"/></font></th>
    </tr>
    <form  name="form1" action="set_special_cert.jsp" method="post" onSubmit="return checksetformBC(form1);" >
      <input type="hidden" id="HWID" name="HWID" value="<%=request.getParameter("HWID")%>">
      <jsp:useBean id="accountDeal" scope="page"  class="com.intel.tcserver.website.bean.AccountCtrl">
      <%
	 accountDeal.processRequest(request, accountDeal.OPERATION_QUERY_ACCOUNT,session.getAttribute("sessionInfo"));
	 //disabled "Remove" button if Pending or Permanent cert exist.
	 boolean bNormal = accountDeal.checkIfAllNormal();

	DeviceAccountEntity deviceEntity = new DeviceAccountEntity();
	deviceEntity = accountDeal.queryAccount();
	String oldExpirDate = "";
	String oldTimes = "";
	String comTimes = "";
	String type = "";
	String HWID = request.getParameter("HWID");
	String curBootCounters = "";
	DeviceCommonEntity comEntity = new DeviceCommonEntity();
	comEntity = accountDeal.getCertComInfo();
	comTimes = comEntity.getBootTimes();
	  if(deviceEntity != null)
	  {
	  	String oldSpecial = deviceEntity.getSpecialFlag();
		
		  String oldDate = deviceEntity.getExpirationDate().toString();
		  if(oldDate.indexOf(" ") > 0)
		  {
			  oldDate = oldDate.substring(0,oldDate.indexOf(" "));
		  }
		  String[] tempStr = oldDate.split("-");
		  if(tempStr.length == 3)
		  {
			  oldExpirDate = tempStr[2] + "-" + tempStr[1]+ "-" + tempStr[0];
		  }
		  
		  if(oldSpecial.equals("2"))
		  {
			oldTimes = comEntity.getBootTimes();
		  }
		  else
		  {
		  	oldTimes = deviceEntity.getBootTimes();
		  }
		  type = deviceEntity.getSpecialFlag();
		curBootCounters = deviceEntity.getcurBootCounters();
		if(curBootCounters == null || curBootCounters.equals(""))
		  {
		  	curBootCounters = "";
		  }
	  }
	
	 if(oldTimes == null || oldTimes.equals(""))
	  {
	  	oldTimes = "100";
	  }
	
	if(request.getParameter("bootCounters") != null)
	{
	  accountDeal.processRequest(request, accountDeal.OPERATION_SET_CERT,session.getAttribute("sessionInfo"));
	  int result = accountDeal.setCertificate();
	  if (result <= 0)
	  {
		String erroInfo = ErrorConstants.getInstance().getError(result);//"Database Error; Error number is: " + result;
		%>
      <script language="JavaScript">
		parent.window.location.href = "../popwin_result.jsp?resultInfo=<%=result%>";
		</script>
      <%
	  }
	  else
	  {
		%>
      <script language="JavaScript">
  window.location.href = "set_special_success.jsp";
		</script>
      <%
	  }
	}
	%>
      
      
      <tr> <!--First Line-->
	  	<td align="left" width="40%" valign="middle">&nbsp;&nbsp;<b><i18n:message key="account_expdate"/><i18n:message key="query_colon"/></b>
		</td>
        <td align="left" width="60%" valign="middle"><table><tr><td><div style="float:left; height:25px; vertical-align:middle;">&nbsp;&nbsp;
		<%
		if(type.equals("0") && (oldExpirDate == null || oldExpirDate == "" || oldExpirDate == "null"))
		{
		%>
		<input id=exDate name="expirationDate" maxlength="10" style="width:160" value="<i18n:message key='date_format'/>" onKeyDown="changetospe(form1)" onClick="changetospe(form1)"  oninput="setBootCounter()" onpropertychange="setBootCounter()"> 
		<%
		}
		else if(oldExpirDate != null && oldExpirDate != "" && oldExpirDate != "null" 
	&& (type.equals("1") || type.equals("0")))
		{
		%>
            <input id=exDate name="expirationDate" maxlength="10" style="width:160" value="<%=oldExpirDate%>"  oninput="setBootCounter()" onpropertychange="setBootCounter()"> 
            <%
		}
		else if(oldExpirDate != null && oldExpirDate != "" && oldExpirDate != "null" && type.equals("2"))
		{
		%>
            <input id=exDate name="expirationDate" maxlength="10" style="width:160" value="<%=oldExpirDate%>" readonly  oninput="setBootCounter()" onpropertychange="setBootCounter()">
            <% 
		}
		else
		{
		%>
            <input id=exDate name="expirationDate" maxlength="10" style="width:160" onKeyDown="changetospe(form1)" onClick="changetospe(form1)" value="<i18n:message key='date_format'/>" oninput="setBootCounter()" onpropertychange="setBootCounter()">
            <%
		}%>
           </div>
            <%
		if(type.equals("2"))
		{
		%>
            <div style="visibility:hidden; float:left; width:100;margin-top:3px; height:22px; vertical-align:middle" id="ico" >&nbsp;<img style="vertical-align:middle" align="baseline"  name = "clock" id="clock" src="/tdserver/images/time.jpg" height="19" width="20" onClick="popUpCalendar( this, exDate, 'dd-mm-yyyy', -1, -1);"> *</div>
            <%
		}
		else
		{
		%>
             <div style="float:left; width:100; margin-top:3px; height:22px; vertical-align:middle;" id="ico">&nbsp;<img style="vertical-align:middle;" align="baseline"  name = "clock" id="clock" src="/tdserver/images/time.jpg" width="20" height="19" 
        onClick="popUpCalendar( this, exDate, 'dd-mm-yyyy', -1, -1);"> *</div>
            <%}%>
            </td></tr></table>
            <table>
				<tr>	
            <%
				if(type.equals("2"))
				{
				%>
            <td>&nbsp;&nbsp;<input class="radio" id="checkFlag" type="checkbox" name="checkFlag"  checked onClick="selectSpecerPermanent(form1)">
			<input type="hidden"  name="specialFlag" value="2" id="specialFlag"></td>
            <%
				}
				else if(type.equals("1"))
				{
				%>
            <td>&nbsp;&nbsp;<input class="radio" id="checkFlag" type="checkbox" name="checkFlag" onClick="selectSpecerPermanent(form1)">
			<input type="hidden" name="specialFlag" value="1" id="specialFlag"></td>
            <%
				}
				else if(type.equals("0"))
				{
				%>
            <td>&nbsp;&nbsp;<input class="radio" id="checkFlag" type="checkbox" name="checkFlag" onClick="selectSpecerPermanent(form1)">
			<input type="hidden" name="specialFlag" value="0" id="specialFlag"></td>
            <%
				}
				else
				{
				%>
				<td>&nbsp;&nbsp;<input class="radio" id="checkFlag" type="checkbox" name="checkFlag"  onClick="selectSpecerPermanent(form1)">
			<input type="hidden" name="specialFlag" value="" id="specialFlag"></td>
				<%
				}
				%>
            <td valign="middle"><i18n:message key="account_perm"/></td>
			</tr>
			</table>
			</td>
      </tr>
<%
if(!type.equals("2"))
{
%>
<tr id="certDays" style="display:table-row; ">
<%}else{%>
<tr id="certDays" style="display:none; ">
<%}%>
<td style="padding-left:8px"><font style="font-weight:bold; font-family:arial,self"><i18n:message key="account_boot_time"/></font>
</td>
<td style="padding-left:15px"><input type="hidden" id="comTimes" name="comTimes" value="<%=comTimes%>">
<input id="bootCounters" name="bootCounters" value="<%=curBootCounters%>" maxlength="6"/>
<td>
</tr>
      <tr height="30">
        <td colspan = 2 align="center" bgcolor="#E1E5FE" valign="middle"><input type="hidden" id="remove" name="remove" value="no" />
	<%String remove = "no";%>
		<input type="button" class="bt1" onClick="if(checksetformBC(form1)){setKey()};" alt="<i18n:message key='bt_save'/>" value="<i18n:message key='bt_save'/>" border=0 >&nbsp;&nbsp;<input type="button" class="bt1" onClick=speCerReset(form1) alt="<i18n:message key='bt_reset'/>" value="<i18n:message key='bt_reset'/>" border=0>&nbsp;&nbsp;<%if(bNormal == true){%><input type="button" class="bt1" alt="<i18n:message key='bt_remove'/>" value="<i18n:message key='bt_remove'/>" border=0 style="color:#FFFFFF;" disabled><%}else{%><input type="button" class="bt1" alt="<i18n:message key='bt_remove'/>" onClick="toRemoveRequest()" value="<i18n:message key='bt_remove'/>" border=0><%}%>      
        </tr>  
    </form>
  </table>
</center>
</jsp:useBean>
</body>
<script>
function speCerReset(frm)
{
var ico = document.getElementById("ico");
var o = document.getElementById("certDays");
   frm.reset();
   if(frm.checkFlag.checked == false)
	{
	// alert("false");
		//frm.clock.style.width = "20";
		ico.style.visibility = "visible";
		o.style.display= "";
		frm.specialFlag.value = "1";
		frm.expirationDate.readOnly=0;
	}
	else
	{
	// alert("true");
		ico.style.visibility = "hidden";
		o.style.display= "none";
		frm.expirationDate.readOnly=1;
		frm.specialFlag.value = "2";
		frm.bootCounters.value = "999999";
	}
}

//set special flag to 1
function changetospe(frm)
{

	if(frm.checkFlag.checked == 0)//checkbox unchecked
	{
		frm.specialFlag.value = "1";
		return true;
	}
	return true;
}

function toRemoveRequest()
{
	var HWID = document.getElementById("HWID").value;
	window.location.href = "remove_request.jsp?HWID=" + document.getElementById("HWID").value + "&remove=no";
}

</script>
</html>
