<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>


<%@ include file="../../include/check/checktimeout_c.jsp"%>
<%@ include file="../../js/function.jsp"%>
<%@ include file="../../js/check.jsp"%>
<%@ include file="../../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<html>
<head>
<title><i18n:message key="nvbar_log"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>
<script language="javascript">
function resetInput()
{
	document.form1.operationType.value="";
	document.form1.operatorID.value="";
	document.form1.startDate.value="<i18n:message key='date_format'/>";
	document.form1.endDate.value="<i18n:message key='date_format'/>";
	document.form1.operationResult.value="";
}

function searchOp()
{
	 var parent = window.parent.opener;
	 var operationType = parent.document.getElementById('operationType');
	 var operatorID = parent.document.getElementById('operatorID');
	 var startDate = parent.document.getElementById('startDate');
	 var endDate = parent.document.getElementById('endDate');
	 var operationResult = parent.document.getElementById('operationResult');
	 
	 if(operationType)
	 {
	 	operationType.value = document.form1.operationType.value;
	 }
	 if(operatorID)
	 {
	 	operatorID.value = document.form1.operatorID.value;
	 }if(startDate)
	 {
	 	startDate.value = document.form1.startDate.value;
	 }if(endDate)
	 {
	 	endDate.value = document.form1.endDate.value;
	 }if(operationResult)
	 {
	 	operationResult.value = document.form1.operationResult.value;
	 }
	 
	 parent.document.formsearch.submit();
	 window.close();
}
</script>
<body>
<br>
<br><br>
<br>
<br>
<br>
<center>

<form name="form1" action=# method="post">
<table width="650" cellpadding="0" cellspacing="0" bordercolorlight="#46599C" bordercolordark="#ffffff" border="1">
<tr height="30">
<td bgcolor="#AEB9E7" align="center" valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="advance_title"/></font></td>

</tr>
<tr>
<td valign="middle">
<table width="100%" border="1" bgcolor="#FFFFFF" cellpadding="0" cellspacing="0" bordercolorlight="#46599C" bordercolordark="#ffffff">
<tr>
	<td align="left" valign="middle" width="40%"><font style="font-weight:bold">&nbsp;&nbsp;<i18n:message key="log_type"/><i18n:message key="query_colon"/></font></td>
	<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<SELECT style="width:160;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationType">
					  <OPTION value="" selected>&nbsp;</OPTION>
					   <OPTION value="Create"><i18n:message key='log_type_create'/></OPTION>
					  <OPTION value="Edit"><i18n:message key='log_type_edit'/></OPTION>
					  <OPTION value="Delete"><i18n:message key='log_type_del'/></OPTION>
					  <OPTION value="Download"><i18n:message key='log_type_download'/></OPTION>
					  <OPTION value="Login"><i18n:message key='log_type_login'/></OPTION>
					  <OPTION value="Logout"><i18n:message key='log_type_logout'/></OPTION>
					  <OPTION value="Import"><i18n:message key='log_type_import'/></OPTION>
					  <OPTION value="Export"><i18n:message key='log_type_export'/></OPTION>
					  <OPTION value="Backup"><i18n:message key='backup_choice'/></OPTION>
					  <OPTION value="Restore"><i18n:message key='restore_choice'/></OPTION>
					  <OPTION value="Transfer"><i18n:message key='message_type_transfer'/></OPTION>
				</SELECT></td>
</tr>
<tr>
	<td align="left" valign="middle"><font style="font-weight:bold">&nbsp;&nbsp;<i18n:message key="oper_id"/><i18n:message key="query_colon"/></font></td>
	<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<INPUT maxLength=30 style="width:300" name="operatorID" value=""></td>
</tr>
<tr>
	<td align="left" valign="middle" width="40%"><font style="font-weight:bold">&nbsp;&nbsp;<i18n:message key="log_result"/><i18n:message key="query_colon"/></font></td>
	<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<SELECT style="width:160;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="operationResult">
					  <OPTION value="" selected>&nbsp;</OPTION>
					   <OPTION value="Success"><i18n:message key='log_result_succ'/></OPTION>
					  <OPTION value="Failure"><i18n:message key='log_result_fail'/></OPTION>
				</SELECT></td>
</tr>

<tr  height="70">
	<td align="left" valign="middle">
	<table height="100%" border="0">
	<tr height="45%"><td valign="bottom">
	&nbsp;<font style="font-weight:bold"><i18n:message key="log_datefrom"/><i18n:message key="query_colon"/></font>
	</td></tr>
	<tr><td>&nbsp;</td></tr></table>
	</td>
	<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<input style=" WIDTH: 160" id=startDate name=startDate maxlength="10" value="<i18n:message key='date_format'/>" onFocus="this.select()">
			
			<img onClick="popUpCalendar( this, startDate, 'dd-mm-yyyy', -1, -1);"
				height=19 src="/tdserver/images/time.jpg" width=20 style="vertical-align:middle"> &nbsp;<i18n:message key="account_to"/><br />
				&nbsp;&nbsp;&nbsp;<input style=" WIDTH: 160" id=endDate name=endDate maxlength="10" value="<i18n:message key='date_format'/>"  onFocus="this.select()">
			
			<img onClick="popUpCalendar( this, endDate, 'dd-mm-yyyy', -1, -1);"
				height=19 src="/tdserver/images/time.jpg" width=20 style="vertical-align:middle">
				</td>
</tr>
</table>
</td>

</tr>
<tr height="30">
<td align="center" bgcolor="#E1E5FE" valign="middle">
<input name="Search" type="button" class="bt1"  onClick="if(checkpcadquery(form1)){searchOp();}" value="<i18n:message key='bt_search'/>" alt="<i18n:message key='bt_search'/>" border=0 >&nbsp;&nbsp;
<input name="Reset" type="button" class="bt1" onClick="resetInput();" value="<i18n:message key='bt_reset'/>" alt="<i18n:message key='bt_reset'/>" border=0 >&nbsp;&nbsp;
<input name="Cancel" type="button" class="bt1"  onClick="javascript:self.close()" value="<i18n:message key='button_cancel'/>" alt="<i18n:message key='button_cancel'/>" border=0 >
</td>
</tr>
</table>
</form>
</center>

<script language="javascript" type="text/javascript">
function checkpcadquery(frm)
{
  	var illegal;
  	
	frm.operatorID.value = trim(frm.operatorID.value);
	illegal = checkillegal("Operator ID", frm.operatorID.value);
	if (illegal != true)
	{
	    return false;
	}
		frm.startDate.value = trim(frm.startDate.value);
        if (frm.startDate.value != "")
        {        
        	illegal = checkDate(frm.startDate.value);  
	        if (illegal != true)
	        {
	        	return illegal;
	        }    
        }
       frm.endDate.value = trim(frm.endDate.value);
        if (frm.endDate.value != "")
        {
        	illegal = checkDate(frm.endDate.value);
	        if (illegal != true)
	        {
	        	return illegal;
	        }
        }           
        //check start date early than end date
       if(frm.startDate.value != "<i18n:message key='date_format'/>" && frm.endDate.value !="<i18n:message key='date_format'/>")
		{
			illegal = checkStartBeforeEnd(frm.startDate.value,frm.endDate.value);   
			if(illegal != true)
			{
				return illegal;
			}    
		}            
        return true;
}
</script>
</body>
</html>
