<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%@ include file="../../include/check/checktimeout_c.jsp"%>
<%@ include file="../../js/function.jsp"%>
<%@ include file="../../js/check.jsp"%>
<%@ include file="../../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<html>
<head>
<title><i18n:message key="nvbar_transfer"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>

<script language="javascript">
function keyDown(e){
  if(event.keyCode==122){
	  event.keyCode=0;
	  return false;
	}
}
document.onkeydown = keyDown;
</script>

<script language="javascript">
function resetStuInput()
{
	document.form1.reset();
}

function searchStuOp()
{
	 var parent = window.parent.opener;
	 var HWID = parent.document.getElementById('HWID');
	 var ownerID = parent.document.getElementById('ownerID');
	var migrateSchoolName = parent.document.getElementById('migrateSchoolName');
	var migrateStatus = parent.document.getElementById('migrateStatus');
	
	 
	 if(HWID)
	 {
	 	HWID.value = document.form1.HWID.value;
	 }
	 if(ownerID)
	 {
	 	ownerID.value = document.form1.ownerID.value;
	 }
	if(migrateSchoolName)
	 {
	 	migrateSchoolName.value = document.form1.migrateSchoolName.value;
	 }
	if(migrateStatus)
	 {
	 	migrateStatus.value = document.form1.migrateStatus.value;
	 }
	 
	 parent.document.formsearch.submit();
	 window.close();
}
</script>
<body onLoad="document.form1.HWID.focus();">
<br/>
<br/>
<br/>
<br/>
<center>
<form name="form1" action=# method="post">
<table width="650" cellpadding="0" cellspacing="0" border="1" bordercolorlight="#46599C" bordercolordark="#ffffff">
<tr height="30">
<td bgcolor="#AEB9E7" align="center" valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="advance_title"/></font></td>

</tr>
<tr>
<td valign="middle">
<table width="100%" border="1" bgcolor="#FFFFFF" cellpadding="0" cellspacing="0" bordercolorlight="#46599C" bordercolordark="#ffffff">
<tr>
	<td align="left" valign="middle" width="40%"><font style="font-weight:bold">&nbsp;&nbsp;<i18n:message key="account_hwid"/><i18n:message key="query_colon"/></font></td>
	<td align="left"  valign="middle">&nbsp;&nbsp;&nbsp;<input type="text" name="HWID" style="width:300" maxLength=12/></td>
</tr>
<tr>
	<td align="left" valign="middle"><font style="font-weight:bold">&nbsp;&nbsp;<i18n:message key="account_name"/><i18n:message key="query_colon"/></font></td>
	<td align="left"  valign="middle">&nbsp;&nbsp;&nbsp;<input type="text" name="ownerID" style="width:300" maxlength="30"/></td>
</tr>
<tr>
	<td align="left" valign="middle"><font style="font-weight:bold">&nbsp;&nbsp;<i18n:message key="migration_destination"/><i18n:message key="query_colon"/></font></td>
	<td align="left" valign="middle">&nbsp;&nbsp;&nbsp;<input type="text" name="migrateSchoolName" style="width:300" maxlength="30"/></td>
</tr>
<tr>
	<td align="left" valign="middle"><font style="font-weight:bold">&nbsp;&nbsp;<i18n:message key="migration_migstatus"/><i18n:message key="query_colon"/></font></td>
	<td align="left" valign="middle">&nbsp;&nbsp;
<SELECT style="width:160;border:1px solid #8A96CA;background:#FFFFFF" size=1 name="migrateStatus">
					  <OPTION value="" selected>&nbsp;</OPTION>
					   <OPTION value="0"><i18n:message key='migrate_status_normal'/></OPTION>
					   <OPTION value="1"><i18n:message key='migrate_status_pending'/></OPTION>
					   <OPTION value="2"><i18n:message key='migrate_status_approved'/></OPTION>
					   <OPTION value="3"><i18n:message key='migrate_status_reject'/></OPTION>
					   <OPTION value="4"><i18n:message key='migrate_status_signed'/></OPTION>
					   <OPTION value="5"><i18n:message key='migrate_status_complete'/></OPTION>
				</SELECT></td>
</tr>

</table>
</td>

</tr>
<tr height="30">
<td align="center" bgcolor="#E1E5FE" valign="middle" >
<input name="Search" type="button" class="bt1" onClick="if(checkadvquery(form1)){searchStuOp()};" value="<i18n:message key='bt_search'/>" alt="<i18n:message key='bt_search'/>" border=0 >&nbsp;&nbsp;<input name="Reset" type="button" class="bt1" onClick="resetStuInput();" value="<i18n:message key='bt_reset'/>" alt="<i18n:message key='bt_reset'/>" border=0 >&nbsp;&nbsp;<input name="Cancel" type="button" class="bt1"  onClick="javascript:self.close()" value="<i18n:message key='button_cancel'/>" alt="<i18n:message key='button_cancel'/>" border=0 >
</td>
</tr>
</table>
</form>
</center>
<script language="javascript" type="text/javascript">
function checkadvquery(frm)
{
  	var illegal;
  	frm.HWID.value = trim(frm.HWID.value);
  	if(frm.HWID.value != "")
  	{
				illegal = checkMAC(frm.HWID.value);
				//alert("checkpcquery:"+frm.HWID.value);
				if (!illegal)
				{
				    return false;
				}
    }
	
    frm.ownerID.value = trim(frm.ownerID.value);
    if(frm.ownerID.value != "")
    {
    	illegal = checkpercent("Student ID", frm.ownerID.value);
    	if(!illegal)
    	{
    		return false;
    	}
    }
    
    frm.migrateSchoolName.value = trim(frm.migrateSchoolName.value);
    if(frm.migrateSchoolName.value != "")
    {
    	illegal = checkpercent("Migrate School", frm.migrateSchoolName.value);
    	if(!illegal)
    	{
    		return false;
    	}
    }
        return true;
}
</script>
</body>
</html>
