<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>

<%@ include file="../../include/head.jsp" %>
<%@ include file="../../include/check/checktimeout.jsp" %>
<%@ include file="../../js/function.jsp" %>
<%@ include file="../../js/check.jsp" %>

<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.tool.MigrateUtil"%>
<%@ page import="com.intel.csserver.dao.xsd.School"%>
<%@ page import = "com.intel.tcserver.website.bean.OperatorCtrl"%>
<%@ page import = "com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import = "com.intel.tcserver.util.constant.DeviceAccountConstants"%>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<%@ page import="java.util.*"%>
<%@ page import="java.sql.Timestamp"%>

<%
	OperatorEntity sessionInfo = (OperatorEntity)session.getAttribute("sessionInfo");
	String adminType = sessionInfo.getOperateType();
%>

<link rel="stylesheet" type="text/css" href="../../css/jquery.autocomplete.css"/>

<script type="text/javascript" src="../../js/jquery.js"></script>
<script type="text/javascript" src="../../js/jquery.autocomplete.js"></script>
<script type="text/javascript" src="../../js/BasePage.js"></script>

<body class="bg" leftMargin="0" topMargin="0" marginheight="0"
	marginwidth="0" onLoad="">
<% int flag = 6;

School[] lit = new School[]{};
try{
	lit = MigrateUtil.getSchoolList("");
	if (lit != null && lit.length > 0)
	{
		session.setAttribute("schoolObj", lit);
	}
}catch(Exception e)
{
	
}
%>
<table width="1000" border="0" cols="3" cellpadding="0" cellspacing="0">
<tr>
<td colspan="3">
<%@ include file="../../top.jsp"%>
	</td>
</tr>
<tr>
	<td align="right" width="217"  valign="top">

		<%@ include file="../../menu.jsp"%>
	</td><!-- end left-->
	<td width="35" valign="top">
		<table width="100%">
			<tr><td>&nbsp;</td></tr>
		</table></td>
<td align="left" width="710" valign="top" >
<script language="javascript">
function submitPage(frm)
{
	frm.pages.value = trim(frm.pages.value);
	frm.submit();
}

function getTransferID(pageName)
{
	var varName = document.getElementById("schoolName").value;
	var varId = document.getElementById("schoolid").value;

	if(varName == null || varName.trim() == "")
	{
		alert("<i18n:message key="migrate_please_select"/>");
		return false;
	}

	if (!(id = getRadioID()))
	{
		return false;
	}
	var id = getRadioID();

document.getElementById("sendHWID").value = id;

	document.all.form_show.submit();

	//location.replace(pageName + "?sendHWID=" +id +"&schoolName="+varName);

	return true;
}


function getRadioID()
{
  var obj=document.getElementsByName("id");
	var flag=0;
	var id="";

     for(i=0;i < obj.length;i++)
     {
			if(obj[i].checked)
			{
				flag=1;
				id = id+","+obj[i].value;

			}
	 	}
	 if(flag!=1)
	 {
           return false;
	 }
  	else
	{
	    return id;
	}

}

function resure(page, username, content)
{
	question = confirm("<i18n:message key='migration_revoke_confirm'/>");
	if (question !="0")
	{
//	alert(page +username);
	location.replace(page +username);
	}

	return true;
}

function checkSNInput(frm)
{
	var schoolSN = document.getElementById("schoolsn");
	if (schoolSN == null || schoolSN.value=="")
	{
		alert("<i18n:message key='check_input_school_sn'/>");
		return false;
	}
	return true;
}
</script>
<table width="100%" border="0"><!--start right table-->
<tr><td>
<!--Search table-->
<table width="690" border="0" cellpadding="1" cellspacing="1" bordercolorlight="#46599C" bordercolordark="#ffffff" class="tb1">

<form name="formsearch" action="migration_studentlist.jsp?tempFlag=1" method="post"
	onsubmit="return checkSNInput(formsearch);">
<TR>
		<TH colSpan=3 align="left">&nbsp;&nbsp;<font style="color:#2B338E; font-weight:bold"><i18n:message key="account_search"/></font></TH>
	</TR>
<tr><td width="45%">&nbsp;&nbsp;<i18n:message key='school_sn'/><i18n:message key='query_colon'/></td></td>
<td width="35%">
<input type="text" id="schoolsn" name="schoolsn" value="" size="35" maxlength="16"/>
<input type="hidden" name="migrateFlag" value="0" />
<input type="hidden" id="isQuery" name="isQuery" value="1"/></td>
<td width="20%">
 <input type="button" class="bt"
            style="CURSOR: hand; width:100px;" value="&nbsp;&nbsp;<i18n:message key='bt_search'/>"
            onclick="if(checkSNInput(formsearch)){document.formsearch.submit()};" 
            alt="<i18n:message key='bt_search'/>"
</td></tr>

</form>
</table></td></tr><!--End of search table-->
<tr><td>&nbsp;</td></tr>
<tr><td>
<table width="690" border="0" cellpadding="1" cellspacing="1" bgcolor="#fffdd6" bordercolordark="#DDE1FE" class="tb1">
	<tr>
		<td rowspan="2" width="30">&nbsp;&nbsp;<img src="../../images/warning3.jpg" border="0"></td>
		<td align="left" valign="middle"><font style=" font-weight:bold;">&nbsp;</font><i18n:message key='migrate_please_select'/></td>
	</tr>
			
</table><br>
<form name="form_show" id="form_show" action="add_mig_request_deal.jsp" method=post >
<table width="690" border="0" cellpadding="1" cellspacing="1" bordercolorlight="#46599C" bordercolordark="#ffffff" class="tb1">
	<tr bgcolor="#FFFFFF">
		<td align="left" style="vertical-align:middle" width="45%"><b><i18n:message key='migrate_input_school'/></b></td>
		<td align="left" valign="middle"  width="55%"><%
String isQuery = request.getParameter("isQuery");
String schoolSn = request.getParameter("schoolsn");
int schoolIDResult = 0;
String schoolNameResult = "";
if (isQuery != null && isQuery.equals("1") && schoolSn != null && !schoolSn.equals(""))
{
	MigrateUtil mig = new MigrateUtil();
	School[] schools = (School[])session.getAttribute("schoolObj");
	if (schools == null || schools.length <= 0)
	{
		schools = MigrateUtil.getSchoolList("");
	}
	if (schools != null || schools.length > 0)
	{
		School school = mig.getSchoolBySN(schools, schoolSn);
		if (school != null)
		{
			schoolNameResult = school.getSchoolname();
			schoolIDResult = school.getSchoolid();

		}
	}
	
}

if (lit != null && lit.length == 1)
{
%><input type="text" id="schoolName" name="schoolName" maxlength="40" size="35" value="<%=lit[0].getSchoolname()%>">
<input type="hidden" id="schoolid" name="schoolid" maxlength="16" value="<%=lit[0].getSchoolid()%>">
<%
}
else if (schoolNameResult != null && !schoolNameResult.equals(""))
{%><input type="text" id="schoolName" name="schoolName" maxlength="40" size="35" value="<%=schoolNameResult%>">
<input type="hidden" id="schoolid" name="schoolid" maxlength="16" value="<%=schoolIDResult%>"><%
}
else
{
%><input type="text" id="schoolName" name="schoolName" maxlength="40" size="35" value="">
<input type="hidden" id="schoolid" name="schoolid" maxlength="16" value="">
<%
}
%>
<script>
		$("#schoolName").autocomplete("getdata.jsp");
	</script>
<input type="hidden" id="sendHWID" name="sendHWID" value="">
</td>
	</tr>
</table>


</td></tr>
<tr><td>

<table border=0 width="690" style=" margin-left:-3px;">
<tr>
<td class="button"><!--<img id="addAdmin" style="cursor:hand" src="images/ButtonAddAdmin.gif" onClick="" alt="Add Admin">
 &nbsp;-->
  <%
		String serverInfo = request.getLocalAddr();
		%> 
 <input type="button" class="bt2" value="<i18n:message key='bt_migrate'/>" style="color:#FFFFFF;"
 id="approve" name="approve" style="CURSOR: hand; width:100px;" onClick="getTransferID('add_mig_request_deal.jsp');" alt="<i18n:message key='bt_migrate'/>" border=0 disabled=1>
 
<input type="hidden" class="bt2" value="" disabled=1 style=""
 id=delete1 style="CURSOR: hand; width:100px;" onClick="" alt="" border=0 > &nbsp; 
 
 
 </td>

 </tr>
</table>
</td></tr>

<tr><td>
	

<div style="width:710; height:400;  overflow-x:hidden;overflow-y:auto; SCROLLBAR-FACE-COLOR: #D0D7F4; margin-left:-3px">
<table>
<tr>
<td>
<div style="width:690; height:255;  overflow-x:hidden;overflow-y:auto; SCROLLBAR-FACE-COLOR: #D0D7F4; margin-left:0px">
<table border="1" cellpadding="0" cellspacing="0" width="690" bordercolorlight="#46599C" bordercolordark="#ffffff" style="table-layout:fixed;word-wrap:break-word">
 
  <TBODY>
      <tr class="head">
          <td  width="11%" align="left" onClick="onSelectAll()" style="cursor:hand;vertical-align:middle"><input class="radio" hidefocus name="all" value="" id="oAll" type="checkbox" style=" margin-left:28px "></td>
          <td  width="18%" align=center><font style="font-weight:bold; font-family:arial,self"><i18n:message key="account_hwid"/></font></td>
          <td  width="16%" align=center><font style="font-weight:bold; font-family:arial,self"><i18n:message key="account_name"/></font></td>
	<td  width="10%" align=center><font style="font-weight:bold; font-family:arial,self"><i18n:message key="account_stuid"/></font></td>
		  <td  width="15%" align=center><font style="font-weight:bold; font-family:arial,self"><i18n:message key="account_expdate"/></font></td>
		<td  width="18%" align=center><font style="font-weight:bold; font-family:arial,self"><i18n:message key="account_boot_time"/></font></td>
		  <td  width="15%" align=center><font style="font-weight:bold; font-family:arial,self"><i18n:message key="provision_status"/></font></td>
          
      </tr><!--last row of table-->
<!---get date from db --->
	<jsp:useBean id="pageDeal" scope="page" class="com.intel.tcserver.website.bean.PageDivider">
<%
       	 int ret=0;
         pageDeal.processRequest(request);
         //submit query condition datas of current page
AccountCtrl accountDeal = new AccountCtrl();
	     accountDeal.processRequest(request, accountDeal.OPERATION_LIST_CONDITION,session.getAttribute("sessionInfo"));

	     //get the values on page, use for next query page
        String HWID = request.getParameter("HWID");
         if (HWID == null)
         {
            HWID = "";
         }
         String ownerID = request.getParameter("ownerID");
         if (ownerID == null)
         {
           ownerID = "";
         }

	 String ownerName = request.getParameter("ownerName");
         if (ownerName == null)
         {
           ownerName = "";
         }
	 String startDate = request.getParameter("startDate");
         if(startDate == null)
         {
      	   startDate = "";
         }
         String endDate = request.getParameter("endDate");
         if(endDate == null)
         {
      	   endDate = "";
         }

	 String stolenFlag = request.getParameter("stolenFlag");
         if (stolenFlag == null)
         {
            stolenFlag = "";
         }
	//Merge Student Management to Device Management
        String startBirthday = request.getParameter("startBirthDate");
         if(startBirthday == null)
         {
      	   startBirthday = "";
         }
         String endBirthday = request.getParameter("endBirthDate");
         if(endBirthday == null)
         {
      	   endBirthday = "";
         }

String tempFlag = request.getParameter("tempFlag");
         //initial the varivalbe related to provided page
         int pageSize = PageConstants.getPageSize();
            
         //int totalPage = pageDeal.getTotalPage();
           DeviceAccountEntity deviceEntity = new DeviceAccountEntity();
         Vector pageInfo = new Vector();

         //get current page
		 String strPages = request.getParameter("pages");
		 int curpages = 1;
	  
		 if (strPages != null && strPages != "")
		 {
			 curpages = Integer.parseInt(strPages);
			 if (curpages < 1)
			 {
				   curpages = 1;
			 }
		 }
	
         //get the records of each page
        pageInfo = accountDeal.eachPageInfo(curpages, pageSize);
            

			
        if (pageInfo == null)
         {
			 %>
				<tr>
					<td colspan="7" align="right"><i18n:message key="page_unexist"/></td>
				</tr>
				<%
				//out.close();
         }
		 else
		 {
			  
		 //get total size of the devices which meet the condition
		 int totalSize = accountDeal.getTotalSize();
		// int totalSize = pageInfo.size();
		
		 if (totalSize == 0)
		 {
			 %>
			 <tr>
			 <td colspan="7" align="right"><br>
			 <i18n:message key="page_norecord"/></td>
			 </tr>
			 <%
				// out.close();
	    }//end if
		else
		{
	
			int result = pageDeal.pageInit(pageSize, totalSize);
		  
			int totalPage =  pageDeal.getTotalPage();
			int vectorSize = pageInfo.size();
		  
			//show all devices that meet the query condition and show on page
		   for (int j = 0; j < vectorSize; j++)
			{
				deviceEntity = (DeviceAccountEntity)(pageInfo.get(j));//get information of a device

				String HWIDShow = deviceEntity.getDeviceHWID();

				String studentName = deviceEntity.getOwnerName();
				if(studentName == null || studentName.trim().equals(""))
				{
					studentName = "&nbsp;";
				}
				studentName = studentName.replaceAll(" ", "&nbsp;");
				String deviceID = deviceEntity.getOwnerID();
				if(deviceID == null || deviceID.trim().equals(""))
				{
					deviceID = "&nbsp;";
				}
				deviceID = deviceID.replaceAll(" ", "&nbsp;");
				String expirationDateShow = "";
				String tempStr = deviceEntity.getExpirationDate().toString();
				if(tempStr.indexOf(" ") >= 0)
				{
					tempStr = tempStr.substring(0,tempStr.indexOf(" "));
				}
				String[] temp = tempStr.split("-");
				if(temp.length == 3)
				{
					expirationDateShow = temp[2]+"-"+temp[1]+"-"+temp[0];
				}
				String bootCounterShow = deviceEntity.getcurBootCounters();
				if(bootCounterShow == null || bootCounterShow.equals(""))
				{
				   bootCounterShow = "0";
				}
				String entitySpecialFlag = deviceEntity.getSpecialFlag();
				String publicKeyFlag = deviceEntity.getPublicKeyFlag();

				//reverse birthday
		     		String birthdayShow = "";
				tempStr = deviceEntity.getOwnerBirthday().toString();
				if(tempStr.indexOf(" ") >= 0)
				{
					tempStr = tempStr.substring(0,tempStr.indexOf(" "));
				}
				temp = tempStr.split("-");
				if(temp.length == 3)
				{
					birthdayShow = temp[2]+"-"+temp[1]+"-"+temp[0];
				}

				String stolenFlagShow = deviceEntity.getStolenFlag();
				boolean bStolen = false;
				if (stolenFlagShow != null && stolenFlagShow.equals("1"))
				{
					bStolen = true;
				}

				String expirDaysShow = deviceEntity.getExpirationDays();
				if(expirDaysShow == null || expirDaysShow.equals(""))
				{
				   expirDaysShow = "0";
				}
Timestamp lastConn = deviceEntity.getAgentConnectTime();
boolean earlierConnect = false;
if (lastConn == null)
{
	earlierConnect = false;
}
else
{
	String lastConnectTime = deviceEntity.getAgentConnectTime().toString();
	earlierConnect = accountDeal.isEarlierThanToday(lastConnectTime);
}
String earliStyle = "";
String lineColor = "black";
if (earlierConnect)
{
	earliStyle = "style='font-style:italic;'";
}
		boolean bExpire = false;
		int iExpDays = 0;
		try{
			iExpDays = Integer.parseInt(expirDaysShow);
		}
		catch(Exception e)
		{
			iExpDays = 0;
		}
if(iExpDays <= 0)
{
	bExpire = true;
}
String fontColor="<font color='#000000'>";
String hyperLinkColor="#000000";
			%><!-- the first column: check box -->
		<tr onMouseOut="this.className='cursor_out'" onMouseOver="this.className='cursor_over'"
		 class="cursor_out">
<td class="result1" style="cursor:hand" align="left" valign="middle" onClick="OnClickEntry(<%=j%>);"><input class="radio" type=checkbox onClick="OnSelectEntry(<%=j%>)" name="id" id="id" value="<%=HWIDShow%>" style=" margin-left:28px ">

<%
if (bStolen)
{%><img src="../../img/stolen.jpg" border="0"><%
//fontColor="<font color='red'>";
lineColor="red";
hyperLinkColor="red";
}
else if (bExpire)
{%><img src="../../img/expired2.jpg" border="0"><%
//fontColor="<font color='#A2955F'>";
lineColor="#A2955F";
hyperLinkColor="#A2955F";
}
else
{%><%
lineColor="black";
//fontColor="<font color='#000000'>";
hyperLinkColor="#000000";
}
%></td>
<!-- the second colum: HWID -->	
<td class="result1" align="center" valign="middle"><font color="<%=lineColor%>"><a href="#" style="text-decoration:underline; color:<%=hyperLinkColor%>" onClick="openWindow('migrate_detail.jsp?HWID=<%=HWIDShow%>', '500',  '750');"><%=HWIDShow%></a></font></td>
<!-- student id -->
<td class="result1" align="center" valign="middle"><font color="<%=lineColor%>"><%=deviceID%></font></td>
<!-- owner name -->
<td class="result1" align="center" valign="middle"><font color="<%=lineColor%>"><%=studentName%></font></td>
<!--expiration date -->
<td class="result1" align="center" valign="middle"><font color="<%=lineColor%>" <%=earliStyle%>><%=expirationDateShow%></font></td>
<!--boot counter -->
<td class="result1" align="center" valign="middle"><font color="<%=lineColor%>" <%=earliStyle%>><%=bootCounterShow%></font></td>
<!--  provision status -->
<td class="result1" align="center" valign="middle"><font color="<%=lineColor%>">
<%
if (entitySpecialFlag != null && entitySpecialFlag.equalsIgnoreCase("1"))
{%><i18n:message key="account_special"/><%
}else if (entitySpecialFlag != null && entitySpecialFlag.equalsIgnoreCase("2"))
{%><i18n:message key="account_perm"/><%
}else if (entitySpecialFlag != null && entitySpecialFlag.equalsIgnoreCase("0"))
{%><i18n:message key="account_common"/><%
}else
{%>&nbsp;<%
}
%></td>
</font></td>
</font></td>
</tr>
        <%}
        %>
</TBODY> </form>
            </table></div>
<form name="form1" action="migration_studentlist.jsp?tempFlag=1" method="post"
	onsubmit="return checkdigital('Page', form1.pages.value);">

<center>
<table class="tb2" cellSpacing="1" cellPadding="0" width="690" align="center"
	 border="0">
	<tr>
	<td align="left" valign="middle">
		&nbsp;&nbsp;<img src="../../img/expired.jpg" style="vertical-align:middle">&nbsp;<font style="vertical-align:middle"><i18n:message key="device_expired"/></font>&nbsp;&nbsp;<img src="../../img/stolen.jpg" style="vertical-align:middle">&nbsp;<font style="vertical-align:middle"><i18n:message key="device_stolen"/></font>&nbsp;&nbsp;
		</td>
		<td align="right" valign="middle">
		<font color="#46599C" style="vertical-align:middle"><i18n:message key="account_total"/>&nbsp;<b><%=totalSize%></b>&nbsp;<%if(totalSize > 1){%><i18n:message key="page_records"/><%}else{%><i18n:message key="page_record"/><%}%></font>&nbsp;&nbsp;
		<%
      //get the present page number.
      int onPage = pageDeal.getOnPage();

      if (totalPage != 1)
      {
        if (onPage != 1)
        {
	          if (onPage != totalPage)
	          {
		            String firstPage = "migration_studentlist.jsp?pages=" + 1 + "&HWID=" + HWID + "&ownerID=" + ownerID +"&ownerName="+ ownerName + "&startDate=" + startDate + "&endDate=" + endDate + "&stolenFlag=" + stolenFlag + "&tempFlag=" + tempFlag + "&startBirthDate=" + startBirthday + "&endBirthDate=" + endBirthday + "&migrateFlag=0"
 + "&schoolsn=" + schoolSn;

		            String prePage = "migration_studentlist.jsp?pages=" + (onPage - 1) + "&HWID=" + HWID + "&ownerID=" + ownerID +"&ownerName="+ ownerName + "&startDate=" + startDate + "&endDate=" + endDate + "&stolenFlag=" + stolenFlag + "&tempFlag=" + tempFlag + "&startBirthDate=" + startBirthday + "&endBirthDate=" + endBirthday + "&migrateFlag=0"+ "&schoolsn=" + schoolSn;

		            String nextPage = "migration_studentlist.jsp?pages=" + (onPage + 1) + "&HWID=" + HWID + "&ownerID=" + ownerID +"&ownerName="+ ownerName + "&startDate=" + startDate + "&endDate=" + endDate + "&stolenFlag=" + stolenFlag + "&tempFlag=" + tempFlag + "&startBirthDate=" + startBirthday + "&endBirthDate=" + endBirthday + "&migrateFlag=0"+ "&schoolsn=" + schoolSn;

		            String lastPage = "migration_studentlist.jsp?pages=" + totalPage + "&HWID=" + HWID + "&ownerID=" + ownerID +"&ownerName="+ ownerName + "&startDate=" + startDate + "&endDate=" + endDate + "&stolenFlag=" + stolenFlag + "&tempFlag=" + tempFlag + "&startBirthDate=" + startBirthday + "&endBirthDate=" + endBirthday + "&migrateFlag=0"+ "&schoolsn=" + schoolSn;

		            %><a href="<%=firstPage%>" style="text-decoration:underline"><font color="#4B4EB3"><b><i18n:message key="page_first_signal"/></b></font></a>&nbsp;&nbsp;<a href="<%=prePage%>" style="text-decoration:underline"><font color="#4B4EB3"><b><i18n:message key="page_pre_signal"/></b></font></a>&nbsp;&nbsp;<a href="<%=nextPage%>" style="text-decoration:underline"><font color="#4B4EB3"><b><i18n:message key="page_next_signal"/></b></font></a>&nbsp;&nbsp;<a href="<%=lastPage%>" style="text-decoration:underline"><font color="#4B4EB3"><b><i18n:message key="page_last_signal"/></b></font></a>&nbsp;&nbsp;
		            <%
	          }
	          else
	          {
		            String firstPage = "migration_studentlist.jsp?pages=" + 1 + "&HWID=" + HWID + "&ownerID=" + ownerID +"&ownerName="+ ownerName + "&startDate=" + startDate + "&endDate=" + endDate + "&stolenFlag=" + stolenFlag + "&tempFlag=" + tempFlag + "&startBirthDate=" + startBirthday + "&endBirthDate=" + endBirthday + "&migrateFlag=0"+ "&schoolsn=" + schoolSn;

		        	  String prePage = "migration_studentlist.jsp?pages=" + (onPage - 1) + "&HWID=" + HWID + "&ownerID=" + ownerID +"&ownerName="+ ownerName + "&startDate=" + startDate + "&endDate=" + endDate + "&stolenFlag=" + stolenFlag + "&tempFlag=" + tempFlag + "&startBirthDate=" + startBirthday + "&endBirthDate=" + endBirthday + "&migrateFlag=0"+ "&schoolsn=" + schoolSn;
		
		            %><a href="<%=firstPage%>" style="text-decoration:underline"><font color="#4B4EB3"><b><i18n:message key="page_first_signal"/></b></font></a>&nbsp;&nbsp;<a
		            href="<%=prePage%>" style="text-decoration:underline"><font color="#4B4EB3"><b><i18n:message key="page_pre_signal"/></b></font></a>&nbsp;&nbsp;<font color="#4B4EB3"><b><i18n:message key="page_next_signal"/></b></font>&nbsp;&nbsp;<font color="#4B4EB3"><b><i18n:message key="page_last_signal"/></b></font>&nbsp;&nbsp;
		            <%
	          }
        }
        else
        {
            String nextPage = "migration_studentlist.jsp?pages=" + (onPage + 1) + "&HWID=" + HWID + "&ownerID=" + ownerID +"&ownerName="+ ownerName + "&startDate=" + startDate + "&endDate=" + endDate + "&stolenFlag=" + stolenFlag + "&tempFlag=" + tempFlag + "&startBirthDate=" + startBirthday + "&endBirthDate=" + endBirthday + "&migrateFlag=0"+ "&schoolsn=" + schoolSn;

            String lastPage = "migration_studentlist.jsp?pages=" + totalPage + "&HWID=" + HWID + "&ownerID=" + ownerID +"&ownerName="+ ownerName + "&startDate=" + startDate + "&endDate=" + endDate + "&stolenFlag=" + stolenFlag + "&tempFlag=" + tempFlag + "&startBirthDate=" + startBirthday + "&endBirthDate=" + endBirthday + "&migrateFlag=0"+ "&schoolsn=" + schoolSn;

            %><font color="#4B4EB3"><b><i18n:message key="page_first_signal"/>&nbsp;&nbsp;<i18n:message key="page_pre_signal"/>&nbsp;&nbsp;</b></font><a href="<%=nextPage%>" style="text-decoration:underline"><font color="#4B4EB3"><b><i18n:message key="page_next_signal"/></b></font></a>&nbsp;&nbsp;<a href="<%=lastPage%>" style="text-decoration:underline"><font color="#4B4EB3"><b><i18n:message key="page_last_signal"/></b></font></a>&nbsp;&nbsp;
            <%
        }
      }// end if(totalPage != 1)
	 

      %><font color="#7774C1" style="vertical-align:middle"><%=onPage%>&nbsp;<i18n:message key="page_sep"/>&nbsp;<%=totalPage%></font>&nbsp;<input type="text" size="2" maxlength="9" name="pages" value="<%=onPage%>" style="vertical-align:middle"/><font color="#7774C1" style="font-weight:bold; vertical-align:middle"><a href="#" style="text-decoration:underline; color:#7774C1" onClick="if(checkdigital('Page', form1.pages.value)){submitPage(form1)};"><i18n:message key="account_go"/></a>&nbsp;&nbsp;</font>
		</jsp:useBean>
		 <input type="hidden" name="tempFlag" value="1"/>
	  <input type="hidden" name="HWID" value="<%=HWID%>" />
	    <input type="hidden" name="ownerID" value="<%=ownerID%>" /> 
	    <INPUT type=hidden value=1 name=isQuery>
	    <input type="hidden" name="startDate" value="<%=startDate%>" /> 
	    <input type="hidden" name="endDate" value="<%=endDate%>" />
	    <input type="hidden" name="startBirthDate" value="<%=startBirthday%>" /> 
	    <input type="hidden" name="endBirthDate" value="<%=endBirthday%>" />
	    <input type="hidden" name="stolenFlag" value="<%=stolenFlag%>" />
	<input type="hidden" name="migrateFlag" value="0" />
		<input type="hidden" name="schoolsn" value="<%=schoolSn%>" />
</td></tr></table>
		</div>
</td></tr></table><%}}%>
</td></tr></table>
</body>
