<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<!-- check if the device has been deleted---->
<html>
<head>
<title><i18n:message key="nvbar_student"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>

<%@ include file="../../include/check/checktimeout_c.jsp"%>
<%@ include file="../../include/comment_len.jsp"%>
<%@ include file="../../js/check.jsp"%>
<%@ include file="../../js/function.jsp"%>
<%@ include file="../../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.entity.*"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import="java.util.*"%>


<script language="javascript">
function keyDown(e){
  if(event.keyCode==122){
	  event.keyCode=0;
	  return false;
	}
}
document.onkeydown = keyDown;
</script>


<body bgcolor="#ffffff" topmargin=0 leftmargin=0
	onload=document.form1.ownerName.focus()>

<%
	String name = ((OperatorEntity)(session.getAttribute("sessionInfo"))).getOperatorName();
%>

<center>
<br>
<br>
<br>
<br>
<br>
<table border="1" cellpadding="0" cellspacing="0" width="650" bordercolorlight="#46599C" bordercolordark="#ffffff" bgcolor="#FFFFFF">
 <tr height="30">
    <th height="30" colspan=2 valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="edit_student_title"/></font></th>
 </tr>
<form name="form1" action="modify_student_deal.jsp"
		method="post" onSubmit="return checkstudentform(form1);"><jsp:useBean
		id="accountDeal" scope="page"
		class="com.intel.tcserver.website.bean.AccountCtrl">
		<% accountDeal.processRequest(request,accountDeal.OPERATION_UPDATE_ACCOUNT, session.getAttribute("sessionInfo"));
		   DeviceAccountEntity accountEntity = new DeviceAccountEntity();
		   if(accountDeal.queryAccount() == null)
		   {
		   		int result = -57;
			   %>
				<jsp:forward page="../../popwin_result.jsp">
					<jsp:param name="resultInfo"
						value="<%=result%>" />
				</jsp:forward>
				<%
		   }
		   accountEntity = accountDeal.queryAccount();
		   String HWID = accountEntity.getDeviceHWID();
		   
		   //reverse dateformat 
		   String expDateShow = "";
		   String tempStr = accountEntity.getExpirationDate().toString();
		   if(tempStr.indexOf(" ") >= 0)
		   {
		        tempStr = tempStr.substring(0,tempStr.indexOf(" "));
		   }
		   String[] temp = tempStr.split("-");
		   if(temp.length == 3)
		   {
		        expDateShow = temp[1]+"-"+temp[2]+"-"+temp[0];
		   }
		   
		   //reverse dateformat
		   String ownerBirthday = "";
		   if(accountEntity.getOwnerBirthday() == null)
		   {
		   		ownerBirthday = "";
		   }
		   else
		   {
			   tempStr = accountEntity.getOwnerBirthday().toString();
			   if(tempStr.indexOf(" ") >= 0)
			   {
					tempStr = tempStr.substring(0,tempStr.indexOf(" "));
			   }
			   temp = tempStr.split("-");
			   if(temp.length == 3)
			   {
				   ownerBirthday = temp[1]+"-"+temp[2]+"-"+temp[0];
			   }
		   }
        
%>



  <tr valign="middle" bgcolor="#E3E6F7">
    	<TD width="40%" valign="middle" align="left">&nbsp;&nbsp;<b><i18n:message key="account_hwid"/><i18n:message key="query_colon"/></b></TD>
	
    	<TD width="60%" valign="middle" align="left">&nbsp;&nbsp;&nbsp;<INPUT class=noborder name="HWID"
      style=" width:370; COLOR: #000000; background-color:#E3E6F7; border-color:#E3E6F7" readOnly  value="<%=accountEntity.getDeviceHWID() %>"></TD>
   </tr>
     
    <tr align="left" valign="middle" bgcolor="#E3E6F7">
		<td valign="middle">&nbsp;&nbsp;<b><i18n:message key="account_name"/><i18n:message key="query_colon"/></b></td>
			<%
			String id = accountEntity.getOwnerID();
				if( id== null)
				{
					id = "";
				}
			%>
		<td valign="middle" align="left">&nbsp;&nbsp;&nbsp;<INPUT class=noborder name="ownerID"
      style=" width:370; COLOR: #000000; background-color:#E3E6F7; border-color:#E3E6F7" readOnly maxLength=30 value="<%=id%>"></td></tr>
              
	  <TR>
           <TD align="left" width="40%">&nbsp;&nbsp;<b><i18n:message key="account_stuid"/><i18n:message key="query_colon"/></b></TD>
            <td>
			<%
			String ownerName = accountEntity.getOwnerName();
				if( ownerName== null)
				{
					ownerName = "";
				}
			%>&nbsp;&nbsp;&nbsp;<input  name=ownerName maxlength="30"
				value="<%=ownerName%>" style=" width:300"></td>
              
       </TR>
	   
       <TR>
                 <TD align="left" width="40%" valign="middle">&nbsp;&nbsp;<b><i18n:message key="account_birth"/><i18n:message key="query_colon"/></b></TD>
                <td>&nbsp;&nbsp;&nbsp;<%
				if (ownerBirthday !=null && !ownerBirthday.equals(""))
				{
				%><input id="ownerBirthday" name="ownerBirthday" maxlength="10"
				value="<%=ownerBirthday%>" style="width:160" onFocus="this.select();">
				<%
				}
				else
				{
				%><input id="ownerBirthday" name="ownerBirthday" maxlength="10"
				value="<i18n:message key='date_format'/>" style="width:160" onFocus="this.select();">
				<%
				}
				%>
				
         <img align="baseline" style="vertical-align:middle; margin-bottom:3px"  name = "clock" src="../../images/time.jpg" width="20" height="19" onClick="popUpCalendar( this, ownerBirthday, 'mm-dd-yyyy', -1, -1);"> *
				</td>
				<input type="hidden" name="stolenFlag" value="<%=accountEntity.getStolenFlag()%>"/>
				<input type="hidden" name="deviceComment" value="<%=accountEntity.getDeviceComment()%>"/>
           <input name="operatorName" type="hidden" value="<%=accountEntity.getDeviceHWID() %>"/>
		   <input type="hidden" name="stuPassword" value="" id="newPassword"/>
		   <input type="hidden" name="confirmpwd" id="confirmpwd" value=""/>
		    <input type="hidden" name="adminType"  value="<%=OperatorConstants.IS_STUDENT%>"/>
			<input name="operatorType" type="hidden" value="student"/>
        </TR>
 <tr>
      <td align="left" width="40%" valign="middle">
	  	<b>&nbsp;&nbsp;<i18n:message key="oper_pwd"/><i18n:message key="query_colon"/></b></td>
      <td >
	 	&nbsp;&nbsp;&nbsp;<input type="button" class="bt2" value="<i18n:message key='bt_change'/>" alt="<i18n:message key='bt_change'/>" onClick="openWindow('modify_psw_stu.jsp?HWID=<%=HWID%>','500','750');"/></td>
   </tr>	
  
 
     <tr height="30">
	 <td colspan="2" align="center" valign="middle" bgcolor="#E1E5FE">
	 <input type="submit" class="bt1" value="<i18n:message key='bt_save'/>" alt="<i18n:message key='bt_save'/>" border=0>
&nbsp;<input type="button"  onClick="document.form1.reset();" class="bt1" id=track  value="<i18n:message key='bt_reset'/>" height=19 alt="<i18n:message key='bt_reset'/>" width=60 border=0 ></td>
	 </tr>
            </form>
          </table>
		  
</center>
</jsp:useBean>
<script language="javascript" type="text/javascript">
function checkstudentform(frm)
{
	//check
        var ifnull, illegal;
	//check hardware id's format
        ifnull = checkifnull("Hardware ID", frm.HWID.value, "input");
        if (!ifnull)
        {  
          return false;
        }

        //allow only numbers
        illegal = checkMAC(frm.HWID.value);
        if (!illegal)
        {
          return false;
        }
		
				if (frm.HWID.value.length < 12)
				{
					alert("<i18n:message key='check_hwid'/>");
					return false;
				}
        //check student id, not null
    /*    frm.ownerID.value = trim(frm.ownerID.value);
        ifnull = checkifnull("Student ID", frm.ownerID.value, "input");
        if (!ifnull)
        {
          return false;
        }
        
        if(frm.ownerID.value != "")
		    {
		    	illegal = checkpercent("Student ID", frm.ownerID.value);
		    	if(!illegal)
		    	{
		    		return false;
		    	}
		    }
		*/
        //check nowner name
        frm.ownerName.value = trim(frm.ownerName.value);
        
        
        
		    if(frm.ownerName.value != "")
		    {
		    	illegal = checkpercent("Owner Name", frm.ownerName.value);
		    	if(!illegal)
		    	{
		    		return false;
		    	}
		    }
        
		  frm.ownerBirthday.value = trim(frm.ownerBirthday.value);
        if(frm.ownerBirthday.value == null || frm.ownerBirthday.value == "<i18n:message key='date_format'/>")
		{
			alert("<i18n:message key='check_birthday_null'/>");
			return false;
		}
        else
        {   
        	illegal = checkBirthday(frm.ownerBirthday.value); 
	        if (illegal != true)
	        {
	        	return illegal;
	        }    
        }
        return true;
}
</script>
</body>
</html>
