<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ include file="../../include/head.jsp"%>
<%@ include file="../../include/check/checktimeout.jsp" %>

<%@ include file="../../include/show_info.jsp"%>

<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<%@ page import = "com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>
<%@ page import = "com.intel.tcserver.util.constant.DeviceAccountConstants"%>
<%@ page import="com.intel.tcserver.common.TDSCSCommon"%>

<body bgcolor="#ffffff">
<jsp:useBean id="accDeal" scope="page"  class="com.intel.tcserver.website.bean.AccountCtrl">
  <%
  accDeal.processRequest(request, accDeal.OPERATION_UPDATE_ACCOUNT, session.getAttribute("sessionInfo"));
String hw = request.getParameter("HWID");
if (hw.indexOf(",") == 0)
{
	hw = hw.substring(1, hw.length());
}
if(hw.endsWith(","))
{
	hw = hw.substring(0, hw.length() - 1);
}
  int result = accDeal.revokeMigrateRequest(hw, TDSCSCommon.MIGRATION_STATUS_NORMAL, "");

  if (result <= 0)
  {
	
    String erroInfo = ErrorConstants.getInstance().getError(result);
  	%>
  	<script language="JavaScript">
	alert(showInfo(<%=result%>));
    window.location.href = "migration_management.jsp?tempFlag=1&migrateFlag=1";
    </script>
  	<%
  }
  else
  {
  result = 1;
    %>
    <script language="JavaScript">
    alert(showInfo(<%=result%>));
    window.location.href = "migration_management.jsp?tempFlag=1&migrateFlag=1";
    </script>
    <%
  }
  %>
</jsp:useBean>
</body>
</html>
