<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%@ include file="../../include/head.jsp" %>
<%@ include file="../../include/check/checktimeout.jsp" %>
<%@ include file="../../include/check/cannotcommon.jsp" %>
<%@ include file="../../js/function.jsp"%>
<%@ include file="../../js/check.jsp"%>
<%@ page import = "com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import = "com.intel.tcserver.tool.SchoolTypeMgr"%>
<%@ page import = "java.util.TreeMap, java.util.Set" %>
<%@ page import = "com.intel.tcserver.util.constant.OperatorConstants"%>
<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.website.bean.SchoolCtrl"%>
<%@ page import="com.intel.csserver.dao.xsd.School"%>
<% 
	AccountCtrl accountDeal = new AccountCtrl();
	int size = accountDeal.getTotalTempSize();
	int flag = 11;
	String adminType = sessionInfo.getOperateType();
	School school = (School)request.getAttribute("schoolFromCS");
	if ( school == null )
	{
%>
	<script langauge="javascript">
	alert("<i18n:message key='editschool_error'/>");
		window.location = "../../welcome.jsp";
	</script>
<%
	}
%>  

<script language="javascript">
function HandleSchoolRegister()
{
	var schoolName = document.getElementById("schoolnameid");
	var schoolLocation = document.getElementById("schoollocationid");
	var schoolPrincipal = document.getElementById("schoolprincipalid");
	var schoolContactName = document.getElementById("schoolcontactnameid");
	var schoolContactPhone = document.getElementById("schoolcontactphoneid");
	var schoolEmail = document.getElementById("schoolemailid");
	var csnetaddr = document.getElementById("csnetaddrid");
	var schoolType = document.getElementById("schooltypeid");
	
	if ( checkSpace(schoolName) )
	{
		alert("<i18n:message key='regschool_needname'/>");
	}
	else if ( checkSpecialCharactorWithoutAnd(schoolName) )
	{
		alert("<i18n:message key='regschool_illegalchar'/>");
	}
	else if ( checkSpace(schoolLocation) )
	{
		alert("<i18n:message key='regschool_needlocation'/>");
	}
	else if ( checkSpecialCharactorWithoutAnd(schoolLocation) )
	{
		alert("<i18n:message key='regschool_illegalchar'/>");
	}
	else if ( checkSpace(schoolPrincipal) )
	{
		alert("<i18n:message key='regschool_needprincipal'/>");
	}
	else if ( checkSpecialCharactorWithoutAnd(schoolPrincipal) )
	{
		alert("<i18n:message key='regschool_illegalchar'/>");
	}
	else if ( checkSpace(schoolContactName) )
	{
		alert("<i18n:message key='regschool_needcontactname'/>");
	}
	else if ( checkSpecialCharactorWithoutAnd(schoolContactName) )
	{
		alert("<i18n:message key='regschool_illegalchar'/>");
	}
	else if ( checkSpace(schoolContactPhone) )
	{
		alert("<i18n:message key='regschool_needcontactphone'/>");
	}
	else if ( checkSpecialCharactorWithoutAnd(schoolContactPhone) )
	{
		alert("<i18n:message key='regschool_illegalchar'/>");
	}
	else if ( checkSpace(schoolEmail) )
	{
		alert("<i18n:message key='regschool_needemail'/>");
	}
	else if ( !checkEmail(schoolEmail.value) )
	{
		alert("<i18n:message key='regschool_emailerrorformat'/>");
	}
	else if ( checkSpace(schoolType) )
	{
		alert("<i18n:message key='regschool_needtype'/>");
	}
	else if ( checkSpace(csnetaddr) )
	{
		alert("<i18n:message key='regschool_needcsnet'/>");
	}
	else
	{
		document.getElementById("schoolregisterform").submit();
	}
}
</script>

<body class="bg" topmargin=0 leftmargin=0 marginheight="0" marginwidth="0">
	
<table width="1000" border="0" cols="3" cellpadding="0" cellspacing="0">
<tr>
<td colspan="3">
<%@ include file="../../top.jsp"%>
</td>
</tr>
<tr>
<td align="right" width="217"  valign="top">

		<%@ include file="../../menu.jsp"%>
	</td><!-- end left-->
	<td width="35" valign="top">
		<table width="100%">
			<tr><td>&nbsp;</td></tr>
		</table>
	</td>

<td align="left" width="710" valign="top" >
<table width="100%" border="0">
<tr>
<td>
<form id="schoolregisterform" action="school_deal.jsp" method="post">
<input type="hidden" name="sid" value="<%=school.getSchoolid() %>"/>
<input type="hidden" name="regdate" value="<%=school.getSchoolregdate() %>"/>
 <table border="1" cellpadding="0" cellspacing="0" width="690" bordercolorlight="#46599C" bordercolordark="#ffffff" style="word-break:break-all;">
			             <tr height="30">
			   							 <th height="30" colspan=2 valign="middle"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="editschool_title"/></font></th>
			 							</tr>
			 					<tr class="cursor_out">
                                    <td style=" width='40%'; font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_sn"/>
                                    </td>
                                    <td>
                                     <%
                                    String id = school.getSchooluniqueno();
                                    if ( id == null )
                                    {
                                    	id = "";
                                    }
                                    %>
                                        &nbsp;&nbsp;&nbsp;<input type="text" class="noborder" readonly id="schoolsid" name="schoolid" value="<%=id %>" style="width:300px"></td>
                                </tr>
                                <tr class="cursor_out">
                                    <td style=" width='40%'; font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_name"/>
                                    </td>
                                    <td>
                                      <%
                                    String schoolname = school.getSchoolname();
                                    if ( schoolname == null )
                                    {
                                    	schoolname = "";
                                    }
                                    	%>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoolnameid" name="schoolname"  maxlength="40" value="<%=schoolname %>" style="width:300px"></td>
                                </tr>
                                <tr class="cursor_out">
                                    <td style=" font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_location"/></td>
                                    <td>
                                      <%
                                    String schoollocation = school.getSchoollocation();
                                    if ( schoollocation == null )
                                    {
                                    	schoollocation = "";
                                    }
                                    	%>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoollocationid" name="schoollocation" maxlength="255"  value="<%=schoollocation %>" style="width:300px" >
                                    </td>
                                </tr>
                                <tr class="cursor_out">
                                    <td style=" font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_principal"/></td>
                                    <td>
                                     <%
                                    String schoolprincipal = school.getSchoolprincipalname();
                                    if ( schoolprincipal == null )
                                    {
                                    	schoolprincipal = "";
                                    }
                                    	%>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoolprincipalid" name="schoolprincipal"  maxlength="50" value="<%=schoolprincipal %>"  style="width:300px"></td>
                                </tr>
                                <tr class="cursor_out">
                                    <td style=" font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_contactname"/></td>
                                    <td>
                                     <%
                                    String schoolcontactname = school.getSchoolcontactname();
                                    if ( schoolcontactname == null )
                                    {
                                    	schoolcontactname = "";
                                    }
                                    	%>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoolcontactnameid" name="schoolcontactname"  maxlength="50" value="<%=schoolcontactname %>"  style="width:300px"></td>
                                </tr>
                                <tr class="cursor_out">
                                    <td style=" font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_contactphone"/>
                                    </td>
                                    <td class="cursor_out">
                                     <%
                                    String schoolcontactphone = school.getSchoolcontactphone();
                                    if ( schoolcontactphone == null )
                                    {
                                    	schoolcontactphone = "";
                                    }
                                    	%>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoolcontactphoneid" name="schoolcontactphone" maxlength="20" value="<%=schoolcontactphone %>" style="width:300px"></td>
                                </tr>
                                <tr class="cursor_out">
                                    <td style=" font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_email"/></td>
                                    <td>
                                     <%
                                    String schoolemail = school.getSchoolemail();
                                    if ( schoolemail == null )
                                    {
                                    	schoolemail = "";
                                    }
                                    	%>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="schoolemailid" name="schoolemail"  maxlength="50" value="<%=schoolemail %>"  style="width:300px">
                                    </td>
                                </tr>
                                
                                <tr class="cursor_out">
                                    <td style="font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_type"/></td>
                                    <td>
                                         <%
                                    int schooltypeid = school.getSchooltype();
                                    if ( schooltypeid < 0 )
                                    {
                                    	schooltypeid = 0;
                                    }
                                    	%>
                                    	&nbsp;&nbsp;&nbsp;<select style="width:300px" id="schooltypeid" name="schooltype" value="">
                                    	<% 
                                    TreeMap<String, String> schoolType = SchoolTypeMgr.getSchoolType();
                                    Set<String> keys = schoolType.keySet();
                                    for ( String key : keys )
                                    {
                                    	String value = schoolType.get(key);
                                    	%>
                                    	<option value="<%=key %>" <%if ( key.equals("" + schooltypeid)){ %> selected <%} %> ><%=value %></option>
                                    	<%
                                    }
                                    	%>
                                        </select>
                                </tr>
                                <tr class="cursor_out">
                                    <td style="font-weight:bold">
                                        &nbsp;&nbsp;<i18n:message key="regschool_csnet"/></td>
                                    <td>
                                       <%
                                    String csnetaddr = SchoolCtrl.getCSNetworkAddr();
                                    if ( csnetaddr == null )
                                    {
                                    	csnetaddr = "";
                                    }
                                    	%>
                                        &nbsp;&nbsp;&nbsp;<input type="text" id="csnetaddrid" name="csnetaddr" value="<%=csnetaddr %>"  style="width:300px">
                                    </td>
                                </tr>
                                <tr align="left">
                        <td align="center" bgcolor="#E1E5FE" colspan="2">
                            <input type="button" class="bt1" value="<i18n:message key='button_ok'/>" onClick="HandleSchoolRegister()"><!-- onclick="window.location.reload('TD welcome.html');" -->
                            <input type="button" class="bt1" value="<i18n:message key='bt_reset'/>" onClick="document.getElementById('schoolregisterform').reset();">
                            <input type="hidden" name="operType" value="update"/>
                        </td>
                    </tr>
                   </table>
                   </form>

</td></tr>
<tr>
<td>
<div style="width:710; height:100; overflow-x:hidden;overflow-y:hidden; SCROLLBAR-FACE-COLOR: #D0D7F4; margin-left:-3px" align="left">
</div><!--In order to  prevent left navigation menu moves rightward-->
</td></tr>

</table>

</body>
</html>
