﻿<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>


<%@ include file="../../include/check/checktimeout_c.jsp" %>
<%@ include file="../../include/comment_len.jsp"%>

<%@ page import="com.intel.tcserver.entity.*"%>
<%@ page import="java.util.*"%>
<%@ page import="com.intel.tcserver.website.bean.LogCtrl"%>
<html>
<head>
<title><i18n:message key="nvbar_log"/></title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="/tdserver/css/styled.css">
</head>

<!--forbidden F11-->
<script language="javascript">
function keyDown(e){
  if(event.keyCode==122){
	  event.keyCode=0;
	  return false;
	}
}
document.onkeydown = keyDown;
</script>
</head>


<body bgcolor="#ffffff" topmargin=0 leftmargin=0>
<br>
<br>
<%
		String name = ((OperatorEntity)(session.getAttribute("sessionInfo"))).getOperatorName();
%>
<center>
<jsp:useBean id="logDeal" scope="page" class="com.intel.tcserver.website.bean.LogCtrl">
		<%
    		String logID = request.getParameter("logID");
			logDeal.processRequest(request, false);
      		DBLogEntity logEntity = logDeal.queryLog();
			
			if(logEntity == null)
			{
				int result = -57;//Database error
				%>
				<jsp:forward page="../../popwin_result.jsp">
				<jsp:param  name="resultInfo"  value="<%=result%>"></jsp:param>
				</jsp:forward>
				<%
			}//end if
			
			%>
			<br>
			
<table width="650" cellpadding="0" cellspacing="0"  border="1"  bordercolorlight="#46599C" bordercolordark="#ffffff">
<tr height="30">
<td bgcolor="#AEB9E7" align="center" valign="middle" colspan="2"><font style="font-weight:bold; color:#000687; font-size:16px"><i18n:message key="log_view_title"/></font></td>

</tr>

<tr>
 <%
		   String operID = logEntity.getOperatorName();
		   if(operID == null)
		   {
		       operID = "";
		   }
 %>
<td align="left" width="40%" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="oper_id"/><i18n:message key="query_colon"/></b></td>
<td width="60%" valign="middle">&nbsp;&nbsp;&nbsp;<input value="<%=operID%>" style=" width:370; COLOR: #000000" readonly="true" name="operID" class="noborder"/></td>
</tr>

<tr>
<td align="left" width="40%" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="log_type"/><i18n:message key="query_colon"/></b></td>
<td valign="middle">
<%
		    String operType = logEntity.getOperationType();
		    if(operType == null)
		    {
		        operType = "";
		    }
			if(operType.equals(LogCtrl.TYPE_CREATE))
			{
				%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='log_type_create'/>" style=" width:370 ;COLOR: #000000" readOnly border="0" class="noborder">
				<%
			}
			else if(operType.equals(LogCtrl.TYPE_EDIT))
			{
				%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='log_type_edit'/>" style=" width:370 ;COLOR: #000000" readOnly border="0" class="noborder">
				<%
			}
			else if(operType.equals(LogCtrl.TYPE_DELETE))
			{
				%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='log_type_del'/>" style=" width:370; COLOR: #000000" readOnly border="0" class="noborder">
				<%
			}
			else if(operType.equals(LogCtrl.TYPE_LOGIN))
			{
				%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='log_type_login'/>" style=" width:370; COLOR: #000000" readOnly border="0" class="noborder">
				<%
			}
			else if(operType.equals(LogCtrl.TYPE_LOGOUT))
			{
				%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='log_type_logout'/>" style=" width:370; COLOR: #000000" readOnly border="0" class="noborder">
				<%
			}
			else if(operType.equals(LogCtrl.TYPE_IMPORT))
			{
				%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='log_type_import'/>" style=" width:370; COLOR: #000000" readOnly border="0" class="noborder">
				<%
			}
			else if(operType.equals(LogCtrl.TYPE_EXPORT))
			{
				%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='log_type_export'/>" style=" width:370; COLOR: #000000" readOnly border="0" class="noborder">
				<%
			} 
			else if(operType.equals(LogCtrl.TYPE_DOWNLOAD))
			{
			%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='log_type_download'/>" style=" width:370; COLOR: #000000" readOnly border="0" class="noborder">
				<%
			} else if(operType.equals(LogCtrl.TYPE_BACKUP))
			{
				%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='backup_choice'/>" style=" width:370; COLOR: #000000" readOnly border="0" class="noborder">
				<%
			} 
			else if(operType.equals(LogCtrl.TYPE_RESTORE))
			{
			%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='restore_choice'/>" style=" width:370; COLOR: #000000" readOnly border="0" class="noborder">
				<%
			}
			else if(operType.equals(LogCtrl.TYPE_TRANSFER))
			{
			%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='message_type_transfer'/>" style=" width:370; COLOR: #000000" readOnly border="0" class="noborder">
				<%
			} 
			else
			{
				%>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value=" " style=" width:370; COLOR: #000000" readOnly border="0" class="noborder">
				<%
			}
		    %>
</td>
</tr>
<tr>
<td align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="log_result"/><i18n:message key="query_colon"/></b></td>
<td valign="middle"><%
		   String operResult = logEntity.getOperationResult();
		   if(operResult == null)
		   {
		       operResult = "";
		   }
		   if(operResult.equals("Success"))
		   {
		   %>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='log_result_succ'/>" style=" width:370; COLOR: #000000" readOnly class="noborder">
		   <%
		   }
		   else if(operResult.equals("Failure"))
		   {
		   %>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<i18n:message key='log_result_fail'/>" style=" width:370; COLOR: #000000" readOnly class="noborder">
		   <%
		   }
		   else
		   {
		   %>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value=" " style=" width:370; COLOR: #000000" readOnly class="noborder">
		   <%
		   }
		   %>
</td>
</tr>
<tr>
<td align="left" valign="middle"><b>&nbsp;&nbsp;<i18n:message key="log_datefrom"/><i18n:message key="query_colon"/></b></td>
<td valign="middle"><%
		   String operDate = logEntity.getOperationTime().toString();
		   if(operDate == null)
		   {
		       operDate = "";
		   }
		   String logSecond = "";
		   if(operDate.indexOf(" ") >= 0)
		   {
		       logSecond = operDate.substring(operDate.indexOf(" ")+1,operDate.length());
			   if(logSecond.indexOf(".") >= 0)
			   {
			   		logSecond = logSecond.substring(0,logSecond.indexOf("."));
			   }
		       operDate = operDate.substring(0,operDate.indexOf(" "));
		   }
		   String[] tempDate = operDate.split("-");
		   if(tempDate.length == 3)
		   {
		       operDate = tempDate[2] + "-" + tempDate[1] + "-" + tempDate[0] + " " + logSecond;
		   }
		   else
		   {
		       operDate = "";
		   }
		   %>&nbsp;&nbsp;&nbsp;<input type="text" name="textfield" value="<%=operDate%>" style=" width:370 ;COLOR: #000000" readOnly  class="noborder"></td>
</tr>
<tr>
<td align="left" valign="top"><b>&nbsp;&nbsp;<i18n:message key="log_info" /><i18n:message key="query_colon"/></b></td>
<td><%
		   String logInfo = logEntity.getOperationInfo();
		   if(logInfo == null)
		   {
		       logInfo = "";
		   }
		   %>&nbsp;&nbsp;&nbsp;<TEXTAREA name=info rows=4 style=" width:300 ;COLOR: #000000" readOnly cols=32 ><%=logInfo%></TEXTAREA></td>
</tr>

<tr height="30">
<td align="center" bgcolor="#E1E5FE" colspan="2" valign="middle">
<input name="Cancel" type="button" class="bt1" onClick="javascript:self.close()" value="<i18n:message key='button_ok'/>" alt="<i18n:message key='button_ok'/>" border=0 >
</td></tr></table>

</jsp:useBean>
</center>
</body>
</html>
