<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0"
	prefix="i18n"%>
<%@ page contentType="text/html; charset=utf-8"%>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc"
	localeRef="userLocale" scope="request" changeResponseLocale="true"/>

<script language="javascript">

	if(typeof varWeekMgmt == 'undefined')
		varWeekMgmt = 1

	var startAt = parseFloat(varWeekMgmt)   // 0 - sunday ; 1 - monday
	var	fixedY = -1					// y position (-1 if to appear below control)
	var	fixedX = -1					// x position (-1 if to appear below control)
	var weekNumberShow = 1			// 1 - show week number; 0 - don't show;
	var bShowToday = 1				// 1 - show today; 0 - don't show
	var imgDir = "/tdserver/images/calendar/"	// directory for images ... 

	var weekString = "<i18n:message key='js_wk'/>"
	var scrollRight = ""
	var scrollLeft = ""
	var selectYearMsg = ""
	var selectMonthMsg = ""
	var selectDateMsg = "" // do not replace [date], it will be replaced by date.
	var varCloseCalendar = ""
	var	eachMonthName =	new	Array("<i18n:message key='js_jan'/>","<i18n:message key='js_feb'/>","<i18n:message key='js_mar'/>","<i18n:message key='js_apr'/>","<i18n:message key='js_may'/>","<i18n:message key='js_june'/>","<i18n:message key='js_july'/>","<i18n:message key='js_aug'/>","<i18n:message key='js_sep'/>","<i18n:message key='js_oct'/>","<i18n:message key='js_nov'/>","<i18n:message key='js_dec'/>")
	
	varDayName = new Array	("<i18n:message key='js_sun'/>","<i18n:message key='js_mon'/>","<i18n:message key='js_tue'/>","<i18n:message key='js_wed'/>","<i18n:message key='js_thu'/>","<i18n:message key='js_fri'/>","<i18n:message key='js_sat'/>")
	arrTemp = varDayName.slice(startAt,7)
	varDayName = arrTemp.concat(varDayName.slice(0,startAt))

	var	varcrossobj, varCrossYearObj, varObjMonthCross, varYearSelected, varMonthSelected, dateSelected, ovarMonthSelected, ovarYearSelected, odateSelected, constructMonth, yearBuilded, varIntervalID1, varIntervalID2, timeoutID1, timeoutID2, valueCtlToPlace, ctlNow, formatDate, nStartingYear

	var	isIE=document.all
	var	calendarLoaded=false
	var	isdom=document.getElementById

	var	navigate4=document.layers
	var	today =	new	Date()
	var	yearNow	 = today.getYear()
	var	monthNow = today.getMonth()
	var	dateNow	 = today.getDate()
	var	varImageSrc = new Array("drop1.gif","drop2.gif","left1.gif","left2.gif","right1.gif","right2.gif")
	var	img	= new Array()

	var bDisplay = false;

    function hideElement( elementID, overDiv )
    {
      if( isIE )
      {
        for( i = 0; i < document.all.tags( elementID ).length; i++ )
        {
          obej = document.all.tags( elementID )[i];
          if(!obej.offsetParent || !obej)
          {
            continue;
          }
      
          objParent = obej.offsetParent;
          objTop    = obej.offsetTop;
          objLeft   = obej.offsetLeft;
          
          while( "BODY" != objParent.tagName.toUpperCase())
          {
            objParent = objParent.offsetParent;
            objTop   += objParent.offsetTop;
            objLeft  += objParent.offsetLeft;
          }
      
          objWidth = obej.offsetWidth;
          objHeight = obej.offsetHeight;
      
          if( (objTop + objHeight ) <= overDiv.offsetTop );
          else if( (objLeft + objWidth ) <= overDiv.offsetLeft );
          else if( objLeft >= ( overDiv.offsetLeft + overDiv.offsetWidth ));
          else if( objTop >= ( overDiv.offsetTop + overDiv.offsetHeight ) );
          else
          {
            obej.style.visibility = "hidden";
          }
        }
      }
    }

    function displayElement( elementID )
    {
      if( isIE )
      {
        for( i = 0; i < document.all.tags( elementID ).length; i++ )
        {
          obej = document.all.tags( elementID )[i];
          
          if( !obej.offsetParent || !obej )
          {
            continue;
          }
        
          obej.style.visibility = "";
        }
      }
    }

	function HolidayRec (day, month, year, desc)
	{
		this.day = day
		this.month = month
		this.year = year
		this.desc = desc
	}

	var Holidays = new Array()
	var HolidaysCounter = 0

	function addHoliday (day, month, year, desc)
	{
		Holidays[HolidaysCounter++] = new HolidayRec ( day, month, year, desc )
	}

	if (isdom)
	{
		for	(i=0;i<varImageSrc.length;i++)
		{
			img[i] = new Image
			img[i].src = imgDir + varImageSrc[i]
		}
		document.write ("<div onclick='bDisplay=true' id='calendar'	style='z-index:+999;position:absolute;visibility:hidden;'><table	width="+((weekNumberShow==1)?250:220)+" style='font-family:arial;font-size:11px;border-width:1;border-style:solid;border-color:#a0a0a0;font-family:arial; font-size:11px}' bgcolor='#ffffff'><tr bgcolor='#0000aa'><td><table width='"+((weekNumberShow==1)?248:218)+"'><tr><td style='padding:2px;font-family:arial; font-size:11px;'><font color='#ffffff'><B><span id='caption'></span></B></font></td><td align=right><a href='javascript:hideCalendar()'><IMG SRC='"+imgDir+"close.gif' name=close WIDTH='15' HEIGHT='13' BORDER='0' ALT='" + varCloseCalendar + "'></a></td></tr></table></td></tr><tr><td style='padding:5px' bgcolor=#ffffff><span id='content'></span></td></tr>")
			
		if (bShowToday==1)
		{
			document.write ("<tr bgcolor=#f0f0f0><td style='padding:5px' align=center><span id='lblToday'></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span id='lblClearDate'></span></td></tr>")
		}
			
		document.write ("</table></div><div id='monthSelection' style='z-index:+999;position:absolute;visibility:hidden;'></div><div id='selectYear' style='z-index:+999;position:absolute;visibility:hidden;'></div>");
	}

	var	anchorStyle="text-decoration:none;color:black;"
	var	lightBorderStyle="border-style:solid;border-width:1px;border-color:#a0a0a0;"

	function swapImage(srcImage, destImage){
		if (isIE)	{ document.getElementById(srcImage).setAttribute("src",imgDir + destImage) }
	}

	function initCalendar()	{
		if (!navigate4)
		{
			if (!isIE) { yearNow += 1900	}

			varcrossobj=(isdom)?document.getElementById("calendar").style : isIE? document.all.calendar : document.calendar
			hideCalendar()

			varObjMonthCross=(isdom)?document.getElementById("monthSelection").style : isIE? document.all.monthSelection	: document.monthSelection

			varCrossYearObj=(isdom)?document.getElementById("selectYear").style : isIE? document.all.selectYear : document.selectYear

			yearBuilded=false;
			constructMonth=false;

			document.getElementById("lblClearDate").innerHTML =	" <a onmousemove='window.status=\"\"' onmouseout='window.status=\"\"' title='' style=''><font color='#0011ff'></font></a>"

			strHTML1="<span id='spanLeft'	style='border-style:solid;border-width:1;border-color:#3366FF;cursor:pointer' onclick='javascript:decMonth()' onmouseover='swapImage(\"changeLeft\",\"left2.gif\");this.style.borderColor=\"#88AAFF\";window.status=\""+scrollLeft+"\"' onmousedown='clearTimeout(timeoutID1);timeoutID1=setTimeout(\"BeginDecMonth()\",500)' onmouseout='clearInterval(varIntervalID1);swapImage(\"changeLeft\",\"left1.gif\");this.style.borderColor=\"#3366FF\";window.status=\"\"' onmouseup='clearTimeout(timeoutID1);clearInterval(varIntervalID1)'>&nbsp<IMG id='changeLeft' SRC='"+imgDir+"left1.gif' height=11 width=10 BORDER=0>&nbsp</span>&nbsp;"
			strHTML1+="<span id='spanRight' style='border-style:solid;border-width:1;border-color:#3366FF;cursor:pointer' onmousedown='clearTimeout(timeoutID1);timeoutID1=setTimeout(\"BeginIncMonth()\",500)' onmouseover='swapImage(\"changeRight\",\"right2.gif\");this.style.borderColor=\"#88AAFF\";window.status=\""+scrollRight+"\"'	onmouseout='clearInterval(varIntervalID1);swapImage(\"changeRight\",\"right1.gif\");this.style.borderColor=\"#3366FF\";window.status=\"\"' onclick='incMonth()' onmouseup='clearTimeout(timeoutID1);clearInterval(varIntervalID1)'>&nbsp<IMG id='changeRight' SRC='"+imgDir+"right1.gif'	height=11 width=10 BORDER=0>&nbsp</span>&nbsp"
			strHTML1+="<span id='spanMonth' style='border-style:solid;border-width:1;border-color:#3366FF;cursor:pointer' onmouseout='swapImage(\"changeMonth\",\"drop1.gif\");this.style.borderColor=\"#3366FF\";window.status=\"\"' onmouseover='swapImage(\"changeMonth\",\"drop2.gif\");this.style.borderColor=\"#88AAFF\";window.status=\""+selectMonthMsg+"\"' onclick='popUpMonth()'></span>&nbsp;"
			strHTML1+="<span id='spanYear' style='border-style:solid;border-width:1;border-color:#3366FF;cursor:pointer' onclick='showYear()' onmouseout='swapImage(\"changeYear\",\"drop1.gif\");this.style.borderColor=\"#3366FF\";window.status=\"\"' onmouseover='swapImage(\"changeYear\",\"drop2.gif\");this.style.borderColor=\"#88AAFF\";window.status=\""+selectYearMsg+"\"'></span>&nbsp;"
			
			document.getElementById("caption").innerHTML  =	strHTML1

			calendarLoaded=true
		}
	}
	function firstdayofweek(varDay)
	{
		varDay = varDay - startAt
		if (0 > varDay)
		{
			varDay = 7 + varDay
		}
		return varDay
	}

	function hideCalendar()	{
		varcrossobj.visibility="hidden"
		if (varObjMonthCross != null){varObjMonthCross.visibility="hidden"}
		if (varCrossYearObj !=	null){varCrossYearObj.visibility="hidden"}

	    displayElement( 'SELECT' );
		displayElement( 'APPLET' );
	}

	function padZero(numb) {
		return (10 > numb)? '0' + numb : numb ;
	}

	function constructDate(day,month,year)
	{
		strTmp = formatDate
		strTmp = strTmp.replace	("dd","<e>")
		strTmp = strTmp.replace	("d","<d>")
		strTmp = strTmp.replace	("<e>",padZero(day))
		strTmp = strTmp.replace	("<d>",day)
		strTmp = strTmp.replace	("mmm","<o>")
		strTmp = strTmp.replace	("mm","<n>")
		strTmp = strTmp.replace	("m","<m>")
		strTmp = strTmp.replace	("<m>",month+1)
		strTmp = strTmp.replace	("<n>",padZero(month+1))
		strTmp = strTmp.replace	("<o>",eachMonthName[month])
		return strTmp.replace ("yyyy",year)
	}

	function closeCalendar() {

		hideCalendar();
		valueCtlToPlace.value =	constructDate(dateSelected,varMonthSelected,varYearSelected)
		var objBC = document.getElementById("bootCounters");

		if(!isIE)
		{
			if (objBC != null)
			{
				objBC.addEventListener("input", setBootCounter(), false);
			}
		}
	}

	function BeginDecMonth()
	{
		varIntervalID1=setInterval("decMonth()",80)
	}

	function BeginIncMonth()
	{
		varIntervalID1=setInterval("incMonth()",80)
	}

	function incMonth () 
	{
		if (window.location.href.indexOf("set_special_cert") >= 0)
		{
			if(varYearSelected == 2098 && varMonthSelected == 11)
			{
				return;
			}
		}
		else
		{
			if(varYearSelected == 2099 && varMonthSelected == 11)
			{
				return;
			}
		}
		
		varMonthSelected++
		if (varMonthSelected>11) 
		{
			varMonthSelected=0
			varYearSelected++
		}
		if (window.location.href.indexOf("set_special_cert") >= 0)
		{
			if(varYearSelected < 2099)
			{
					buildCalendar()
			}
		}
		else
		{
			if(varYearSelected <= 2099)
			{
					buildCalendar()
			}
		}
	}

	function decMonth () 
	{
		if(varYearSelected == 1900 && varMonthSelected == 0)
		{
			return;
		}
		varMonthSelected--
		if (varMonthSelected<0) {
			varMonthSelected=11
			varYearSelected--
		}
		if(varYearSelected >= 1900)
		{
				buildCalendar()
		}
	}

	function initMonth() 
	{
		dropDownYear()
		//if (!constructMonth) {
			stringHTML =	""
			for	(i=0; i<12;	i++) {
				strName =	eachMonthName[i];
				if (varMonthSelected == i){
					strName =	"<B>" +	strName +	"</B>"
				}
				stringHTML += "<tr><td id='m" + i + "' onmouseover='this.style.backgroundColor=\"#FFCC99\"' onmouseout='this.style.backgroundColor=\"\"' style='cursor:pointer' onclick='constructMonth=false;varMonthSelected=" + i + ";buildCalendar();dropDownMonth();event.cancelBubble=true'>&nbsp;" + strName + "&nbsp;</td></tr>"
			}

			document.getElementById("monthSelection").innerHTML = "<table width=70	style='font-family:arial; font-size:11px; border-width:1; border-style:solid; border-color:#a0a0a0;' bgcolor='#FFFFDD' cellspacing=0 onmouseover='clearTimeout(timeoutID1)'	onmouseout='clearTimeout(timeoutID1);timeoutID1=setTimeout(\"dropDownMonth()\",100);event.cancelBubble=true'>" +	stringHTML +	"</table>"

			constructMonth=true
		//}
	}

	function popUpMonth() 
	{
		initMonth()
		if(isIE || isdom)
		{
			varObjMonthCross.visibility =  "visible"
		}
		else
		{
			varObjMonthCross.visibility = "show"
		}

		varObjMonthCross.top =	parseInt(varcrossobj.top) + 26
		varObjMonthCross.left = parseInt(varcrossobj.left) + 50

		hideElement( 'APPLET', document.getElementById("monthSelection") );		
		hideElement( 'SELECT', document.getElementById("monthSelection") );	
	}

	function dropDownMonth()	
	{
		varObjMonthCross.visibility= "hidden"
	}

	function increaseYear() 
	{
		if (window.location.href.indexOf("set_special_cert") >= 0)
		{
			if(nStartingYear > 2091)//ensure the max year can not exceed 2099 when click "+"
			{
					return;
			}
		}
		else
		{
			if(nStartingYear > 2092)//ensure the max year can not exceed 2099 when click "+"
			{
					return;
			}
		}
		
		for	(i = 0; i < 7; i++)
		{
			newYear	= (i+nStartingYear)+1
			if (varYearSelected != newYear)
			{
				txtYear =	"&nbsp;" + newYear + "&nbsp;"
			}
			else
			{
				txtYear =	"&nbsp;<B>"	+ newYear +	"</B>&nbsp;"
			}
			document.getElementById("y"+i).innerHTML = txtYear
		}
		nStartingYear = nStartingYear + 1;
		bDisplay=true
	}

	function decreaseYear() 
	{
		if(nStartingYear <= 1900)//ensure the min year can not exceed 1900 when click "-"
		{
				return;
		}
		for	(i = 0; i < 7; i++)
		{
			newYear	= (i + nStartingYear) - 1
			if (varYearSelected != newYear)
			{ 
				txtYear =	"&nbsp;" + newYear + "&nbsp;"
			}
			else
			{
				txtYear =	"&nbsp;<B>"	+ newYear +	"</B>&nbsp;"
			}
			document.getElementById("y"+i).innerHTML = txtYear
		}
		nStartingYear = nStartingYear - 1;
		bDisplay=true
	}

	function selectYear(numYear) 
	{
		varYearSelected=parseInt(numYear+nStartingYear);
		yearBuilded=false;
		buildCalendar();
		dropDownYear();
	}

	function constructYear() {
		dropDownMonth()
		stringHTML =	""
		//yearBuilded=false;
		//if (!yearBuilded) {

			stringHTML =	"<tr><td align='center'	onmouseover='this.style.backgroundColor=\"#FFCC99\"' onmouseout='clearInterval(varIntervalID1);this.style.backgroundColor=\"\"' style='cursor:pointer'	onmousedown='clearInterval(varIntervalID1);varIntervalID1=setInterval(\"decreaseYear()\",30)' onmouseup='clearInterval(varIntervalID1)'>-</td></tr>"

			j =	0
			
			//ensure when year exceed boundary, the dorp down menu can not exceed.
			if(varYearSelected <= 1903)
			{
				nStartingYear =	1900
				for	(i=1900; i<=1906; i++) {
					strName =	i;
					if (i==varYearSelected){
						strName =	"<B>" +	strName +	"</B>"
					}
	
					stringHTML += "<tr><td id='y" + j + "' onmouseover='this.style.backgroundColor=\"#FFCC99\"' onmouseout='this.style.backgroundColor=\"\"' style='cursor:pointer' onclick='selectYear("+j+");event.cancelBubble=true'>&nbsp;" + strName + "&nbsp;</td></tr>"
					j ++;
				}
			}
			//ensure when year exceed boundary, the dorp down menu can not exceed.
			else if((window.location.href.indexOf("set_special_cert") < 0)
				&& (varYearSelected >= 2096))
			{
				nStartingYear = 2093
				for	(i=2093; i<=2099; i++) {
					strName =	i;
					if (i==varYearSelected){
						strName =	"<B>" +	strName +	"</B>"
					}
	
					stringHTML += "<tr><td id='y" + j + "' onmouseover='this.style.backgroundColor=\"#FFCC99\"' onmouseout='this.style.backgroundColor=\"\"' style='cursor:pointer' onclick='selectYear("+j+");event.cancelBubble=true'>&nbsp;" + strName + "&nbsp;</td></tr>"
					j ++;
				}
			}
			else if ((window.location.href.indexOf("set_special_cert") >= 0)
				&& (varYearSelected >= 2095))
			{
				nStartingYear = 2092
				for	(i=2092; i<=2098; i++) {
					strName =	i;
					if (i==varYearSelected){
						strName =	"<B>" +	strName +	"</B>"
					}
	
					stringHTML += "<tr><td id='y" + j + "' onmouseover='this.style.backgroundColor=\"#FFCC99\"' onmouseout='this.style.backgroundColor=\"\"' style='cursor:pointer' onclick='selectYear("+j+");event.cancelBubble=true'>&nbsp;" + strName + "&nbsp;</td></tr>"
					j ++;
				}
			}
			else
			{
				nStartingYear =	varYearSelected-3
				for	(i=(varYearSelected-3); i<=(varYearSelected+3); i++) {
					strName =	i;
					if (i==varYearSelected){
						strName =	"<B>" +	strName +	"</B>"
					}
	
					stringHTML += "<tr><td id='y" + j + "' onmouseover='this.style.backgroundColor=\"#FFCC99\"' onmouseout='this.style.backgroundColor=\"\"' style='cursor:pointer' onclick='selectYear("+j+");event.cancelBubble=true'>&nbsp;" + strName + "&nbsp;</td></tr>"
					j ++;
				}
			}
			
			stringHTML += "<tr><td align='center' onmouseover='this.style.backgroundColor=\"#FFCC99\"' onmouseout='clearInterval(varIntervalID2);this.style.backgroundColor=\"\"' style='cursor:pointer' onmousedown='clearInterval(varIntervalID2);varIntervalID2=setInterval(\"increaseYear()\",30)'	onmouseup='clearInterval(varIntervalID2)'>+</td></tr>"

			document.getElementById("selectYear").innerHTML	= "<table width=44 style='font-family:arial; font-size:11px; border-width:1; border-style:solid; border-color:#a0a0a0;'	bgcolor='#FFFFDD' onmouseover='clearTimeout(timeoutID2)' onmouseout='clearTimeout(timeoutID2);timeoutID2=setTimeout(\"dropDownYear()\",100)' cellspacing=0>"	+ stringHTML	+ "</table>"

			yearBuilded	= true
		//}
	}

	function dropDownYear() {
		clearInterval(varIntervalID1)
		clearTimeout(timeoutID1)
		clearInterval(varIntervalID2)
		clearTimeout(timeoutID2)
		varCrossYearObj.visibility= "hidden"
	}

	function showYear() {
		var	leftOffset

		constructYear()
		varCrossYearObj.visibility	= (isdom||isIE)? "visible" : "show"
		leftOffset = parseInt(varcrossobj.left) + document.getElementById("spanYear").offsetLeft
		if (isIE)
		{
			leftOffset += 6
		}
		varCrossYearObj.left =	leftOffset
		varCrossYearObj.top = parseInt(varcrossobj.top) +	26
	}

   function WeekNbr(n) {

	  day = n.getDate() + 1-startAt;
      month = n.getMonth() + 1;
      year = n.getFullYear();
	
 
      a = Math.floor((14-month) / 12);
      m = month + 12 * a - 3;
      y = year + 4800 - a;
      b = Math.floor(y/4) - Math.floor(y/100) + Math.floor(y/400);
      varJ = day + Math.floor((153 * m + 2) / 5) + 365 * y + b - 32045;
      d4 = (((varJ + 31741 - (varJ % 7)) % 146097) % 36524) % 1461;
      varL = Math.floor(d4 / 1460);
      day1 = ((d4 - varL) % 365) + varL;
      week = Math.floor(day1/7) + 1;
 
      return week;
   }

	function buildCalendar () {
		var arrNumDays = Array (31,0,31,30,31,30,31,31,30,31,30,31)

		var dateMessage
		if(varMonthSelected > 11 || varMonthSelected == -1)//january is 0
		{
			varMonthSelected = 0;
		}
		var	strStartDate =	new	Date (varYearSelected,varMonthSelected,1)

		var endDate

		if (varMonthSelected==1)
		{
			endDate	= new Date (varYearSelected,varMonthSelected+1,1);
			endDate	= new Date (endDate	- (24*60*60*1000));
			nDaysInMonth = endDate.getDate()
		}
		else
		{
			nDaysInMonth = arrNumDays[varMonthSelected];
		}

		datePointer	= 0

		dayPointer = firstdayofweek(strStartDate.getDay())

		stringHTML =	"<table	 border=0 style='font-family:verdana;font-size:10px;'><tr>"

		if (1 == weekNumberShow)
		{
			stringHTML += "<td width=27 align=center><b>" + weekString + "</b></td><td width=1 rowspan=7 bgcolor='#d0d0d0' style='padding:0px'><img src='"+imgDir+"divider.gif' width=1></td>"
		}

		for	(j = 0; j < 7; j++)	{
			stringHTML += "<td width='27' align='right'><B>"+ varDayName[j]+"</B></td>"
		}
		stringHTML +="</tr><tr>"
		
		if (1 == weekNumberShow)
		{
			stringHTML += "<td align=center>" + WeekNbr(strStartDate) + "&nbsp;</td>"
		}

		for	( var j = 1; j <= dayPointer; j++ )
		{
			stringHTML += "<td>&nbsp;</td>"
		}
	
		for	( datePointer=1; datePointer<=nDaysInMonth; datePointer++ )
		{
			dayPointer++;
			stringHTML += "<td align=right>"
			sStyle=anchorStyle
			if ((varMonthSelected==ovarMonthSelected) && (datePointer==odateSelected)&& (varYearSelected==ovarYearSelected))
			{ sStyle = sStyle + lightBorderStyle }

			strHint = ""
			for (i = 0; i < HolidaysCounter; i++)
			{
				if (((varMonthSelected+1) == parseInt(Holidays[i].m)) && (datePointer == parseInt(Holidays[i].d)))
				{
					if (((parseInt(Holidays[i].y)==varYearSelected)&&(parseInt(Holidays[i].y)!=0)) || (parseInt(Holidays[i].y)==0))
					{
						sStyle+="background-color:#FFDDDD;"
						
						strHint+=strHint==""?Holidays[i].desc:"\n"+Holidays[i].desc
					}
				}
			}

			var regexp= /\"/g
			strHint=strHint.replace(regexp,"&quot;")

			dateMessage = "onmousemove='window.status=\""+selectDateMsg.replace("[date]",constructDate(datePointer,varMonthSelected,varYearSelected))+"\"' onmouseout='window.status=\"\"' "

			if ((datePointer==dateNow)&&(varMonthSelected==monthNow)&&(varYearSelected==yearNow))
			{ stringHTML += "<b><a "+dateMessage+" title=\"" + strHint + "\" style='"+sStyle+"' href='javascript:dateSelected="+datePointer+";closeCalendar();'><font color=#ff0000>&nbsp;" + datePointer + "</font>&nbsp;</a></b>"}
			else if	(dayPointer % 7 == (startAt * -1)+1)
			{ stringHTML += "<a "+dateMessage+" title=\"" + strHint + "\" style='"+sStyle+"' href='javascript:dateSelected="+datePointer + ";closeCalendar();'>&nbsp;<font color=#909090>" + datePointer + "</font>&nbsp;</a>" }
			else
			{ stringHTML += "<a "+dateMessage+" title=\"" + strHint + "\" style='"+sStyle+"' href='javascript:dateSelected="+datePointer + ";closeCalendar();'>&nbsp;" + datePointer + "&nbsp;</a>" }

			stringHTML += ""
			if ((dayPointer+startAt) % 7 == startAt) { 
				stringHTML += "</tr><tr>" 
				if ((weekNumberShow==1)&&(datePointer<nDaysInMonth))
				{
					stringHTML += "<td align=center>" + (WeekNbr(new Date(varYearSelected,varMonthSelected,datePointer+1))) + "&nbsp;</td>"
				}
			}
		}

		document.getElementById("spanYear").innerHTML =	"&nbsp;" + varYearSelected	+ "&nbsp;<IMG id='changeYear' SRC='"+imgDir+"drop1.gif' WIDTH='12' HEIGHT='10' BORDER=0>"
		document.getElementById("spanMonth").innerHTML = "&nbsp;" +	eachMonthName[varMonthSelected] + "&nbsp;<IMG id='changeMonth' SRC='"+imgDir+"drop1.gif' WIDTH='12' HEIGHT='10' BORDER=0>"
		document.getElementById("content").innerHTML   = stringHTML
	}

	function popUpCalendar(ctrl,	ctl2, format, top, left) {
		var	toppos = top
		var	leftpos = left
		
		if (isNaN(left))
		{	leftpos = -235 }
			
		if (isNaN(top))
		{	toppos = 0}

		if (calendarLoaded)
		{
			if ( varcrossobj.visibility ==	"hidden" ) {
				valueCtlToPlace	= ctl2
				formatDate=format;

				charFormat = " "
				dateFormat	= formatDate.split(charFormat)
				if (3 > dateFormat.length)
				{
					charFormat = "/"
					dateFormat	= formatDate.split(charFormat)
					if (3 > dateFormat.length)
					{
						charFormat = "."
						dateFormat	= formatDate.split(charFormat)
						if (3 >dateFormat.length)
						{
							charFormat = "-"
							dateFormat	= formatDate.split(charFormat)
							if (3 > dateFormat.length)
							{
								charFormat=""
							}
						}
					}
				}
        
				varTokensChanged =	0
				if ( "" != charFormat )
				{
					strData =	ctl2.value.split(charFormat)

					for	(i=0; i<3; i++)
					{
						if	("yyyy" == dateFormat[i])
						{
							varYearSelected = parseInt(strData[i], 10)
							varTokensChanged ++
						}
						else if	("mmm" == dateFormat[i])
						{
							for	(j=0; j<12;	j++)
							{
								if (strData[i]==eachMonthName[j])
								{
									varMonthSelected=j
									varTokensChanged ++
								}
							}
						}
						else if	(("mm" == dateFormat[i]) || ("m" == dateFormat[i]))
						{
							varMonthSelected =	parseInt(strData[i], 10) - 1
							varTokensChanged ++
						}
						else if (("dd" == dateFormat[i]) || ("d" == dateFormat[i]))
						{
							dateSelected = parseInt(strData[i], 10)
							varTokensChanged ++
						}
					}
				}

				if (isNaN(dateSelected) || isNaN(varYearSelected) || isNaN(varMonthSelected)|| (3 != varTokensChanged))
				{
					varYearSelected = yearNow
					varMonthSelected =	monthNow
					dateSelected = dateNow
				}

				ovarYearSelected=varYearSelected
				if (window.location.href.indexOf("set_special_cert") >= 0)
				{
					if(varYearSelected > 2098)
							varYearSelected = 2098
				}
				else
				{
					if(varYearSelected > 2099)
							varYearSelected = 2099
				}
				if(varYearSelected < 1900)
							varYearSelected = 1900
				ovarMonthSelected=varMonthSelected
				odateSelected=dateSelected

				aTag = ctrl
				do {
					aTag = aTag.offsetParent;
					toppos += aTag.offsetTop;
					leftpos	+= aTag.offsetLeft;
				} while("BODY" != aTag.tagName);

				varcrossobj.top = fixedY==-1 ?	ctrl.offsetTop +	toppos + ctrl.offsetHeight +	2 :	fixedY
				varcrossobj.left =	fixedX==-1 ? ctrl.offsetLeft	+ leftpos :	fixedX
				buildCalendar (1, varMonthSelected, varYearSelected);
				if(isIE || isdom)
				{
					varcrossobj.visibility= "visible"
				}
				else
				{
					varcrossobj.visibility= "show"
				}
				
				hideElement( 'APPLET', document.getElementById("calendar") );			
				hideElement( 'SELECT', document.getElementById("calendar") );

				bDisplay = true;
			}
			else
			{
				hideCalendar()
				if (ctrl != ctlNow) 
				{
					popUpCalendar(ctrl, ctl2, format, -1, -1)
				}
			}
			ctlNow = ctrl
		}
	}

	document.onkeypress = function hidecalKey () { 
		if (27 == event.keyCode) 
		{
			hideCalendar()
		}
	}
	document.onclick = function hidecalClick () { 		
		if (!bDisplay)
		{
			hideCalendar()
		}
		bDisplay = false
	}

	initCalendar();

//	if(isIE)
//	{
//		initCalendar()
//	}
//	else
//	{
//		window.onload=initCalendar
//	}
	
	</script>