<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
			 
<%@ include file="../include/head.jsp"%>
<%@ include file="../js/check.jsp"%>
<%@ include file="../js/popcalendar.jsp"%>

<%@ page import="com.intel.tcserver.website.bean.AccountCtrl"%>
<%@ page import="com.intel.tcserver.website.bean.OperatorCtrl"%>
<%@ page import="com.intel.tcserver.entity.DeviceAccountEntity"%>
<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>


<script type="text/javascript">
function validate()
{
	//var hwid = document.form_validate.hwid.value;
	var newpsw = document.form_validate.newPassword.value;
	var conpsw = document.form_validate.confirmpwd.value;
	var student_name = document.form_validate.ownerID.value;
	var birth = document.getElementById("ownerBirthday");
	var birthday = trim(birth.value);
	if (birthday == "<i18n:message key='date_format'/>")
		birthday = "";
	
	if(newpsw == null || newpsw == "")
	{
		alert("<i18n:message key='check_newpwd_null'/>");
		return false;
	}
	else if(!checkPassword(newpsw))
	{
		return false;
	}
	else if(conpsw == null || conpsw == "")
	{
		alert("<i18n:message key='check_pwd_inconsistent'/>");
		return false;
	}
	
	else if(!checkconfirm(newpsw, conpsw))
	{
		return false;
	}
	
	else if(student_name == null || student_name == "")
	{
		alert("<i18n:message key='check_ownername_null'/>");
		return false;
	}
	else if(student_name != "" && student_name != null && !checkpercent("Student ID", student_name))
	{
		return false;
	}
	
	else if(birthday == "")
	{
		alert("<i18n:message key='check_birthday_null'/>");
		return false;
	}
	else if(!checkBirthday(birthday))
	{
		return false;
	}
	
	return true;
}

function resetValidate()
{
	document.form_validate.reset();
}
</script>

<%
	String hwid = request.getParameter("HWID");
	String version = request.getParameter("version");
	if (version == null || version.equals("null"))
	{
		version = "";
	}
	AccountCtrl accountDeal = new AccountCtrl();
	OperatorEntity oper = new OperatorEntity();
	accountDeal.processRequest(request,100, oper);
	DeviceAccountEntity accountEntity = accountDeal.queryAccount();
	OperatorCtrl operatorDeal = new OperatorCtrl();
	boolean result = operatorDeal.isPwdEmpty(hwid);
	if (!result)
	  {
		%>
		<script language="JavaScript">
		window.location.href = "student_login.jsp?hwid=<%=hwid%>&version=<%=version%>";
		</script>
		<%
	  }
	
%>

<style type="text/css">

<!--

BODY {

background: url(../images/b2.jpg) no-repeat; 

background-color:#D9DFFF;

} 

--> 

</style>
<body topmargin="0" leftmargin="0" onload=document.form_validate.newPassword.focus() bgcolor="#D9DFFF">
<br/>
<table width="770" border="0">
<tr><td width="16%">
&nbsp;
</td>
<td width="84%">
<font style='font-size:20pt; font-weight:bold; vertical-align:middle; color:#FAFCFD'><i><i18n:message key='pic_intelr'/></i></font>
</td></tr>

<tr><td>
&nbsp;
</td>
<td>
<font style='font-size:23pt; font-weight:bold; color:#EEEEF8; '><i><i18n:message key="pic_theftctrlserv"/>&nbsp;<i18n:message key="pic_theftintel"/></i></font>

</td></tr>
<tr><td colspan=2>
&nbsp;
</td></tr>

<tr><td colspan=2>
<table width="100%" align="left" cols="2">
<tr>
<td width="345" align="right" valign=middle height=250>
<font style="font-size:30px; font-weight:bold; color:#FFC200"><i18n:message key='student_signal'/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font>
</td>
<td align="left">
<form name="form_validate" action="activation_deal.jsp?version=<%=version%>" method="post" onSubmit="return validate();" autocomplete=off>
<table width="100%" cellspacing="0"  cellPadding=0 align=left>
<tr>
<td align="left" colspan="2">&nbsp;&nbsp;<font style="font-weight:bold; color:#041681; font-size:18px"><i18n:message key='student_activate_signal'/></font></td>
</tr>
<tr>
<td colspan="2">
	<table width="90%" cellspacing="0"  cellPadding=0 align=left>
		<tr>
			<td align="left">&nbsp;&nbsp;</td>
			<td align="left" colspan="2"><font style=" color:#74757B;">
			<font style=" color:#74757B;">
			<i18n:message key="student_activate_note1"/>&nbsp;<i18n:message key="student_activate_note2"/>&nbsp;<i18n:message key="student_activate_note3"/>&nbsp;<i18n:message key="student_activate_note4"/>&nbsp;<i18n:message key="student_activate_note5"/></font></td>
		</tr>
	</table>
</td>
</tr>
<tr><td><br/></td></tr>
<tr>
<td align="right" width="40%"><font style="color:#676DA8"><i18n:message key="modify_newpwd"/><i18n:message key="query_colon"/></font>&nbsp;&nbsp;</td>
<td><input type="password" style="width:150" name="newPassword" value="" maxlength="30"/><font style="color:#676DA8">*</font></td>
</tr>
<tr>
<td align="right" width="40%"><font style="color:#676DA8"><i18n:message key="modify_confirm"/><i18n:message key="query_colon"/></font>&nbsp;&nbsp;</td>
<td><input type="password" style="width:150" name="confirmpwd" value="" maxlength="30"/><font style="color:#676DA8">*</font></td>
</tr><tr>
<td align="right"><font style="color:#676DA8"><i18n:message key="account_name"/><i18n:message key="query_colon"/></font>&nbsp;&nbsp;</td>
<td>
<%if (accountEntity == null || accountEntity.getOwnerID() == null){%>
<input type="text" style="width:150" name="ownerID" value="" maxlength="30"/><font style="color:#676DA8">*</font>
<%}else{%>
<input type="text" style="width:150" name="ownerID" value="<%=accountEntity.getOwnerID()%>" maxlength="30"/><font style="color:#676DA8">*</font>
<%}%>
</td>
</tr>
<tr>
<td align="right"><font style="color:#676DA8"><i18n:message key="account_birthday"/><i18n:message key="query_colon"/></font>&nbsp;&nbsp;</td>
<td valign="middle">
<%
		String birthdayShow = "";
		if(accountEntity != null && accountEntity.getOwnerBirthday() != null)
		{
		
			String tempStr = accountEntity.getOwnerBirthday().toString();
			if(!tempStr.equals(""))
			{
			
				if(tempStr.indexOf(" ") >= 0)
				{
					tempStr = tempStr.substring(0,tempStr.indexOf(" "));
				}
				
				String[] temp = tempStr.split("-");
				if(temp.length == 3)
				{
					birthdayShow = temp[2]+"-"+temp[1] + "-" + temp[0];
				}
			}
		}
	%>
	<%if (birthdayShow.equals("")){%>
	<input type="text" id="ownerBirthday" name="ownerBirthday" style="width:150" value="DD-MM-AAAA" onFocus="this.select()" maxlength="10"/>
	<%}else{%>
<input type="text" id="ownerBirthday" name="ownerBirthday" style="width:150" value="<%=birthdayShow%>" onFocus="this.select()" maxlength="10"/>
<%}%>

         <img align="baseline"  name = "clock" src="../images/time.jpg" width="20" height="19" onClick="popUpCalendar( this, ownerBirthday, 'dd-mm-yyyy', -1, -1);" style="vertical-align:middle">&nbsp;<font style="color:#676DA8">*</font>
</td>
</tr>
<tr>
<td>&nbsp;</td>
<input type="hidden" value="<%=hwid%>" name="HWID"/>
<td valign="middle"><input type="submit" class="bt7" value="<i18n:message key='bt_save'/>" alt="<i18n:message key='bt_save'/>" border=0 >&nbsp;<input type="button" class="bt5" value="<i18n:message key='bt_reset'/>" onClick="resetValidate();" alt="<i18n:message key='bt_reset'/>" border=0 ></td>

</tr>

</table></form></table></td></tr>

<tr><td colspan=2>
<table width="100%" cellspacing="0"  cellPadding="0">
<tr>
<td align="right">
<font style="color:#4C5A96; font-weight:bold"><i18n:message key="login_copyright"/></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</td>
</tr>
</table>
</td></tr>

<tr><td colspan=2>

<table width="100%" cellspacing="0"  cellPadding="0">
<tr>
<td align="left">
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i18n:message key="login_recommend_stu"/>
</td>
</tr>
</table>
</td></tr>
</table>
<br/>


<%
	String status = request.getParameter("status");
	if (status == null)
	{
		status = "";
	}
	
	if(status.equals("fail"))
	{
%>
	<script type="text/javascript">
		window.alert("<i18n:message key='activate_failed'/>");
	</script>
<%
	}
%>

</body>
</html>
